      SUBROUTINE ADDLIN(NEWLIN,LINES,MAXLIN)
C     ======================================
C
C---- Add newlines from NEWLIN to array LINES
C
C     Input:  NEWLIN(MAXLIN) character array
C
C     Output: LINES(MAXLIN)  character array
C             NEWLIN   cleared on output
C
      INTEGER MAXLIN
      CHARACTER*(*) NEWLIN(MAXLIN),LINES(MAXLIN)
C
      INTEGER I, N, M
C
      INTEGER NEXTLN
      EXTERNAL NEXTLN
C
C Get number of lines to add
      N = NEXTLN(NEWLIN,MAXLIN)-1
      IF (N .LE. 0) RETURN
C Get position to put first line
      M = MAX(1,NEXTLN(LINES,MAXLIN))
C
      DO 10, I = 1, N
         LINES(M) = NEWLIN(I)
         M = M+1
         NEWLIN(I) = ' '
 10   CONTINUE
      END
