      SUBROUTINE GTORN2(IBATCH,IDATA)
C
C PARAMETERS
C
C      IBATCH (O)   RETURNS THE BATCH NUMBER (-1 IF NO ORIENTATION
C                   BLOCK FOUND)
C       IDATA (I/O) ON INPUT HOLDS THE FIRST RECORD OF THE ORIENTATION
C                   BLOCK. DOES NOT CONTAIN THE FIRST RECORD AFTER
C                   THE ORIENTATION BLOCK ON RETURNING UNLESS IBATCH=-1
C
C SPECIFICATION STATEMENTS
C
      DIMENSION IDATA(*)
      COMMON /ORIENT/ORDATA(200)
      COMMON /LCF2WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      SAVE /ORIENT/,/LCF2WK/
C
C READ IN ORIENTATION BLOCK
C
      LL=0
      ISEQ=0
10    IF(IDATA(1).NE.-32740)GO TO 100
      IBATCH=IDATA(5)
      IF(LL.EQ.0) NWORD=IDATA(7)
      ISEQ=ISEQ+1
      IF(ISEQ.NE.IDATA(6))GO TO 800
      CALL ORPAK2(IDATA,7,NCIN,ORDATA,NWORD,LL,1,*50)
      CALL RLCF2(IDATA,*810,*820)
      GO TO 10
C
C BLOCK READ
C
50    RETURN
C
C NOT ORIENTATION DATA
C
100   IBATCH=-1
      RETURN
C
C ERROR CONDITIONS
C
800   WRITE(IOUT,2001)
      WRITE(IOUT,2002)
      WRITE(IOUT,2010)
          call ccperr(1,' stop in lcflib.for 800')
810   WRITE(IOUT,2001)
      WRITE(IOUT,2003)
      WRITE(IOUT,2010)
          call ccperr(1,' stop in lcflib.for 810')
820   WRITE(IOUT,2001)
      WRITE(IOUT,2004)
      WRITE(IOUT,2010)
          call ccperr(1,' stop in lcflib.for 820')
C
C FORMAT STATEMENTS
C
2001  FORMAT(/,' **LCF ERROR**')
2002  FORMAT(/,' **ORIENTATION DATA RECORDS OUT OF ORDER**')
2003  FORMAT(/,' **ERROR IN READING ORIENTATION DATA RECORDS**')
2004  FORMAT(/,' **END OF FILE WHEN READING ORIENTATION DATA**')
2010  FORMAT(/,' **PROGRAM TERMINATED**')
      END
