      SUBROUTINE IS_MAGIC (VAL_MAGIC,VALTST,LVALMS)
C     =============================================
C
C---- Function  to test whether a number is  "magic" 
C     Returns LVALMS TRUE if it is - otherwise LVALMS FALSE
C
C
C---- Arguments :
C
C     VAL_MAGIC (I)     REAL            Missing value flag
C                                       as "magic" for this mtz file.
C
C     VALTST    (I)     REAL            Number to test to see if it is defined 
C                                       as "magic" for this mtz file.
C
C     LVALMS    (O)     LOGICAL        Returns LVALMS TRUE if VALTST is "magic"
C                                      FALSE if it is not, or if
C                                      there is no "missing" number set.
C
C     ..
C     .. Scalar Arguments ..
      REAL VAL_MAGIC, VALTST
      LOGICAL LVALMS
C     ..
C     .. External Functions ..
      LOGICAL QISNAN
      EXTERNAL QISNAN
C     ..
      LVALMS = .FALSE.
      IF (QISNAN(VAL_MAGIC)) THEN
        IF (QISNAN(VALTST)) LVALMS = .TRUE.
      ELSE
        IF(VALTST .EQ. VAL_MAGIC) LVALMS = .TRUE.
      END IF
      END
