      SUBROUTINE LCF2OR(*)
C
C
C SPECIFICATION STATEMENTS AND CODE
C
      LOGICAL RD
      CHARACTER*1 ARRAYN(1000)
      COMMON /LCF2/IDDN,MAXDN,CELLN(6),LRECLN,LTITN,LABELN
      COMMON /LCF2AR/ARRAYN
      COMMON /LCF2WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      CHARACTER*40 FILIN,FILOUT,FILNAM,FILOLD
      COMMON /LCF2FN/FILIN,FILOUT
      INTEGER ISTATB(12)
C ISTREAM is used to record if file has been opened
      SAVE ISTREAM,FILOLD,NFILSZ
      SAVE /LCF2/,/LCF2AR/,/LCF2WK/,/LCF2FN/
      DATA ISTREAM/0/
C
C If file has been opened, has not been closed, and has same filename,
C then just reposition file at beginning
      IF(ISTREAM.NE.0.AND.IUNIN.GT.0.AND.FILOLD.EQ.FILIN) THEN
            CALL QSEEK(IUNIN,1,1,1)
            RETURN
      ENDIF
C
      CALL QOPEN(IUNIN,FILIN,'RO')
C
C Record file as open
      ISTREAM=IUNIN
      FILOLD=FILIN
C Set mode 1 = 2 bytes/item, so that subsequent counting is done in 2 by
C integers
      CALL QMODE(IUNIN,1,NCHITM)
CZ I removed this function. Be carefull in SORTLCF and EDITLCF
C      I=STAT(FILNAM,ISTATB)
      ISTATB(8)=0
      NFILSZ=(ISTATB(8)-1)/1024 + 1
C
50    NCIN=6
      CALL RLCF2(KDATA,*800,*800)
      IF(KDATA(1).NE.-32768)GO TO 810
      IF(KDATA(5).EQ.-12)GO TO 100
C Rewind
      CALL QSEEK(IUNIN,1,1,1)
      NCIN=7
      CALL RLCF2(KDATA,*800,*800)
      IF(KDATA(6).EQ.-14)GO TO 100
      NCIN=-KDATA(7)/2
      IF(NCIN.LT.0.OR.NCIN.GT.100)GO TO 810
C Rewind
100   CALL QSEEK(IUNIN,1,1,1)
      RETURN
C
C ERROR CONDITIONS
C
800   RETURN 1
810   WRITE(IOUT,2001)
      WRITE(IOUT,2002)
      RETURN 1
2001  FORMAT(/,' **LCF ERROR**')
2002  FORMAT(' **ERROR IN BEGINNING OF HEADER RECORD**')
C
C
C ENTRY 'LRLCF2'
C ==============
C
C This entry returns the record length in items
C
      ENTRY LRLCF2(LRCL)
C
      LRCL=NCIN
      RETURN
C
C ENTRY 'SZLCF2'
C ==============
C
C This entry returns the size of the file in blocks
C
      ENTRY SZLCF2(NSZ)
C
      NSZ=NFILSZ
      RETURN
C
      END
