      SUBROUTINE LCFASG(I,BUF,LBUF,IP1,IP2,IL1,IL2,*,*,*)
C     ===================================================
C
C This subroutine finds the min and max character numbers for
C the program label and column label from an lcf assignment
C
C
C---- Parameters
C
C           I (I)   ASSIGNMENT NUMBER
C         BUF (I)   CHARACTER ARRAY HOLDING ASSIGNMENTS
C        LBUF (I)   NUMBER OF CHARACTERS IN 'BUF'
C         IP1 (O)   FIRST CHARACTER OF PROGRAM LABEL
C         IP2 (O)   FINAL CHARACTER OF PROGRAM LABEL
C         IL1 (O)   FIRST CHARACTER OF COLUMN LABEL
C         IL2 (O)   FINAL CHARACTER OF COLUMN LABEL
C
C   RETURN 1   BLANK FOUND
C   RETURN 2   TERMINATOR FOUND $$ OR ##
C   RETURN 3   SYNTAX ERROR IN ASSIGNMENT
C
C
C---- Specification statements
C
      CHARACTER*1 BUF(LBUF)
C
C---- Decode assignment
C
      CALL LCFLBL(I,BUF,LBUF,MIN,MAX,*100)
      IF(MAX-MIN.NE.1)GO TO 20
      IF(BUF(MIN).EQ.'$'.AND.BUF(MAX).EQ.'$')RETURN 2
      IF(BUF(MIN).EQ.'#'.AND.BUF(MAX).EQ.'#')RETURN 2
      RETURN 3
20    IP1=MIN
      IL2=MAX
      K=MIN
30    IP2=K
      K=K+1
      IF(K.GT.MAX)RETURN 3
      IF(BUF(K).NE.'=')GO TO 30
      IL1=K+1
      IF(IL1.GT.IL2)RETURN 3
      RETURN
100   RETURN 1
      END
