      FUNCTION LCFCMP(ARRAY1,MIN1,MAX1,ARRAY2,MIN2,MAX2)
C     ==================================================
C
C This function compares two character strings for a match
C
C
C---- Parameters
C
C      ARRAY1 (I)   CHARACTER ARRAY CONTAINING FIRST CHARACTER STRING
C        MIN1 (I)   FIRST CHARACTER OF STRING IN ARRAY1
C        MAX1 (I)   FINAL CHARACTER OF STRING IN ARRAY1
C      ARRAY2 (I)   CHARACTER ARRAY CONTAINING SECOND STRING
C        MIN2 (I)   FIRST CHARACTER OF STRING IN ARRAY2
C        MAX2 (I)   FINAL CHARACTER OF STRING IN ARRAY2
C
C  LCFCMP RETURNS 0=NO MATCH, 1=MATCH
C
C---- Specification statements
C
      CHARACTER*1 ARRAY1(MAX1),ARRAY2(MAX2)
C
C---- Compare strings
C
      LCFCMP=0
      IF(MAX2-MIN2.NE.MAX1-MIN1)RETURN
      IF(MAX1-MIN1.LT.0)RETURN
      J=MIN2-1
      DO 100 M=MIN1,MAX1
      J=J+1
      IF(ARRAY1(M).NE.ARRAY2(J))RETURN
100   CONTINUE
      LCFCMP=1
      RETURN
      END
