      SUBROUTINE LCFPRT(IOUT,ARRAY,MIN,MAX,MINCOL,MAXCOL)
C     ===================================================
C
C  This subroutine prints a set of labels in a given field width
C  without splitting labels unless they exceed the field width
C
C
C---- Parameters
C
C        IOUT (I)   UNIT NUMBER FOR PRINTING THE LABELS
C       ARRAY (I)   CHARACTER ARRAY CONTAINING LABELS
C         MIN (I)   START OF LABELS STRING IN 'ARRAY'
C         MAX (I)   FINISH OF LABELS STRING IN 'ARRAY'
C      MINCOL (I)   FIRST COLUMN OF PRINT FIELD
C      MAXCOL (I)   FINAL COLUMN OF PRINT FIELD
C
C---- Specification statements
C
      CHARACTER*1 ARRAY(MAX),SP
      DATA SP/' '/
C
C---- Print labels
C
      NCH=MAXCOL-MINCOL+1
      ILAST=MIN-1
30    IMIN=ILAST+1
      IF(IMIN.GT.MAX)RETURN
      IF(ARRAY(IMIN).NE.SP)GO TO 35
      ILAST=IMIN
      GO TO 30
35    IMAX=ILAST+NCH
      IF(IMAX.GE.MAX)GO TO 60
      IF(ARRAY(IMAX).EQ.SP)GO TO 70
      IF(ARRAY(IMAX+1).EQ.SP)GO TO 70
40    IMAX=IMAX-1
      IF(IMAX.EQ.IMIN)GO TO 50
      IF(ARRAY(IMAX).EQ.SP)GO TO 70
      GO TO 40
50    IMAX=ILAST+NCH
      IF(IMAX.LT.MAX)GO TO 70
60    IMAX=MAX
70    ILAST=IMAX
      WRITE(IOUT,1000)(SP,M=1,MINCOL),(ARRAY(I),I=IMIN,IMAX)
      GO TO 30
C
C---- Format statements
C
1000  FORMAT(132A1)
      END
