      SUBROUTINE LWBTIT (MINDX,BATNO,TBATCH)
C     =====================================
C
C---- Subroutine to write batch title & dummy orientation block for
C     batch BATNO to multi-record file open
C     on index MINDX
C
C---- Arguments :
C
C     MINDX     (I)	INTEGER         indicates which MTZ file - 1 index
C                               	points to both input and output files
C
C     BATNO     (I)	INTEGER         batch number 
C
C     TBATCH    (I)	CHARACTER       batch title
C
C ... Arguments
      INTEGER MINDX, BATNO
      CHARACTER*(*) TBATCH
C
C Orientation block (dummy)
C Lengths: MBLENG is total length of block
C  
      INTEGER MBLENG
      PARAMETER (MBLENG=185)
      INTEGER RBATCH(MBLENG)
      CHARACTER*94 BTITLE
      REAL BATCH(1)
      EXTERNAL LWBAT
      EQUIVALENCE (BATCH,RBATCH)
C
      DATA RBATCH/MBLENG*0/
C
C Copy title
      BTITLE = TBATCH
C
C Set dummy lengths (strictly illegal, setting BATCH)
      RBATCH(1) = MBLENG
      RBATCH(2) = MBLENG
      RBATCH(3) = 0
C
C Write batch header
      CALL LWBAT(MINDX,BATNO,BATCH,BTITLE)
C
      END
