      SUBROUTINE RTLCF1(IX,IDATA)
C     ===========================
C
C This subroutine reads and prints the next batch title
C
C
C---- Parameters
C
C         IX (O)   RETURNS THE BATCH NUMBER (=-1 IF THE END OF THE
C                  BATCH TITLES HAS BEEN REACHED)
C      IDATA (I/O) HOLDS THE FIRST RECORD CONTAINING THE BATCH TITLE
C                  ON INPUT. RETURNS THE LAST RECORD OF THE CURRENT
C                  BATCH TITLE OR, IF IX=-1, THE FIRST REFLECTION
C                  DATA RECORD (OR AN ORIENTATION DATA RECORD)
C
C---- Specification statements
C
      DIMENSION IDATA(*)
      CHARACTER*1 TITLE(72)
      LOGICAL RD
      COMMON /LCF1/IDDN,MAXDN,CELLN(6),LRECLN,LTITN,LABELN
      COMMON /LCF1WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      COMMON /TITLCF/TITLE
      SAVE /LCF1/,/LCF1WK/,/TITLCF/
C
C---- Read and print batch title
C
      DO 10 I=1,72
      TITLE(I)=' '
10    CONTINUE
      N1=8
      LL=0
      ISEQ=0
20    IF(IDATA(1).NE.-32750)GO TO 100
      ISEQ=ISEQ+1
      IF(ISEQ.NE.IDATA(6))GO TO 810
      IF(ISEQ.EQ.1)NCH=IDATA(7)
      IF(NCH.GT.72)GO TO 800
      CALL CHLCF1(IDATA,N1,NCIN,TITLE,NCH,LL,1,*50)
      N1=7
      CALL RLCF1(IDATA,*820,*830)
      GO TO 20
50    IX=IDATA(5)
      WRITE(IOUT,1001)IX,TITLE
      RETURN
C
C---- End of titles
C
100   IX=-1
      RETURN
C
C---- Error conditions
C
800   WRITE(IOUT,2001)
      WRITE(IOUT,2002)NCH
      GO TO 900
810   WRITE(IOUT,2001)
      WRITE(IOUT,2003)
      GO TO 900
820   WRITE(IOUT,2001)
      WRITE(IOUT,2004)
      GO TO 900
830   WRITE(IOUT,2001)
      WRITE(IOUT,2005)
      GO TO 900
C
C---- Terminate
C
900   WRITE(IOUT,2010)
          call ccperr(1,' stop in lcflib.for 9003')
C
C---- Format statements
C
1001  FORMAT(5X,I5,5X,72A1)
2001  FORMAT(/,' **LCF ERROR**')
2002  FORMAT(/,' **INVALID NO. OF CHARACTERS IN BATCH TITLE:',I5,' **')
2003  FORMAT(/,' **BATCH TITLE RECORDS OUT OF ORDER**')
2004  FORMAT(/,' **ERROR IN READING BATCH TITLE RECORDS**')
2005  FORMAT(/,' **END OF FILE WHEN READING BATCH TITLE**')
2010  FORMAT(/,' **PROGRAM TERMINATED**')
      END
