      SUBROUTINE SORTUP(N,A,IN)
C     =========================
C
C---- Ref:  Comm. ACM VOL.12 #3 MARCH 1969, R.C.SINGLETON
C
C---- Routine returns order of A in IN - Index Sort, for integer array
C     Lifted from STILLS program.
C
C     .. Scalar Arguments ..
      INTEGER N
C     ..
C     .. Array Arguments ..
      INTEGER A(N),IN(N)
C     ..
C     .. Local Scalars ..
      INTEGER I,IJ,J,K,L,M,T,TT
C     ..
C     .. Local Arrays ..
      INTEGER IL(16),IU(16)
C     ..
C
      DO 10 I = 1,N
        IN(I) = I
   10 CONTINUE
C
      M = 1
      I = 1
      J = N
C
   20 IF (I.GE.J) GO TO 100
   30 K = I
      IJ = (I+J)/2
      T = IN(IJ)
      IF (A(IN(I)).LE.A(T)) GO TO 40
      IN(IJ) = IN(I)
      IN(I) = T
      T = IN(IJ)
C
   40 L = J
      IF (A(IN(J)).GE.A(T)) GO TO 70
      IF (A(IN(J)).LT.A(IN(I))) GO TO 50
      IN(IJ) = IN(J)
      IN(J) = T
      T = IN(IJ)
      GO TO 70
C
   50 IN(IJ) = IN(I)
      IN(I) = IN(J)
      IN(J) = T
      T = IN(IJ)
      GO TO 70
C
   60 IN(L) = IN(K)
      IN(K) = TT
   70 L = L - 1
      IF (A(IN(L)).GT.A(T)) GO TO 70
      TT = IN(L)
   80 K = K + 1
      IF (A(IN(K)).LT.A(T)) GO TO 80
      IF (K.LE.L) GO TO 60
      IF ((L-I).LE. (J-K)) GO TO 90
      IL(M) = I
      IU(M) = L
      I = K
      M = M + 1
      GO TO 110
   90 IL(M) = K
      IU(M) = J
      J = L
      M = M + 1
      GO TO 110
C
  100 M = M - 1
      IF (M.EQ.0) GO TO 140
      I = IL(M)
      J = IU(M)
  110 IF ((J-I).GE.11) GO TO 30
      IF (I.EQ.1) GO TO 20
      I = I - 1
  120 I = I + 1
      IF (I.EQ.J) GO TO 100
      T = IN(I+1)
      IF (A(IN(I)).LE.A(T)) GO TO 120
      K = I
  130 IN(K+1) = IN(K)
      K = K - 1
      IF (A(T).LT.A(IN(K))) GO TO 130
      IN(K+1) = T
      GO TO 120
 140  END
