      SUBROUTINE SRLCF2(IUN,FILNAM,NL,LOOK,LOOKUP,IPRINT,NCOLS,CELL)
C
C PARAMETERS
C
C         IUN (I)   UNIT NUMBER FOR THE INPUT FILE (OR EQUIVALENT IF
C                   NON-FORTRAN I/O IS USED)
C      FILNAM (I)   LOGICAL FILE NAME (UP TO 8 CHARACTERS)
C          NL (I)   THE NUMBER OF CHARACTERS IN THE ARRAY 'LOOK' WHICH
C                   CONTAINS THE NAMES OF THE DATA ITEMS REQUIRED BY
C                   THE PROGRAM. NL MAY BE SET TO ZERO FOR RE-READING A
C                   FILE. -NL MAY BE GIVEN IF OPTIONAL COLUMN ASSIGN-
C                   MENTS ARE TO BE USED (SEE 'LOOKUP' BELOW)
C        LOOK (I)   CHARACTER ARRAY CONTAINING THE PROGRAM LABELS FOR
C                   THE DATA ITEMS REQUIRED BY THE PROGRAM. IF 'NL' IS
C                   ZERO THEN 'LOOK' IS IGNORED. IF 'LOOK' CONTAINS
C                   ONLY BLANKS THEN NO COLUMN ASSIGNMENTS ARE READ.
C      LOOKUP (I/O) THIS ARRAY RETURNS THE POSITIONS OF THE REQUESTED
C                   DATA ITEMS. IF 'NL' IS NEGATIVE THEN, ON ENTRY
C                   TO THE SUBROUTINE, THE ENTRIES IN 'LOOKUP' MUST
C                   BE SET TO 0 FOR OPTIONAL COLUMNS AND -1 FOR
C                   COMPULSORY COLUMNS. IF NL > 0 THEN ALL COLUMNS ARE
C                   TREATED AS COMPULSORY.
C      IPRINT (I)   FLAG =.TRUE.  PRINT (DEFAULT UNIT=6) THE CELL
C                                 DIMENSIONS, LABELS AND TITLE
C                                 INFORMATION AS READ FROM THE FILE
C                                 HEADER.
C                        =.FALSE. DO NOT PRINT THESE DETAILS
C       NCOLS (O)   RETURNS THE NUMBER OF COLUMNS OF REFLECTION
C                   DATA IN THE FILE
C        CELL (O)   6 WORD ARRAY RETURNING THE CELL DIMENSIONS
C                   IN ANGSTROMS AND DEGREES
C
C SPECIFICATION STATEMENTS
C
      LOGICAL RD,IPRINT
      CHARACTER*(*) FILNAM
      CHARACTER*1 ARRAYN(1000),LOOK(*)
      DIMENSION LOOKUP(*),CELL(6)
      COMMON /LCF2/IDDN,MAXDN,CELLN(6),LRECLN,LTITN,LABELN
      COMMON /LCF2AR/ARRAYN
      COMMON /LCF2WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      CHARACTER*40 FILIN,FILOUT
      COMMON /LCF2FN/FILIN,FILOUT
      SAVE /LCF2/,/LCF2AR/,/LCF2WK/,/LCF2FN/
C
C CODE
C
      IDDN=IUN
      FILIN=FILNAM
      CALL RHLCF2(NL,LOOK,LOOKUP,IPRINT)
      NCOLS=NCIN
      DO 10 I=1,6
      CELL(I)=CELLN(I)
10    CONTINUE
      RETURN
      END
