
#include "migrator.h"
#include "../libR/libPIF.h"



main(int argc, char **argv)
{/* MAIN */
  char ans[512],dummy[512],version[512],application[512];
  char sysCall[512];
  char bannerStr[1024];

  sprintf(bannerStr,"%s",banner("Migrator"));

  sprintf(sysCall,"ls -l /bio/baker9d3/rwa");
  printf("Exisiting versions:\n");
  system(sysCall);
  printf("\nEnter version STRING:\n");
  scanf ("%s",version);

  while(1)
    {/* DO until exit */

      /* Print header */
      printf ("%c[0;0H%c[2J", 27, 27);
      printf("%s [%s]",bannerStr,version);
      printf("\n\n");
      printf("Choose one of the following:\n");
      printf("    1) Make a new version tree.\n");
      printf("    2) Migrate a certain applications source/docs.\n");
      printf("    3) Migrate all executables for this version.\n");
      printf("    4) Migrate all source/docs/executables for this version.\n");
      printf("    5) Show all versions available.\n");
      printf("    6) Create distribution set for a version.\n");
      printf("    7) Switch version.\n");
      printf("    8) Lock version.\n");
      printf("    9) Build executables for this version.\n");
      printf("    A) Emit docs to web pages.\n");
      printf("    \n");
      printf("    X) Exit.\n");
      printf("\n");
      printf("\nChoice: ");
      fflush(stdout);
      scanf ("%s",ans);
      printf("\n");
      printf("\n");
      
      if((*ans=='A')||(*ans=='a'))
	{/* Emit docs */
	  printf("    A) Emit docs to web pages.\n");
	  printf("\n... UNDER CONSTRUCTION ...\n\n");
	}/* Emit docs */
      if(*ans=='1')
	{/* Make a new version tree */
	  printf("    1) Make a new version tree.\n");
	  sprintf(sysCall,"ls -l /bio/baker9d3/rwa");
	  printf("Exisiting versions:\n");
	  system(sysCall);
	  printf("\nEnter NEW version STRING:\n");
	  scanf ("%s",version);
	  sprintf(sysCall,"maketree.mscp %s",version);
	  system(sysCall);
	  sprintf(sysCall,"ls -l /bio/baker9d3/rwa");
	  printf("Exisiting versions:\n");
	  system(sysCall);
	}/* Make a new version tree */
      if(*ans=='2')
	{/* Migrate application */
	  printf("    2) Migrate a certain applications source/docs.\n");
	  sprintf(sysCall,"ls -l /bio/baker9/rwa/devel");
	  printf("Exisiting applications:\n");
	  system(sysCall);
	  printf("\nEnter application STRING:\n");
	  scanf ("%s",application);
	  sprintf(sysCall,"domigrate.mscp %s %s",version,application);
	  system(sysCall);
	  sprintf(sysCall,"ls /bio/baker9d3/rwa/%s/source/%s",version,application);
	  system(sysCall);
	}/* Migrate application */
      if(*ans=='3')
	{/* Migrate exec */
	  printf("    3) Migrate all executables for this version.\n");
	  sprintf(sysCall,"doexec.mscp %s",version);
	  system(sysCall);
	  sprintf(sysCall,"ls -l /bio/baker9d3/rwa/%s/executables_linux",version);
	  system(sysCall);
	  sprintf(sysCall,"ls -l /bio/baker9d3/rwa/%s/executables_sgi",version);
	  system(sysCall);
	}/* Migrate exec */
      if(*ans=='4')
	{/* Migrate s/d/e */
	  printf("    4) Migrate all source/docs/executables for this version.\n");
	  sprintf(sysCall,"doall.mscp %s",version);
	  system(sysCall);
	}/* Migrate s/d/e */
      if(*ans=='5')
	{/* Show versions */
	  printf("    5) Show all versions available.\n");
	  sprintf(sysCall,"ls -l /bio/baker9d3/rwa");
	  printf("Exisiting versions:\n");
	  system(sysCall);
	}/* Show versions */
      if(*ans=='6')
	{/* Create distribution set  */
	  printf("    6 ) Create distribution set for a version.\n");
	  sprintf(sysCall,"cd /bio/baker9d3/rwa ; tar cvf purdueEM_%s.tar ./%s",
		  version,version);
	  system(sysCall);
	  sprintf(sysCall,"cd /bio/baker9d3/rwa ; gzip purdueEM_%s.tar",
		  version);
	  system(sysCall);
	}/* Create distribution set  */
      if(*ans=='7')
	{/* new version  */
	  printf("    7) Switch version.\n");
	  sprintf(sysCall,"ls -l /bio/baker9d3/rwa");
	  printf("Exisiting versions:\n");
	  system(sysCall);
	  printf("\nEnter version STRING:\n");
	  scanf ("%s",version);
	}/* new version  */
      if(*ans=='8')
	{/* lock version tree */
	  printf("    8) Lock version.\n");
	  sprintf(sysCall,"ls -l /bio/baker9d3/rwa");
	  printf("Exisiting versions:\n");
	  system(sysCall);
	  printf("\nEnter version to lock STRING:\n");
	  scanf ("%s",version);
	  sprintf(sysCall,"chmod -R 550  /bio/baker9d3/rwa/%s",version);
	  system(sysCall);
	  sprintf(sysCall,"ls -l /bio/baker9d3/rwa");
	  printf("Exisiting versions:\n");
	  system(sysCall);
	}/* lock version tree */
      if(*ans=='9')
	{/* Make executables */
	  printf("    9) Build executables for this version.\n");
	  sprintf(sysCall,"makeall.mscp %s",version);
	  system(sysCall);
	}/* Make executables */
      if((*ans=='x')||(*ans=='X'))
	{/* Exit */
	  exit(0);
	}/* Exit */
      
      printf("\n");
      printf("Enter a value to continue: \n");
      scanf ("%s",dummy);
      printf("\n");

    }/* DO until exit */


}/* MAIN */






