

/************************************************************
 * convertFFTcoords() - Converts from x,y positions from the
 * X Windows window (e.g. gotten from fftMotion()) into
 * indexes in the fft array.
*/
void convertFFTcoords(int x, int y, int *thisX, int *thisY)
{/* CONVERTFFTCOORDS */

  if(y<=256 && x <256)
    {/* upper left */
      *thisY = (256-y);  /* Goes to lower right */
      *thisX = (256+x);
    }/* upper left */
  else if(y<=256 && x >=256)
    {/* upper right */
      *thisY = (256-y);  /* Goes to lower left */
      *thisX = (x-256);
    }/* upper right */
  else if(y>256 && x < 256)
    {/* lower left */
      *thisY = (512 - (y-256));   /* Goes to upper right */
      *thisX = (256 + x);
    }/* lower left */
  else
    {/* lower right */
      *thisY = (512 - (y-256));    /* Goes to upper left */
      *thisX = (x-256);
    }/* lower right */

}/* CONVERTFFTCOORDS */


main()
{
  int i,j,k;
  float a,b,c,d,e;
  int fftSize,iTfftSize2;
  float sizeF;
  int thisX,thisY,x,y;

  for(fftSize=128;fftSize< 1025;fftSize*=2)
    {/* fftsize */

      sizeF = fftSize / 512.0;
      printf("\n\n\nfftSize[%d]  sizeF[%f]\n",fftSize,sizeF);
      
      y = 0;
      x = 0;
      convertFFTcoords(x,y,&thisX,&thisY);
      printf("y[%d]x[%d]  thisY[%d]htisX[%d]\n",
		 y,x,thisY,thisX);
      y = 0;
      x = 256;
      convertFFTcoords(x,y,&thisX,&thisY);
      printf("y[%d]x[%d]  thisY[%d]htisX[%d]\n",
		 y,x,thisY,thisX);

      y = 0;
      x = 511;
      convertFFTcoords(x,y,&thisX,&thisY);
      printf("y[%d]x[%d]  thisY[%d]htisX[%d]\n",
		 y,x,thisY,thisX);

      y = 256;
      x = 256;
      convertFFTcoords(x,y,&thisX,&thisY);
      printf("y[%d]x[%d]  thisY[%d]htisX[%d]\n",
		 y,x,thisY,thisX);

      y = 258;
      x = 2;
      convertFFTcoords(x,y,&thisX,&thisY);
      printf("y[%d]x[%d]  thisY[%d]htisX[%d]\n",
		 y,x,thisY,thisX);

      y = 258;
      x = 258;
      convertFFTcoords(x,y,&thisX,&thisY);
      printf("y[%d]x[%d]  thisY[%d]htisX[%d]\n",
		 y,x,thisY,thisX);

      y = 2;
      x = 2;
      convertFFTcoords(x,y,&thisX,&thisY);
      printf("y[%d]x[%d]  thisY[%d]htisX[%d]\n",
		 y,x,thisY,thisX);

      y = 2;
      x = 258;
      convertFFTcoords(x,y,&thisX,&thisY);
      printf("y[%d]x[%d]  thisY[%d]htisX[%d]\n",
		 y,x,thisY,thisX);

    }/* fftsize */


}
