#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#define THRESHHOLD 0.2

int disDotPlane(double x,double y,double z,
		double x1,double y1,double z1,
		double x2,double y2,double z2,
		double x3,double y3,double z3)
{

	double A,B,C,D,sum;
	double d;
	
	
	
	
	printf("\n *****this  is inside the disdotplane*******");
	printf("\n x1,y1,z1 = %f, %f,%f",x1,y1,z1);
	printf("\n x2,y2,z2 = %f, %f,%f",x2,y2,z2);	
	printf("\n x3,y3,z3 = %f, %f,%f",x3,y3,z3);
	
	
	A = (y2-y1)*(z3-z1)+(y3-y1)*(z1-z2);
	printf ("\n The A is %f", A);
	
	B = (x3-x1)*(z2-z1)+(x2-x1)*(z1-z3);
	printf ("\n The B is %f", B);
	
	C = (x2-x1)*(y3-y1)+(x3-x1)*(y1-y2);
	printf ("\n The C is %f", C);
	
	D = 	 x1*(y1-y2)*(z3-z1)
		+z1*(x1-x2)*(y3-y1)
		+y1*(x1-x3)*(z2-z1)
		+x1*(y3-y1)*(z2-z1)
		+y1*(x2-x1)*(z3-z1)
		+z1*(x3-x1)*(y2-y1);
	printf ("\n The D is %f", D);
	sum = A*x+B*y+C*z+D	;
	printf("\n The sum is %f", sum );
	if (sum < 0.0)
	sum = -sum;
	d = sum/(sqrt(A*A+B*B+C*C));
	
	printf ("\n The sqrt(A*A+B*B+C*C) is %f",sqrt(A*A+B*B+C*C));
	printf ("\n The distance between the voxel and the plane is %f",d);
	if (d < THRESHHOLD)
	return 1;
	else
	return 0;
	


}
int icosshell(double x, double y, double z, double rad)
{

	double ka, kb, kc;
	
	double x1,y1,z1;
	double x2,y2,z2;
	double x3,y3,z3;
	double x4,y4,z4;
	double x5,y5,z5;
	double x6,y6,z6;
	printf("\n x is equal to %f, y is equal to %f,z is equal to %f", x, y, z);
	//these are the cartessian values of six points enclosing the icosahedral shell
	x1 = 0.0;
	y1 = 0.0;
	z1 = 0.85065*rad;//center to midedge
	
	x2 = 0.0;
	y2 = 0.85065*rad;
	z2 = 0.52573*rad;//half of the edge
	
	x3 = 0.0;
	y3 = 0.85065*rad;
	z3 = 0.0;
	
	x4 = 0.85065*rad;//center to midege
	y4 = 0.52573*rad;
	z4 = 0.0;
	
	x5 = 0.85065*rad;
	y5 = 0.0;
	z5 = 0.0;
	
	x6 = 0.52573*rad;
	y6 = 0.0;
	z6 = 0.85065*rad;
	
		
	//x,y,z is the cartessian position of the considered voxel
	//rad is the radius from the origin to the five fold vertex
	
	//first we need to convert this voxel to the first 1/8 space
	
	if (x < 0)
	x = -x;
	if (y < 0)
	y = -y;
	if (z < 0)
	z = -z;
	//we need to get rid of the points whose position is out of range
	
	if(x > (rad +THRESHHOLD) || y > (rad +THRESHHOLD) || z > (rad +THRESHHOLD))
	
	{
		printf("\n you are totally out of range!");
		return 0;
	}
	//we need to consider the projection of the voxel on xy plane
	//so we can decide which icosahedral plane is more close to the 
	//the voxel.
	
	
	ka = -1.61804*rad;
	kb = 0.32492*rad;
	kc = 0.38211;
	if((y <= (ka * x + 0.85084*rad)) && (disDotPlane(x,y,z,x1,y1,z1,x2,y2,z2,x6,y6,z6) == 1))
	{
		printf("\n your projection is in area 1!");
		return 1;
	}
	else if((y <= (kb*x-0.17082*rad)) && (disDotPlane(x,y,z,x4,y4,z4,x5,y5,z5,x6,y6,z6) == 1))
	{
		printf("\n your projection is in area 2!");
		return 1;
	}
	else if (((y <= (kc * x + 0.85065*rad)) && (disDotPlane(x,y,z,x2,y2,z2,x4,y4,z4,x6,y6,z6) == 1))
	||((z <= (0.38211*x)) && (y <= (kc * x + 0.85065*rad)) && (disDotPlane(x,y,z,x2,y2,z2,x3,y3,z3,x4,y4,z4) == 1)))
	{
		printf("\n your projection is in area 3 or 4!");
		return 1;
	}
	
	return 0;
	
	
	
}
main()
{
	double a,b,c,radius;
	int result;
	//a = 0.0;
	//b = 0.0;
	//a = 0.85065;
	//b = 0.85065;
	//c = 0.0;
	a = 0.85065;
	b = 0.52573;
	c = 0.0;
	radius = 1.0;
	result = icosshell(a, b, c, radius);
	printf("\n The result is %d",result);
		

}





