#ifndef _FIT_UTILS_H_
#define _FIT_UTILS_H_

void mrqmin(double x[], double y[], double sig[], int ndata, double a[], int ia[],
        int ma, double **covar, double **alpha, double *chisq,
        void (*funcs)(double, double [], double *, double [], int, int, int, double,
        int, double, double, double),
        double *alamda, int num_gauss_bkg, int num_gauss_ctf, double wavelength,
        int idim_half, double A, double Cs, double pixel_size);

void fpoly_ctf(double  x, double  a[], double  *y, double  dyda[], int na, int order_poly1,
        int order_poly2, double  wavelength, int idim_half, double  A, double  Cs,
        double  pixel_size );

void cmpt_fit(double ca1d_avg[], double ca1d_std[], int * ndata,
              double poly_paras[], int * poly_order, int * poly_orderb, int * poly_orderd,
              double * wavelength, int * hkl_max, double * A, double * Cs,
              double * pixel_size, double * chisq);

void cmpt_fit_(double ca1d_avg[], double ca1d_std[], int * ndata,
              double poly_paras[], int * poly_order, int * poly_orderb, int * poly_orderd,
              double * wavelength, int * hkl_max, double * A, double * Cs,
              double * pixel_size, double * chisq);

void covsrt(double **covar, int ma, int ia[], int mfit);
void gaussj(double **a, int n, double **b, int m);
void mrqcof(double x[], double y[], double sig[], int ndata, double a[],
        int ia[], int ma, double **alpha, double beta[], double *chisq,
        void(*funcs)(double, double [], double *, double [], int, int, int, double,
        int, double, double, double),
        int num_gauss_bkg, int num_gauss_ctf,double wavelength,int idim_half,
        double A, double Cs, double pixel_size);

#endif
