	SUBROUTINE imgcompcet(fft2,hkl_min,hkl_max,fft1,
     +                     disef,rmin,rmax,retvalue)
C
Cji  compare the two complex image with radius from rmin to rmax for center correction
Cji  disef is the weight which apply to the distance, according to the radius and funcweight
Cji  but for center correction, we donot wnat to use this disef weight.
Cji  SO the center correction will be more better with distance method.
C
	IMPLICIT NONE
C
        include  '../include/allprogs.inc'
        INTEGER  hkl_min, hkl_max
        COMPLEX  FFT1(0:hkl_max,hkl_min:hkl_max)
        COMPLEX  FFT2(0:hkl_max,hkl_min:hkl_max)
        real     disef(0:hkl_max,hkl_min:hkl_max)
        REAL     retvalue, rmin, rmax
Cji Local
        double precision dvalue
        REAL*4  tmp
        integer  rmaxi ,I,J, count
        Complex  tt
        real     dis

        retvalue = 1.0E+37
        dvalue = 0.0
        count = 0
        rmaxi = min(hkl_max,ifix(rmax)+1)
        Do i = 0, rmaxi
          Do j = -rmaxi, rmaxi
            tmp = i*i+j*j
            if ((tmp.le.rmax**2) .and. (tmp.ge.rmin**2)) then
              count = count + 1
C
C **********************************************************************
Cji              use distance: sqrt((A1-A2)**2 + (b1-b2)**2)
              tt = FFT1(i,j) - FFT2(i,j)
              dis = sqrt(real(tt)**2 + aimag(tt)**2)
              dvalue = dvalue + dis
Cji              dvalue = dvalue + dis * disef(i,j)
C
            endif
          enddo
        enddo
C
        if (count .ge. 1) retvalue = dvalue / count
C
        RETURN
        END

