	SUBROUTINE imgcompfac(fft1,hkl_min,hkl_max,fft2,value)
C
Cji  compare the two complex image  to get the scalefactor
C
	IMPLICIT NONE
C
        include  '../include/allprogs.inc'
        INTEGER  hkl_min, hkl_max
        COMPLEX  FFT1(0:hkl_max,hkl_min:hkl_max)
        COMPLEX  FFT2(0:hkl_max,hkl_min:hkl_max)
        REAL     value
Cji Local
        integer  i,j
        real     max1, max2
        integer  n

        value = 1.0
        max1  = 0.
        max2  = 0.
        n     = 2
        do i = 0, n
          do j = -n, n
            if (i.eq.0 .and. j.eq.0) then
            else
              max1=max1+sqrt(real(fft1(i,-j))**2+aimag(fft1(i,-j))**2)
              max2=max2+sqrt(real(fft2(i,-j))**2+aimag(fft2(i,-j))**2)
            endif
          enddo
        enddo
        if (max2.gt.0.0) value = max1 / max2
C
        RETURN
        END

