/* Filename: mrc.h
 *
 * Include file describing the structure of mrc header
 *
 */


/* Header structure. */
struct mrc_hdr
{
    long	nx;
    long	ny;
    long	nz;
    long	mode;
    long	nxstart;
    long	nystart;
    long	nzstart;
    long	mx;
    long	my;
    long	mz;
    float	x_length;
    float	y_length;
    float	z_length;
    float	alpha;
    float	beta;
    float	gamma;
    long	mapc;
    long	mapr;
    long	maps;
    float	amin;
    float	amax;
    float	amean;
    long	ispg;
    long	nsymbt;
    long	extra[29];
    float	xorigin;
    float	yorigin;
    long	nlabl;
    char	label[10][80];
};

