	PROGRAM	CMP
C
C		14-JAN-1992 BY HOLLAND CHENG
C		revision 31-JAN-95 [RHC]
C		Revised May,June 1996 by D. Belnap
C		Revised Oct 18, 1997 by D. Belnap & T. Baker
C               Revised May 1998 by D. Belnap
C               Revised 4-Jun-1998 by TSB (PIF compatible)
C               Revised 30-Nov-1999 by TSB (Minor changes)
C		Revised 2-AUG-2000 by J. Folk (added WIN_SIZE)
C               Revised 4-DEC-2000 by J. Folk (added QTR_SWITCH)
C
	IMPLICIT NONE
C
	INTEGER*4 I, NUM, ID(1), WIN_SIZE, QTR_SWITCH 
	REAL*4    PARAMS(1), CCOEF(1), BESTMAG(1)
	POINTER   (ID_P,ID), (PARAMS_P,PARAMS), (CCOEF_P,CCOEF)
	POINTER   (BESTMAG_P,BESTMAG)
	CHARACTER FILENAME*64
	LOGICAL   MALLOC
C  ----------------------------------------------------------------------------
C
  100	CALL VT_CLS
	PRINT *, '                     CMP'
	PRINT *, '       CoMPare Image and Projection data'
	PRINT *, 'Computes CORRELATION COEFFICIENTs between PRJs/IMGs'
	PRINT *
	PRINT *, '                  30 November 1999'
	PRINT *, '       --------------------------------------'
	PRINT *, '  <1>  Compare 2D_projections with Raw_images'
	PRINT *, '  <2>  Radial Comparison of 3D_MAPS '
	PRINT *, '  <3>  Extended Contrast Comparison of 3D_MAPS '
	PRINT *
	PRINT *, ' <CR>  Exit CMP'
	PRINT *
	PRINT *,'Enter choice (<CR>=EXIT): '
C
	READ (*,'(I)',ERR=100) I
	IF(I.LE.0 .OR. I.GT.3) CALL TSBEND
	IF(I.EQ.1) THEN
	   PRINT *
	   PRINT *, 'Compare 2D projections with raw images'
	   PRINT *
 200	   PRINT *, '$PARAM data file (<CR>=EMPFT.DAT): '
	   FILENAME = ' '
	   READ(*,'(A)',ERR=200) FILENAME
	   IF(FILENAME.EQ.' ') FILENAME = 'EMPFT.DAT'
	   OPEN(UNIT=1,STATUS='OLD',NAME=FILENAME)
C    ,CARRIAGECONTROL='LIST')
	   NUM = 0	      ! Count total number of images in parameter file
	   READ(1,'(A)')			! READ 1ST DUMMY RECORD
	   READ(1,'(A)')			! READ 2ND DUMMY RECORD
	   DO WHILE (.TRUE.)
	     READ (1,'(A)',END=300,ERR=999)
	     NUM = NUM + 1
	   ENDDO
  300	   CLOSE (UNIT=1, STATUS='KEEP')
	   PRINT *,'There are ',NUM,' images to be correlated.'
C	   *******************************************************
C	   *  Allocate dynamic arrays and call CMP2D subroutine  *
C	   *******************************************************
	   PARAMS_P  = MALLOC (4*NUM*5)
	   ID_P      = MALLOC (4*NUM)
	   CCOEF_P   = MALLOC (4*NUM)
	   BESTMAG_P = MALLOC (4*NUM)
	   CALL CMP_PRJIMG (NUM, FILENAME, PARAMS, ID, CCOEF, BESTMAG)
	 ELSE IF(I.EQ.2.OR.I.EQ.3) THEN
	   PRINT *
	   PRINT *, 'Compare two 3D maps'
	   PRINT *
	   IF (I.EQ.3) THEN
	     PRINT *, 'Calculate using quarter-map only?'
	     PRINT *, '(Recommended for icosahedral particles)'
             PRINT *, '0 = Full map, 1 = Quarter map only'
	     READ *, QTR_SWITCH
	     PRINT *
	     PRINT *, 'Sliding window size?' 
	     PRINT *, '(for contrast determination, default = 5)'
	     READ *, WIN_SIZE
	     IF (WIN_SIZE.LE.0) WIN_SIZE = 5
	   ENDIF
	   CALL CMP3D (I, WIN_SIZE, QTR_SWITCH)
	ENDIF
	CALL TSBEND
C
 999	PRINT *, '******************************************************'
	PRINT *, '* ERROR reading ',FILENAME,' exit program *'
	CALL TSBEND
	END
