C wei
C 1) LIB$GET_VM -- GET_VM
C 2) LIB$FREE_VM -- FREE_VM
C 3) read empft.dat format input lines and the output in emico.dat
C    has same format. note: the magfactor in not there yet, the same
C    parameter is used for triger_delta
C 4) use pif images
C 5) *** now this version refine particle orientations one by one by 
C    comparing this particle with the "fixed" particles only. the
C    emico.dat file has up, low and best saved in the positions of
C    pft_cc, prj_cc and cmp_cc. In the first line of input,the number
C    of the fixed particles is given before the total number of 
C    particles. Orientations of these fixed particles should be listed
C    before other refinable particles. 
C    *** this version "self-compared" phase residue is not included in 
C    the calculation, so the averaged residues are generally lower than
C    the original emicograd calculations.
C    *** the purpose of this program is just quickly screen results given
C    by the findview program. More refinement should be done by the
C    original emicograd program.
C 6) errors and changes and the matrix of phase residues of cross 
C    common lines among particles will not be printed, unless
C    Ilist is set to 3
C 7) maxinum number of particles are set to 1000
C 8) allow the user to give a cut-off phase residue, if all phase residue
C    of one particle to all the fixed particles are less than this number,
C    the trigger_delta is set to -1.0.
C 9) add prints on the percentage of the calculation to show the process. 
C10) use reference data and refined data file names instead of including
C    all info in the batch job file. The user does not have to specify
C    the number of particles used as reference, or refinement.
C11) let user specify the output file name, it has empft.dat format.
C12) Let the trigger_del=9999.0 for all particles
C13) CTF correction (only flip phases) is applied to images by default.
C14) Should get rid of GET_VM struff...(not yet)
C    emicograd.for-bck7
C15) Rid of prints for lin fit
C16) Let the refinement progressed in cycles of 25 particles each,
C    the CPU time is reduced to 1/5th. I/O time is increased. 12-1-2001
C    emicograd.for-bck8
C17) Move the GRAD_INPUT into the main routine to save I/O time
C18) Allow the user to decide if the ctf phase shall be corrected for
C    the reference or the raw images
C19) maximum number of particles was set to 2700
C wei zhang, Feb.18 2002
C last modified by RWA 12-NOV-2003 Port to Linux
C=========================================================================
C
C	PROGRAM - EMICOGRAD
	implicit none
C
	include '../libEMF/INCfiles/EMICOGRAD.INC/list'
	INCLUDE	'../libEMF/INCfiles/PIFHEAD.INC'
	RECORD /PIFHEAD_T/ IMGHEAD, prjHead
	COMMON /PIFHEAD/   IMGHEAD, prjHead
	record	/IMAGE/	IMAGE(MAX_IMAGES)	
	record/conformation/ START, NEXT
	record/save/ DELTA(MAX_IMAGES)
	INTEGER*4 INDEX(0:MAX_SIMPLEX-1), ILIST
	parameter (L_GRAD=7, NLINES=60, NLINES1=NLINES/2+1)
C		Storage will be dynamically allocated using the base 
C			addresses IADDR_AT,IADDR_BT
C
	INTEGER*4	II,JJ,II1,JJ1,II2,JJ2
	REAL*4	  SELF_ERROR(MBR+2)
	INTEGER*4 N_SELF_ERROR(MBR+2)
C	Virtual memory will be allocated for the large arrays after the 
c		buffer arrays for input are released
c
C	REAL*4	  RADERR(MBR+2, MAX_IMAGES, MAX_IMAGES)
C	INTEGER*4 NRADERR(MBR+2, MAX_IMAGES, MAX_IMAGES)
C	REAL*4	  TRADERR(MBR+2, MAX_IMAGES)
C	INTEGER*4 NTRADERR(MBR+2, MAX_IMAGES)
C	REAL*4	  ALINE(NLINES,MBR+2), BLINE(NLINES,MBR+2)
	INTEGER*4 LEN_RADERR, LEN_TRADERR, LEN_ALINE
Ca	INTEGER*4 IADDR_RADERR, IADDR_NRADERR
Ca	INTEGER*4 IADDR_TRADERR, IADDR_NTRADERR
Ca	INTEGER*4 IADDR_ALINE, IADDR_BLINE
	real*4    iaddr_raderr(1)
	real*4    iaddr_nraderr(1)
	real*4    iaddr_traderr(1), iaddr_ntraderr(1)
	real*4    iaddr_aline(1), iaddr_bline(1)

C	record/conformation/ SIMPLEX(MAX_SIMPLEX) ! This will be 
c		allocated seperately
	INTEGER*4 LEN_SAVE, LEN_CONFORMATION, MAX_VARY
	integer*4 iaddr_simplex(1)
C
	record/hand/	HAND_SET(MAX_SET)
	INTEGER*4	N_SET, N_SUM
	REAL*4		SUM_MEAN
C
	REAL*4	  D_THETA, D_PHI, D_OMEGA, D_ORIGX, D_ORIGY, ERR_LIM
	REAL*4	  D_VECTOR, D_FACTOR, GRAD(L_GRAD)
	REAL*4    ALPHA1(NLINES), ALPHA2(NLINES)
	REAL*4    FMOD(MBR), TRANSFORM
	REAL*4	  RSC1, RSC2, DELRSC, RMIN, RMAX, DELR
	REAL*4	  RSCMAX, RINCR, RSCALE, FMOD1, FMIN
	INTEGER*4 NBAND, NSTEP1, NSTEP2, NSTEP3, NSTEP4, INA, N_SUMMED
	INTEGER*4 I, J, K, INCR, NSAMPL, NK, IRAD2, IRAD, N_IMAGES
	INTEGER*4 N_CYCLES, J_CYCLE, N_ACTIVE, IFLIP, ICO_IDIM
	INTEGER*4 N_MOVED(MAX_IMAGES)/MAX_IMAGES*0/
	INTEGER*4 N_SUB_CYCLES/8/
	LOGICAL	  ALLOW_FLIP, CHANGE_PARM /.FALSE./, GET_VM
	LOGICAL   SYS$INTERACTIVE
C wei
	INTEGER*4 N_FIX_IMAGES, NUMIND, TOTAL, JK
	REAL*4 	  PHASELIM, D_VECTOR1
	REAL*4	  D_THETA1, D_PHI1, D_OMEGA1, D_ORIGX1, D_ORIGY1
	CHARACTER REFNAME*64, INFILENAME*64, TMP*80, OUTFILENAME*64
C
	real*4    fft_addr(1)
	integer*4 iaddr_base(1)
	INTEGER*4 LEN_ATBT, LEN_ATBTFCUT, LEN_FCUT
Cwei add pif stuff
        INTEGER*4 PIFMODE, BINSWITCH, IDIM1, IDIM2
	INTEGER*4 NCOL, NROW, NSEC 
        INTEGER*4 lun,nimg,htype,endianNess, thisNSEC, imgoffset
        REAL*4    floatScaleFactor, recipFloatScaleFactor,scale1,SCALE2
        REAL*4   PERCENT, DIV 
        BYTE      versionStr(35)
        BYTE      readWrite(4)
        CHARACTER FNAME*64, ico_title*80
	CHARACTER PRJNAME*80, IMGNAME*80
	integer   malloc
	pointer   (iaddr_base_p, iaddr_base)
	pointer   (fft_addr_p, fft_addr)
	pointer   (iaddr_simplex_p,iaddr_simplex)
	pointer   (iaddr_raderr_p,iaddr_raderr)
	pointer   (iaddr_nraderr_p,iaddr_nraderr)
	pointer   (iaddr_traderr_p,iaddr_traderr)
	pointer   (iaddr_ntraderr_p,iaddr_ntraderr)
	pointer   (iaddr_aline_p,iaddr_aline)
	pointer   (iaddr_bline_p,iaddr_bline)
Cwei add ctf stuff 
	INTEGER*4 UNIT, IMAGECTFMODE, REFCTFMODE 
	REAL*4    PIXSIZS, VOLTS, DELF_MAJS, DELF_MINS
	REAL*4    ANG_MAJS, AMPFACS, CS_COEFFS 

C	LOGICAL   GET_VM
C  ----------------------------------------------------------------------------
C
	WRITE(6,'('' EMICOGRAD: Refine orientations of up to '', I5,
	1	'' images using '',I4,'' lines for comparison'')')
	1	MAX_IMAGES, NLINES
c?	WRITE(6,'('' This version uses amplitude weighted residuals for'',
c?1	'' refinement '')')
Ca	WRITE(6,'('' VERSION: 4-Dec-01 [W. ZHANG]'')')
	call banner('EMICOGRAD\0')
C
C  ***********************************
C  *    PARAMETERS FOR TRANSF ETC    *
C  ***********************************
c	DO WHILE (N_IMAGES.le.0 .or. N_IMAGES.gt.MAX_IMAGES)
	  WRITE(6,'(''$IFLIP,ILIST (<CR>=0,0): '')') 
	  READ(5,'(2I)') IFLIP, ILIST
c	ENDDO
c wei this part is moved to later portion
c	IF(N_IMAGES.GT.10 .AND. IFLIP.GT.0) THEN
c	  IFLIP = 0
c	  WRITE(6,'('' HAND CHOICE DISSALLOWED FOR >10 PARTICLES'')')
c	ENDIF
c	ALLOW_FLIP = .FALSE.
c	IF(IFLIP.EQ.2) THEN
c	   ALLOW_FLIP = .TRUE.
c	   WRITE(6,'('' EVALUATE AND REFINE HAND CHOICE'')')
c	 ELSE IF(IFLIP.EQ.1) THEN
c	   WRITE(6,'('' ONLY EVALUATE HAND CHOICE'')')
c	ENDIF
c	IF(ILIST.LE.0) ILIST = 0
C wei end
C
C		Get limits for test of radial distance scaling
C
	WRITE(6,'('' RANGE OF RADIAL SCALING AND STEP SIZE TO TEST '',
	1 '' (3F)'')')
	WRITE(6,'(''$SCLMIN,SCLMAX,DELSCL <CR>=1.0,1.0,1.0 : '')')
	READ (5,'(3F)') RSC1, RSC2, DELRSC
	IF(RSC1.LE.0.0)   RSC1   = 1.0
	IF(RSC2.LE.0.0)   RSC2   = 1.0
	IF(DELRSC.LE.0.0) DELRSC = 1.0
	WRITE(6,'('' RSC1, RSC2, DELRSC '',3(2x,f))')RSC1, RSC2, DELRSC
c		Get max and min values of radius to be used
C  ***************************************************************
C  *    INPUT DESIRED FFT SIZE AND RANGE OF TRANSFORM TO USE     *
C  *     RES_MAX CANNOT EXCEED FLOAT(MBR)                        *
C  ***************************************************************
	WRITE(6,'(''$FFT_SIZE,RES_MIN,RES_MAX (I,2F): '')')
	READ (5,'(I,3F)') ICO_IDIM, RMIN, RMAX, PHASELIM
	IF(RMIN.LE.0.0 .or. RMIN.gt.1.0*MBR) RMIN =  1.0
	IF(RMAX.LE.0.0 .or. RMAX.gt.1.0*MBR) RMAX = 1.0*MBR
	WRITE(6,'('' RMIN,RMAX '',2(2X,F))') RMIN, RMAX
Ca	WRITE(6,'(''$ BANDS IN TF: INCR,NSAMPL <CR>='',x,i2,
Ca	1	'' bands with '' ,x,i2,h, ,x,i2, 
Ca	1	'' : '')') IFix((RMAX-RMIN)/4.0),4,4
	print *, 'BANDS IN TF: INCR,NSAMPL <CR>=',IFix((RMAX-RMIN)/4.0),
	1	' bands with ' , 4, 4,
	1	' : '
	READ (5,'(2I)')  INCR ,NSAMPL
	IF(INCR.le.0) INCR = 4
	NBAND = IFix((RMAX-RMIN)/INCR)
	IF(NBAND .gt. MAX_BAND)   NBAND  = MAX_BAND
	IF(INCR.LE.0)             INCR   = 4
	IF(INCR.GT.MAX_INCR)      INCR   = MAX_INCR
	IF(NSAMPL.LE.0)           NSAMPL = 4
	IF(NSAMPL.GT.MAX_SAMPL)   NSAMPL = MAX_SAMPL
	WRITE(6,'('' NBAND, INCR, NSAMPL '',3(x,i3))') NBAND, INCR, NSAMPL
C
	RSCMAX = AMAX1(RSC2,1.0)
	IRAD2  = RMAX*RSCMAX+1.5
	do while (IRAD2.gt.MBR-INCR)
	    RMAX = RMAX-1.0
	    IRAD2  = RMAX*RSCMAX+1.5
	    CHANGE_PARM = .true.
	ENDDO
C
	IRAD = NBAND*INCR*RSCMAX+1
	do while (IRAD .gt. MBR-INCR ) 
	    NBAND = NBAND-1
	    IRAD = NBAND*INCR*RSCMAX+1
	    CHANGE_PARM = .true.
	ENDDO
C
	DELR   = float(INCR)/float(NSAMPL)
	NSTEP1 = (RMIN+0.1)/DELR
	NSTEP2 = (RMAX+0.1)/DELR
	NSTEP3 = NSTEP2+1
	NSTEP4 = NBAND*NSAMPL
	do while (NSTEP2.gt.MBR .or. NSTEP4.gt.MBR) 
	    NSAMPL = 80/NBAND
	    DELR   = float(INCR)/float(NSAMPL)
	    NSTEP1 = (RMIN+0.1)/DELR
	    NSTEP2 = (RMAX+0.1)/DELR
	    NSTEP3 = NSTEP2+1
	    NSTEP4 = NBAND*NSAMPL
	    CHANGE_PARM = .true.
	ENDDO
C
	IF(IRAD2.GT.IRAD) IRAD = IRAD2
	IF(NSTEP3.GT.IRAD) IRAD = NSTEP3
C
D	WRITE(6,*) 'nstep1,2,3,4', NSTEP1, NSTEP2, NSTEP3, NSTEP4
C
	RINCR  = FLOAT(INCR)
	NK     = 1.1+(RSC2-RSC1)/DELRSC
	do INA = 1,NBAND
	    FMOD(INA) = 0.0
	enddo
C
	IF(CHANGE_PARM) then
	    CALL BELL (2)
	    WRITE(6,
	1   '('' Parameters were changed to fit within program limits'')')
	    WRITE(6,'('' NBAND, INCR, NSAMPL '',3(x,i3))') 
	1	NBAND, INCR, NSAMPL
	    WRITE(6,'('' IRAD, RMIN, RMAX '',x,i3,x,f,x,f))') 
	1	IRAD, RMIN, RMAX
	ENDIF
	WRITE(6,'('' Refinement parameters :'')')
Ca	WRITE(6,'(h$
Ca	1  ''Delta Theta, Delta Phi, Delta Omega, Cycles, Error limit, Fmin ''
Ca	1	/,t5,'' (3f,i,2f <cr>=):'',
Ca	1	3(x,f)x,i3,x,2f,h:)') 1.,1.,1.,10,50.,-1.0
	print *, 'Delta Theta, Delta Phi, Delta Omega, ',
	1  'Cycles, Error limit, Fmin ',
	1  ' (3f,i,2f <cr>= ', 1.,1.,1.,10,50.,-1.0,
	1  ' : '
	READ(5,'(3F,I,5F)') D_THETA, D_PHI, D_OMEGA, N_CYCLES, 
	1	ERR_LIM, FMIN, D_FACTOR, D_ORIGX, D_ORIGY
	IF(D_FACTOR.LE.0.0) D_FACTOR = 0.8
	IF( D_THETA.eq.0.0 .and. D_PHI.eq.0.0 .and. D_OMEGA.eq.0.0 
	1 .and. D_ORIGX.EQ.0.0 .and. D_ORIGY.eq.0.0) then
	  D_THETA  =  1.0
	  D_PHI    =  1.0
	  D_OMEGA  =  1.0
	  D_ORIGX  =  0.0
	  D_ORIGY  =  0.0
	  N_CYCLES =   10
	  ERR_LIM  = 50.0
	  FMIN     = -1.0
	ENDIF
C
C	NOTE: SHOULD THE DIVISOR BE 5.0 AS DONE INSIDE LOOP BELOW ???
C
	D_VECTOR = (D_THETA+D_PHI+D_OMEGA+D_ORIGX+D_ORIGY)/3.0

        D_THETA1 = D_THETA
        D_PHI1   = D_PHI
        D_OMEGA1 = D_OMEGA
        D_ORIGX1 = D_ORIGX
        D_ORIGY1 = D_ORIGY
        D_VECTOR1= D_VECTOR

	MAX_VARY = 0
	IF(D_ORIGX.gt.0.0) MAX_VARY=MAX_VARY+1
	IF(D_ORIGY.gt.0.0) MAX_VARY=MAX_VARY+1
	IF(D_OMEGA.gt.0.0) MAX_VARY=MAX_VARY+1
	IF(D_THETA.gt.0.0) MAX_VARY=MAX_VARY+1
	IF(D_PHI.gt.0.0) MAX_VARY=MAX_VARY+1
	IF(D_PHI.gt.0.0 .and. D_THETA.gt.0) MAX_VARY=MAX_VARY+1
C
	WRITE(6,'('' Vector delta = '',f,'' Number of parameters to vary '',
	1	i3)') D_VECTOR, MAX_VARY
C
	IF(D_VECTOR.le.0.0 .or. MAX_VARY.le.0) then
	  WRITE(6,'('' No refinement requested '')')
	  N_CYCLES = 0
	ENDIF
C wei read reference file name and data file name and count the 
C     number of particles in each file, get values for N_FIX_IMAGE
C     and N_IMAGE
    9   WRITE (6,'(''$Enter the CTF modes for ref and img (2I):'')')
        READ (5,'(2I)',ERR=9) REFCTFMODE, IMAGECTFMODE
   10   WRITE (6,'(''$Enter the reference filename:  '')')
        READ (5,'(A)',ERR=10) REFNAME
   20   WRITE (6,'(''$Enter the data filename:  '')')
        READ (5,'(A)',ERR=20) INFILENAME
   70   WRITE (6,'(''$Enter the output filename:  '')')
        READ (5,'(A)',ERR=70) OUTFILENAME
	N_FIX_IMAGES = 0
        OPEN (UNIT=1, FILE=REFNAME, STATUS='OLD')
Ca	1     ACCESS='SEQUENTIAL', FORM='FORMATTED',READONLY,SHARED)
        READ (1,'(A)') TMP
        READ (1,'(A)') TMP
   30   READ (1,'(A)', ERR=30, END=40) TMP 
        N_FIX_IMAGES = N_FIX_IMAGES + 1
        GOTO 30        
   40   CLOSE(UNIT=1, DISP='KEEP')
	N_IMAGES = N_FIX_IMAGES
        OPEN (UNIT=2, FILE=INFILENAME, STATUS='OLD')
Ca	1     ACCESS='SEQUENTIAL', FORM='FORMATTED',READONLY,SHARED)
	OPEN (UNIT=3, NAME=OUTFILENAME, STATUS='NEW')
Ca	1 ACCESS='SEQUENTIAL', FORM='FORMATTED', CARRIAGECONTROL='LIST')
        READ (2,'(A)') TMP
	WRITE (3,'(A)') TMP
        READ (2,'(A)') TMP
	WRITE (3,'(A)') TMP
   50   READ (2,'(A)', ERR=50, END=60) TMP 
        N_IMAGES = N_IMAGES + 1
        GOTO 50        
   60   CLOSE(UNIT=2, DISP='KEEP')
	print *, '# of reference images = ',n_fix_images
	print *, 'total # of images     = ', n_images
	IF(N_IMAGES.GT.2700) THEN
	  PRINT *, 'ONLY 2700 PARTICLES ARE REFINED'
	  N_IMAGES = 2700
	ENDIF
	IF(N_IMAGES.GT.10 .AND. IFLIP.GT.0) THEN
	  IFLIP = 0
	  WRITE(6,'('' HAND CHOICE DISSALLOWED FOR >10 PARTICLES'')')
	ENDIF
	ALLOW_FLIP = .FALSE.
	IF(IFLIP.EQ.2) THEN
	   ALLOW_FLIP = .TRUE.
	   WRITE(6,'('' EVALUATE AND REFINE HAND CHOICE'')')
	 ELSE IF(IFLIP.EQ.1) THEN
	   WRITE(6,'('' ONLY EVALUATE HAND CHOICE'')')
	ENDIF
	IF(ILIST.LE.0) ILIST = 0
c wei begn_of_input
C
C  *******************************************
C  *    OPEN VIRTUAL MEMORY FOR TRANSFORM    *
C  *******************************************
	LEN_ATBT     = (2*IRAD+1)*(IRAD+2)
	LEN_FCUT     = IRAD+2
	LEN_ATBTFCUT = (2*LEN_ATBT+LEN_FCUT)
C
Ca	IF(.NOT.GET_VM (N_IMAGES*4*LEN_ATBTFCUT, IADDR_BASE, 
Ca	1	'IADDR_BASE')) then
Ca	iaddr_base_p = malloc(N_IMAGES*4*LEN_ATBTFCUT)
	iaddr_base_p = malloc(1)
	IF(iaddr_base_p .eq. 0) then
	   WRITE(6,
	1  '('' input all images: Allocation of virtual memory failed!'')')
	   WRITE(6,'('' needed '',i,'' bytes '')') N_IMAGES*4*(LEN_ATBTFCUT)
cwei	   CALL LIB$SHOW_VM()
	   CALL EXIT
cwei	   RETURN
	ENDIF
cwei	CALL LIB$SHOW_VM()
Ca	CALL GET_VM (8*ICO_IDIM*ICO_IDIM, FFT_ADDR, 'FFT_ADDR')
	fft_addr_p = malloc(8*ICO_IDIM*ICO_IDIM)
Cwei add pif image stuff
        LUN = 7
cwz        EM_WRT = 0
        READWRITE(1) = 'r'
c   11   WRITE (6,'(''$Enter PIF filename:  '')')
c        READ (5,'(A)',ERR=11) FNAME
        OPEN (UNIT=1, FILE=REFNAME, STATUS='OLD')
Ca	1     ACCESS='SEQUENTIAL', FORM='FORMATTED',READONLY,SHARED)
        READ (1,'(A)') PRJNAME
        READ (1,'(F,I,7F)') PIXSIZS, UNIT, VOLTS, AMPFACS, DELF_MAJS,
	1	DELF_MINS, ANG_MAJS, CS_COEFFS
	prjHead.luNum = LUN
        call pif_open(PRJNAME, prjHead.luNum, readWrite)
Ca        call pif_read_header(LUN, nimg,
Ca	1       recipFloatScaleFactor, htype,
Ca	2       NCOL, NROW, NSEC, pifmode, endianNess, versionStr)
	call pif_read_gh(prjHead)
	ncol    = prjHead.numCols
	nrow    = prjHead.numRows
	nsec    = prjHead.numSecs
	pifMode = prjHead.mode
	nimg    = prjHead.nimg
Cwei end	
	DO I = 1,N_FIX_IMAGES
	   print *, 'this is ref image # ', I
Ca	  IMAGE(I).IADDR_AT = IADDR_BASE+(I-1)*4*LEN_ATBTFCUT
Ca	  IMAGE(I).IADDR_BT = IMAGE(I).IADDR_AT+4*LEN_ATBT
	  IMAGE(I).IADDR_AT = malloc(4*LEN_ATBT)
	  IMAGE(I).IADDR_BT = malloc(4*LEN_ATBT)
Ca	  IMAGE(I).IADDR_FCUT = IMAGE(I).IADDR_BT+4*LEN_ATBT
	  IMAGE(I).IADDR_FCUT = malloc(4*LEN_FCUT)
Cwei modified grad_read
	  IMAGE(I).FILE_NAME = PRJNAME
	  CALL FFT_SETDIM_DEF_SAME (NCOL, NROW, IDIM1, IDIM2, 1)
	  ICO_IDIM = IDIM1
	  TRANSFORM = 1.0*IDIM1
	  IMAGE(I).TRIGGER_DEL = -1.0
	  CALL GRAD_READ (1, LUN, I, IRAD, FMIN, RMIN, RMAX,
	1  IMAGE(I).IADDR_AT, IMAGE(I).IADDR_BT,
	1  IMAGE(I).THETA, IMAGE(I).PHI, IMAGE(I).OMEGA,
	1  IMAGE(I).ORIGX, IMAGE(I).ORIGY,IMAGE(I).IADDR_FCUT, 
	1  IMAGE(I).MAGFAC, FFT_ADDR, IMAGE(I).PFT_CC, 
	1  IMAGE(I).PRJ_CC, IMAGE(I).CMP_CC, IMAGE, ICO_IDIM,
	1  NCOL, NROW, IMAGE(I).ID, REFCTFMODE, PIXSIZS, UNIT, VOLTS,
	1  AMPFACS, DELF_MAJS, DELF_MINS, ANG_MAJS, CS_COEFFS)
	  IMAGE(I).OLD.THETA     = -1000.0
	  IMAGE(I).OLD.RESAVG    = 1.0e20
	  IMAGE(I).OLD.ANGLE     =    -1.0      	! all start 
	  IMAGE(I).PRESENT.ANGLE =    -1.0  		! out in radians
C
C----------------	addition to allow monitoring of flipping of particles
c----------------		through field FLIPPED
	  IMAGE(I).FLIPPED         = .FALSE.
	  IMAGE(I).OLD.FLIPPED     = .FALSE.
	  IMAGE(I).PRESENT.FLIPPED = .FALSE.
	  IMAGE(I).ORIGINAL        = IMAGE(I).PRESENT
C------------------		need this to be compatable with origin refining
c					version of simplex
	ENDDO
        CALL PIF_CLOSE(LUN)
   41   CLOSE(UNIT=1, DISP='KEEP')
C
        OPEN (UNIT=1, FILE=INFILENAME, STATUS='OLD')
Ca	1     ACCESS='SEQUENTIAL', FORM='FORMATTED',READONLY,SHARED)
        READ (1,'(A)') IMGNAME
        READ (1,'(F,I,7F)') PIXSIZS, UNIT, VOLTS, AMPFACS, DELF_MAJS,
	1	DELF_MINS, ANG_MAJS, CS_COEFFS
	imgHead.luNum = LUN
        call pif_open(IMGNAME, imgHead.luNum, readWrite)
Ca        call pif_read_header (LUN, nimg,
Ca	1       recipFloatScaleFactor, htype,
Ca	2       NCOL, NROW, NSEC, pifmode, endianNess, versionStr)
	call pif_read_gh(imgHead)
	ncol = imgHead.numCols
	nrow = imgHead.numRows
	nsec = imgHead.numSecs
	nimg = imgHead.nimg
	pifMode = imgHead.mode
Cwei end	
	TOTAL = N_IMAGES
        IF((N_IMAGES-N_FIX_IMAGES).GE.25) THEN
           N_IMAGES = N_FIX_IMAGES+25
        ELSE
	   N_IMAGES = TOTAL
        ENDIF
        DO NUMIND=N_FIX_IMAGES+1, TOTAL,25
cwei	print *, 'this is img image # ', NUMIND-N_FIX_IMAGES
         D_THETA = D_THETA1
         D_PHI   = D_PHI1
         D_OMEGA = D_OMEGA1
         D_ORIGX = D_ORIGX1
         D_ORIGY = D_ORIGY1
         D_VECTOR= D_VECTOR1
         DO JK=1,L_GRAD
            GRAD(JK)=0
         ENDDO
         DO JK=1,MAX_IMAGES
            N_MOVED(JK)=0
         ENDDO
   	IF((TOTAL-NUMIND+1).LT.25) 
	1	N_IMAGES=N_FIX_IMAGES+TOTAL-NUMIND+1
	DO I = N_FIX_IMAGES+1,N_IMAGES
cwei      print *, '    the index is', i
Ca	  IMAGE(I).IADDR_AT = IADDR_BASE+(I-1)*4*LEN_ATBTFCUT
Ca	  IMAGE(I).IADDR_BT = IMAGE(I).IADDR_AT+4*LEN_ATBT
Ca	  IMAGE(I).IADDR_FCUT = IMAGE(I).IADDR_BT+4*LEN_ATBT
	  IMAGE(I).IADDR_AT = malloc(4*LEN_ATBT)
	  IMAGE(I).IADDR_BT = malloc(4*LEN_ATBT)
	  IMAGE(I).IADDR_FCUT = malloc(4*LEN_FCUT)
Cwei modified grad_read
	  IMAGE(I).FILE_NAME = IMGNAME
	  CALL FFT_SETDIM_DEF_SAME (NCOL, NROW, IDIM1, IDIM2, 1)
	  ICO_IDIM = IDIM1
	  TRANSFORM = 1.0*IDIM1
	  IMAGE(I).TRIGGER_DEL = 9999.0
	  CALL GRAD_READ (1, LUN, I, IRAD, FMIN, RMIN, RMAX,
	1  IMAGE(I).IADDR_AT, IMAGE(I).IADDR_BT,
	1  IMAGE(I).THETA, IMAGE(I).PHI, IMAGE(I).OMEGA,
	1  IMAGE(I).ORIGX, IMAGE(I).ORIGY,IMAGE(I).IADDR_FCUT, 
	1  IMAGE(I).MAGFAC, FFT_ADDR, IMAGE(I).PFT_CC, 
	1  IMAGE(I).PRJ_CC, IMAGE(I).CMP_CC, IMAGE, ICO_IDIM,
	1  NCOL, NROW, IMAGE(I).ID, IMAGECTFMODE, PIXSIZS, UNIT, VOLTS,
	1  AMPFACS, DELF_MAJS, DELF_MINS, ANG_MAJS, CS_COEFFS)
	  IMAGE(I).OLD.THETA     = -1000.0
	  IMAGE(I).OLD.RESAVG    = 1.0e20
	  IMAGE(I).OLD.ANGLE     =    -1.0      	! all start 
	  IMAGE(I).PRESENT.ANGLE =    -1.0  		! out in radians
C
C----------------	addition to allow monitoring of flipping of particles
c----------------		through field FLIPPED
	  IMAGE(I).FLIPPED         = .FALSE.
	  IMAGE(I).OLD.FLIPPED     = .FALSE.
	  IMAGE(I).PRESENT.FLIPPED = .FALSE.
	  IMAGE(I).ORIGINAL        = IMAGE(I).PRESENT
C------------------		need this to be compatable with origin refining
c					version of simplex
	ENDDO

c wei end_of_input
            
c        print *, 'd_theta, d_phi, d_omega, err_lim, fmin, d_factor:',
c	1	d_theta,d_phi,d_omega,err_lim,fmin,d_factor,d_vector
c        print *,'max_vary,',max_vary
cwei	CALL GRAD_INPUT (IMAGE, N_FIX_IMAGES, N_IMAGES, IRAD, 
cwei	1	FMIN, RMIN, RMAX, TRANSFORM, ICO_IDIM, REFNAME,
cwei	2	INFILENAME, NUMIND)

cwei	CALL GRAD_ORIENTATIONS (IMAGE, N_IMAGES)
C  ******************************************
C  *    ALLOCATE VM FOR THE LARGE ARRAYS    *
C  *     USED BY THE REFINEMENT PROCEDURE   *
C  ******************************************
cwei	CALL LIB$SHOW_VM
	LEN_RADERR  = (IRAD+2)*N_IMAGES*N_IMAGES
	LEN_TRADERR = (IRAD+2)*N_IMAGES*N_IMAGES
	LEN_ALINE   = NLINES*(IRAD+2)
	iaddr_raderr_p   = malloc(4*(LEN_RADERR))
	iaddr_nraderr_p  = malloc(4*(LEN_RADERR))
	iaddr_traderr_p  = malloc(4*(LEN_TRADERR))
	iaddr_ntraderr_p = malloc(4*(LEN_TRADERR))
	iaddr_aline_p    = malloc(4*(LEN_ALINE))
	iaddr_bline_p    = malloc(4*(LEN_ALINE))
	IF(iaddr_bline_p .eq. 0) then
	   WRITE(6,'('' MAIN: Allocation of virtual memory failed!'')')
	   WRITE(6,'('' NEEDED '',i,'' BYTES '')')
	1	4*2*(LEN_RADERR+LEN_TRADERR+LEN_ALINE)
cwei	    CALL LIB$SHOW_VM()
	    CALL EXIT
	 ELSE
Ca	   IADDR_NRADERR  = 4*LEN_RADERR  + IADDR_RADERR
Ca	   IADDR_TRADERR  = 4*LEN_RADERR  + IADDR_NRADERR
Ca	   IADDR_NTRADERR = 4*LEN_TRADERR + IADDR_TRADERR
Ca	   IADDR_ALINE    = 4*LEN_TRADERR + IADDR_NTRADERR
Ca	   IADDR_BLINE    = 4*LEN_ALINE   + IADDR_ALINE
	ENDIF
cwei	CALL LIB$SHOW_VM
C wei calc and print only the first N particles
	CALL CALC_FINAL_RESIDUAL_N_IMAGES (IMAGE, IADDR_RADERR,
	1 IADDR_NRADERR, ALPHA1, ALPHA2, NLINES,
	2 IADDR_ALINE, IADDR_BLINE, FMOD, RSC1,
	3 RSC2, DELRSC, RMIN, RMAX, DELR, IRAD, RSCMAX, RINCR,
	4 RSCALE, FMOD1, FMIN, NBAND, N_SUMMED, NSAMPL, NK,
	5 N_IMAGES, TRANSFORM, N_FIX_IMAGES, PHASELIM, 0)
        if(ilist.eq.3) then
	CALL PRINT_ERROR_MATRIX_N (IMAGE, N_IMAGES, N_FIX_IMAGES)
	endif
C Wei
C
	IF(N_CYCLES.GE.1) THEN
cwei	   WRITE(6,'('' &&&&&&&&&&&& Gradient refinement &&&&&&&&&&&&&& '')')	
	   DO J_CYCLE = 1,N_CYCLES
cwei	     print *, ' '
cwei	     PRINT *, 'This is cycle:', J_CYCLE
cwei	     print *, ' '
	     CALL CHECK_FOR_ACTIVE (IMAGE, N_IMAGES, D_VECTOR, N_ACTIVE)
Cwei get N_FIX_IMAGES in
	     CALL GRADIENT_REFINE_N (IMAGE, J_CYCLE, N_SUB_CYCLES,
	1     N_IMAGES, IRAD, DELR, D_THETA, D_PHI, D_OMEGA, D_VECTOR,
	2     L_GRAD, GRAD, ERR_LIM, ALPHA1, ALPHA2, NLINES, NLINES1,
	3     IADDR_ALINE, IADDR_BLINE, NBAND, FMOD, N_MOVED,
	4     NSAMPL, NK, RMIN, RMAX, RSCALE, RSC1, DELRSC, FMOD1, 
	5     IADDR_NRADERR, IADDR_RADERR, N_SUMMED,
	6     TRANSFORM, ALLOW_FLIP, ILIST, N_FIX_IMAGES)
	     D_THETA  = D_FACTOR*D_THETA
	     D_PHI    = D_FACTOR*D_PHI
	     D_OMEGA  = D_FACTOR*D_OMEGA
	     D_ORIGX  = D_FACTOR*D_ORIGX
	     D_ORIGY  = D_FACTOR*D_ORIGY
	     D_VECTOR = (D_THETA+D_PHI+D_OMEGA+D_ORIGX+D_ORIGY)/5.0
	   ENDDO
	 ELSE IF (N_CYCLES.LT.0) THEN
	    WRITE(6,'('' &&&&&&&&&&&& Simplex refinement &&&&&&&&&&&&&& '')')	
	    N_CYCLES         = - N_CYCLES
	    LEN_SAVE         = M_ORIENT
	    LEN_CONFORMATION = 2+MAX_IMAGES*LEN_SAVE
	    iaddr_simplex_p = malloc(4*(MAX_VARY+1)*N_IMAGES*
	1    LEN_CONFORMATION)
	    IF(iaddr_simplex_p .eq. 0) THEN
		write(6,'('' Not enough room to open SIMPLEX '')')
	        write(6,'('' needed '',i,'' bytes '')')
	1	4*(MAX_VARY+1)*N_IMAGES*LEN_CONFORMATION
cwei	        CALL LIB$SHOW_VM()
		CALL EXIT
	    ENDIF
cwei	    CALL LIB$SHOW_VM
	    CALL REFINE_SIMPLEX (IMAGE, N_IMAGES, IADDR_SIMPLEX,
	1    START, NEXT, DELTA, D_THETA, D_PHI, D_OMEGA, D_ORIGX,
	2    D_ORIGY, IADDR_RADERR, IADDR_NRADERR, ALPHA1,
	3    ALPHA2, NLINES, IADDR_ALINE, IADDR_BLINE,
	4    FMOD, RSC1, RSC2,DELRSC, RMIN, RMAX, DELR, IRAD, RSCMAX,
	5    RINCR, RSCALE, FMOD1, FMIN, NBAND, N_SUMMED, NSAMPL, NK,
	6    ERR_LIM, N_CYCLES, TRANSFORM)
	ENDIF	
C
	IF(N_CYCLES.NE.0) THEN
cwei	  WRITE(6,'('' Image orientations after refinement'')')
cwei	  WRITE(6,'('' -----------------------------------'')')
cwei	  CALL GRAD_ORIENTATIONS (IMAGE, N_IMAGES)
        if(ilist.eq.3) then
	  CALL GRAD_ORIENTATION_CHANGES (IMAGE, N_IMAGES)
	endif
C wei
	  CALL CALC_FINAL_RESIDUAL_N_IMAGES (IMAGE, 
	1  IADDR_RADERR,
	1  IADDR_NRADERR, ALPHA1, ALPHA2, NLINES,
	2  IADDR_ALINE, IADDR_BLINE, FMOD, RSC1,
	3  RSC2, DELRSC, RMIN, RMAX, DELR, IRAD, RSCMAX, RINCR,
	4  RSCALE, FMOD1, FMIN, NBAND, N_SUMMED, NSAMPL, NK,
	5  N_IMAGES, TRANSFORM, N_FIX_IMAGES, PHASELIM, 1)
        if(ilist.eq.3) then
	CALL PRINT_ERROR_MATRIX_N (IMAGE, N_IMAGES, N_FIX_IMAGES)
	endif
	ENDIF
C
	IF(N_ACTIVE.gt.8 .and. N_ACTIVE.le.MAX_SET) THEN
	   N_SET = N_ACTIVE
	 ELSE IF (N_ACTIVE.gt. MAX_SET) then
	   N_SET = MAX_SET
	 ELSE
	   N_SET = min(50,2**(min(N_IMAGES-1,N_ACTIVE)), MAX_SET)
	ENDIF
C  *****************************************************************
C  *    FOR NOW SUPPRESS ANY ATTEMPTS TO CALCULATE THE HAND SET    *
C  *     IF THERE ARE MORE THAN 10 IMAGES.                         *
C  *****************************************************************
	if(iflip.ne.0) then
	  print *, 'not implemented yet'
	endif
cwei	IF(IFLIP.EQ.0) GO TO 900
cwei	CALL CALCULATE_HAND_SET (IMAGE, N_IMAGES, HAND_SET, N_SET, 
cwei	1	SUM_MEAN, N_SUM)
cwei	CALL PRINT_HAND_SET (HAND_SET, N_SET, SUM_MEAN, N_SUM, N_IMAGES)
cwei  900	CALL CALC_ERROR_VS_RESLN (N_IMAGES,%VAL(IADDR_RADERR),RMIN,RMAX,
cwei	1 %VAL(IADDR_NRADERR),%VAL(IADDR_TRADERR),%VAL(IADDR_NTRADERR),
cwei	2 SELF_ERROR, N_SELF_ERROR, INCR, IRAD)
cwei	CALL PRINT_ERROR_VS_RESLN (N_IMAGES,%VAL(IADDR_RADERR),RMIN,
cwei	1 RMAX, %VAL(IADDR_NRADERR),%VAL(IADDR_TRADERR),
cwei	2 %VAL(IADDR_NTRADERR), INCR, IRAD, ILIST)
cwei	CALL CALC_PRINT_AVG_ERROR_ALL_IMAGES (RMIN, RMAX, INCR,
cwei	1 %VAL(IADDR_TRADERR),%VAL(IADDR_NTRADERR),
cwei	1 SELF_ERROR, N_SELF_ERROR, N_IMAGES, IRAD)
	CALL GRAD_OUTPUT (IMAGE, 3, N_FIX_IMAGES, N_IMAGES)
Ca	CALL FREE_VM(4*2*(LEN_RADERR+LEN_TRADERR+LEN_ALINE),
Ca	1	IADDR_RADERR, 'IADDR_RADERR')  
	call free(iaddr_raderr_p)
        ENDDO
Ca	CALL FREE_VM (8*ICO_IDIM*ICO_IDIM, FFT_ADDR, 'FFT_ADDR')
	CALL FREE (fft_addr_p)
Ca	CALL FREE_VM (TOTAL*4*LEN_ATBTFCUT, IADDR_BASE, 
	CALL FREE (iaddr_base_p)
Ca	1	'IADDR_BASE')
   51   CLOSE(UNIT=1, DISP='KEEP')
        CLOSE(UNIT=3, DISP='KEEP')
        CALL PIF_CLOSE(LUN)
	CALL EXIT
C  ============================================================================
	END

! GRAD_INPUT
c	
C	Inputs all images by calls to GRAD_READ
C
c		Virtual memory assigned in one lump for all arrays
c	real*4  AT(IRAD*2+1,IRAD+2), BT(IRAD*2+1,IRAD+2), FCUT(IRAD+2)
c
C	ADAPTED FROM INPUT_ALL_IMAGES (29-JUNE-89 VERSION)
C--------------------------------------------------------------------------
	SUBROUTINE GRAD_INPUT (IMAGE, N_FIX_IMAGES, N_IMAGES, IRAD, 
	1	FMIN, RMIN, RMAX, TRANSFORM, ICO_IDIM, REFNAME, 
	2	INFILENAME, NUMIND)
C
	IMPLICIT NONE
C
	INCLUDE	'../libEMF/INCfiles/EMICOGRAD.INC/NOLIST'
	INCLUDE	'../libEMF/INCfiles/PIFHEAD.INC'
	RECORD /PIFHEAD_T/ IMGHEAD, prjHead
	COMMON /PIFHEAD/   IMGHEAD, prjHead
	RECORD	/IMAGE/	IMAGE(MAX_IMAGES)	
C
	REAL*4    FMIN, RMIN, RMAX, TRANSFORM
	INTEGER*4 IRAD, N_IMAGES, I, ICO_IDIM
	real*4    fft_addr(1)
	integer*4 iaddr_base(1)
	INTEGER*4 LEN_ATBT, LEN_ATBTFCUT, LEN_FCUT
Cwei add pif stuff
        INTEGER*4 PIFMODE, BINSWITCH, IDIM1, IDIM2
	INTEGER*4 NCOL, NROW, NSEC, N_FIX_IMAGES, NUMIND,JK, NUMIND1
        INTEGER*4 lun,nimg,htype,endianNess, thisNSEC, imgoffset
        REAL*4    floatScaleFactor, recipFloatScaleFactor,scale1,SCALE2
        REAL*4   PERCENT, DIV 
        BYTE      versionStr(35)
        BYTE      readWrite(4)
        CHARACTER FNAME*64, ico_title*80
	CHARACTER REFNAME*64, INFILENAME*64, TMP*128
	CHARACTER PRJNAME*80, IMGNAME*80
Cwei add ctf stuff 
	INTEGER*4 UNIT, CTFMODE
	REAL*4    PIXSIZS, VOLTS, DELF_MAJS, DELF_MINS
	REAL*4    ANG_MAJS, AMPFACS, CS_COEFFS 

	pointer   (fft_addr_p, fft_addr)
	pointer   (iaddr_base_p, iaddr_base)
	LOGICAL   GET_VM,malloc
C  ----------------------------------------------------------------------------
C
C  *******************************************
C  *    OPEN VIRTUAL MEMORY FOR TRANSFORM    *
C  *******************************************
	LEN_ATBT     = (2*IRAD+1)*(IRAD+2)
	LEN_FCUT     = IRAD+2
	LEN_ATBTFCUT = (2*LEN_ATBT+LEN_FCUT)
C
Ca	IF(.NOT.GET_VM (N_IMAGES*4*LEN_ATBTFCUT, IADDR_BASE, 
Ca	1	'IADDR_BASE')) then
Ca	iaddr_base_p = malloc(N_IMAGES*4*LEN_ATBTFCUT)
	iaddr_base_p = malloc(1)
	IF(iaddr_base_p .eq. 0) then
	   WRITE(6,
	1  '('' input all images: Allocation of virtual memory failed!'')')
	   WRITE(6,'('' needed '',i,'' bytes '')') N_IMAGES*4*(LEN_ATBTFCUT)
cwei	   CALL LIB$SHOW_VM()
	   CALL EXIT
	   RETURN
	ENDIF
cwei	CALL LIB$SHOW_VM()
Ca	CALL GET_VM (8*ICO_IDIM*ICO_IDIM, FFT_ADDR, 'FFT_ADDR')
	fft_addr_p = malloc(8*ICO_IDIM*ICO_IDIM)
Cwei add pif image stuff
        LUN = 7
cwz        EM_WRT = 0
        READWRITE(1) = 'r'
c   10   WRITE (6,'(''$Enter PIF filename:  '')')
c        READ (5,'(A)',ERR=10) FNAME
        OPEN (UNIT=1, FILE=REFNAME, STATUS='OLD')
Ca	1     ACCESS='SEQUENTIAL', FORM='FORMATTED',READONLY,SHARED)
        READ (1,'(A)') PRJNAME
        READ (1,'(A)') TMP
       	CTFMODE = 0 
	prjHead.luNum = LUN
        call pif_open(PRJNAME, prjHead.luNum, readWrite)
Ca        call pif_read_header_ (LUN, nimg,
Ca	1       recipFloatScaleFactor, htype,
Ca	2       NCOL, NROW, NSEC, pifmode, endianNess, versionStr)
	call pif_read_gh(prjHead)
	ncol    = prjHead.numCols
	nrow    = prjHead.numRows
	nsec    = prjHead.numSecs
	pifMode = prjHead.mode
	nimg    = prjHead.nimg
Cwei end	
	DO I = 1,N_FIX_IMAGES
Ca	  IMAGE(I).IADDR_AT = IADDR_BASE+(I-1)*4*LEN_ATBTFCUT
Ca	  IMAGE(I).IADDR_BT = IMAGE(I).IADDR_AT+4*LEN_ATBT
Ca	  IMAGE(I).IADDR_FCUT = IMAGE(I).IADDR_BT+4*LEN_ATBT
	  IMAGE(I).IADDR_AT = malloc(4*LEN_ATBT)
	  IMAGE(I).IADDR_BT = malloc(4*LEN_ATBT)
	  IMAGE(I).IADDR_FCUT = malloc(4*LEN_FCUT)
Cwei modified grad_read
	  IMAGE(I).FILE_NAME = PRJNAME
	  CALL FFT_SETDIM_DEF_SAME (NCOL, NROW, IDIM1, IDIM2, 1)
	  ICO_IDIM = IDIM1
	  TRANSFORM = 1.0*IDIM1
	  IMAGE(I).TRIGGER_DEL = -1.0
	  CALL GRAD_READ (1, LUN, I, IRAD, FMIN, RMIN, RMAX,
	1  IMAGE(I).IADDR_AT, IMAGE(I).IADDR_BT,
	1  IMAGE(I).THETA, IMAGE(I).PHI, IMAGE(I).OMEGA,
	1  IMAGE(I).ORIGX, IMAGE(I).ORIGY,IMAGE(I).IADDR_FCUT, 
	1  IMAGE(I).MAGFAC, FFT_ADDR, IMAGE(I).PFT_CC, 
	1  IMAGE(I).PRJ_CC, IMAGE(I).CMP_CC, IMAGE, ICO_IDIM,
	1  NCOL, NROW, IMAGE(I).ID, CTFMODE, PIXSIZS, UNIT, VOLTS,
	1  AMPFACS, DELF_MAJS, DELF_MINS, ANG_MAJS, CS_COEFFS)
	  IMAGE(I).OLD.THETA     = -1000.0
	  IMAGE(I).OLD.RESAVG    = 1.0e20
	  IMAGE(I).OLD.ANGLE     =    -1.0      	! all start 
	  IMAGE(I).PRESENT.ANGLE =    -1.0  		! out in radians
C
C----------------	addition to allow monitoring of flipping of particles
c----------------		through field FLIPPED
	  IMAGE(I).FLIPPED         = .FALSE.
	  IMAGE(I).OLD.FLIPPED     = .FALSE.
	  IMAGE(I).PRESENT.FLIPPED = .FALSE.
	  IMAGE(I).ORIGINAL        = IMAGE(I).PRESENT
C------------------		need this to be compatable with origin refining
c					version of simplex
	ENDDO
        CALL PIF_CLOSE(LUN)
   40   CLOSE(UNIT=1, DISP='KEEP')
C
        OPEN (UNIT=1, FILE=INFILENAME, STATUS='OLD')
Ca	1     ACCESS='SEQUENTIAL', FORM='FORMATTED',READONLY,SHARED)
        READ (1,'(A)') IMGNAME
        READ (1,'(F,I,7F)') PIXSIZS, UNIT, VOLTS, AMPFACS, DELF_MAJS,
	1	DELF_MINS, ANG_MAJS, CS_COEFFS
        NUMIND1=NUMIND-N_FIX_IMAGES-1
        DO JK=1,NUMIND1
   30      READ (1,'(A)', ERR=30, END=50) TMP 
        ENDDO
	imgHead.luNum = LUN
        call pif_open(IMGNAME, imgHead.luNum, readWrite)
Ca        call pif_read_header_ (LUN, nimg,
Ca	1       recipFloatScaleFactor, htype,
Ca	2       NCOL, NROW, NSEC, pifmode, endianNess, versionStr)
	call pif_read_gh(imgHead)
	ncol = imgHead.numCols
	nrow = imgHead.numRows
	nsec = imgHead.numSecs
	nimg = imgHead.nimg
	pifMode = imgHead.mode
Cwei end	
	DO I = N_FIX_IMAGES+1,N_IMAGES
Ca	  IMAGE(I).IADDR_AT = IADDR_BASE+(I-1)*4*LEN_ATBTFCUT
Ca	  IMAGE(I).IADDR_BT = IMAGE(I).IADDR_AT+4*LEN_ATBT
Ca	  IMAGE(I).IADDR_FCUT = IMAGE(I).IADDR_BT+4*LEN_ATBT
	  IMAGE(I).IADDR_AT = malloc(4*LEN_ATBT)
	  IMAGE(I).IADDR_BT = malloc(4*LEN_ATBT)
	  IMAGE(I).IADDR_FCUT = malloc(4*LEN_FCUT)
Cwei modified grad_read
	  IMAGE(I).FILE_NAME = IMGNAME
	  CALL FFT_SETDIM_DEF_SAME (NCOL, NROW, IDIM1, IDIM2, 1)
	  ICO_IDIM = IDIM1
	  TRANSFORM = 1.0*IDIM1
	  IMAGE(I).TRIGGER_DEL = 9999.0
	  CTFMODE = 1        
	  CALL GRAD_READ (1, LUN, I, IRAD, FMIN, RMIN, RMAX,
	1  IMAGE(I).IADDR_AT, IMAGE(I).IADDR_BT,
	1  IMAGE(I).THETA, IMAGE(I).PHI, IMAGE(I).OMEGA,
	1  IMAGE(I).ORIGX, IMAGE(I).ORIGY,IMAGE(I).IADDR_FCUT, 
	1  IMAGE(I).MAGFAC, FFT_ADDR, IMAGE(I).PFT_CC, 
	1  IMAGE(I).PRJ_CC, IMAGE(I).CMP_CC, IMAGE, ICO_IDIM,
	1  NCOL, NROW, IMAGE(I).ID, CTFMODE, PIXSIZS, UNIT, VOLTS,
	1  AMPFACS, DELF_MAJS, DELF_MINS, ANG_MAJS, CS_COEFFS)
	  IMAGE(I).OLD.THETA     = -1000.0
	  IMAGE(I).OLD.RESAVG    = 1.0e20
	  IMAGE(I).OLD.ANGLE     =    -1.0      	! all start 
	  IMAGE(I).PRESENT.ANGLE =    -1.0  		! out in radians
C
C----------------	addition to allow monitoring of flipping of particles
c----------------		through field FLIPPED
	  IMAGE(I).FLIPPED         = .FALSE.
	  IMAGE(I).OLD.FLIPPED     = .FALSE.
	  IMAGE(I).PRESENT.FLIPPED = .FALSE.
	  IMAGE(I).ORIGINAL        = IMAGE(I).PRESENT
C------------------		need this to be compatable with origin refining
c					version of simplex
	ENDDO
Ca	CALL FREE_VM (8*ICO_IDIM*ICO_IDIM, FFT_ADDR, 'FFT_ADDR')
	CALL FREE (fft_addr_p)
   50   CLOSE(UNIT=1, DISP='KEEP')
        CALL PIF_CLOSE(LUN)

	RETURN
	END

! GRAD_ORIENTATIONS
c
c	Prints the orientations of all images
C
C	ADAPTED FROM PRINT_IMAGE_ORIENTATIONS (VERSION 9-MAR-1989)
c
C		mrc conversion sdf - 17-jan-87
C	Cosmetic changes made  9-Mar-89 by T. Baker
C----------------------------------------------------------------------------
C
	SUBROUTINE GRAD_ORIENTATIONS (IMAGE, N_IMAGES)
C
	IMPLICIT NONE
C
	INCLUDE '../libEMF/INCfiles/EMICOGRAD.INC/NOLIST'
	RECORD /IMAGE/ IMAGE(MAX_IMAGES)
	INTEGER*4	N_IMAGES, I
C  ----------------------------------------------------------------------------
C
	WRITE(6,1000)
 1000	FORMAT(' Particle',2X,'Filename',36X,'Theta',5X,'Phi',5X,
	1 'Omega',3X,'Orig_X',2X,'Orig_Y')
C
	DO I = 1,N_IMAGES
	  WRITE(6,'(I6,5X,A,2X,F7.2,2F9.2,2F8.2)')
	1	I, IMAGE(I).FILE_NAME,
	1	mod(IMAGE(I).THETA*DEGREE,360.),
	1	mod(IMAGE(I).PHI*DEGREE,360.),
	1	mod(IMAGE(I).OMEGA*DEGREE,360.),
	1	IMAGE(I).ORIGX, IMAGE(I).ORIGY
	ENDDO
C
	RETURN
	END

! GRAD_READ
c
c
c	Get orientations and read in each image
c		store in direct access file
c
c				sdf 26-nov-1985
c
C		mrc conversion sdf - 17-jan-87
C		last revision sdf 3-feb-87
c
C		conversion back to TSB format 26-june-89
C----------------------------------------------------------------------------
C
	SUBROUTINE GRAD_READ (LUN1,LUN, IMAGE_NUM, IRAD, FMIN, RMIN, 
	1 RMAX, AT, BT, THETA, PHI, OMEGA, ORIGX, ORIGY, FCUT, 
	2 MAGFAC,  FFT, PFT_CC, PRJ_CC, CMP_CC, IMAGE,
	3 ICO_IDIM, NCOL, NROW, NUM,CTFMODE,PIXSIZS,UNITS,VOLTS,
	1  AMPFACS, DELF_MAJS, DELF_MINS, ANG_MAJS, CS_COEFFS)
C
	IMPLICIT NONE
C
Ca	INCLUDE 'SYS$EMLIB:EM.CMM'
	INCLUDE '../libEMF/INCfiles/EMICOGRAD.INC/NOLIST'
        INCLUDE '../libEMF/INCfiles/PIFHEAD.INC'
	RECORD /PIFHEAD_T/ IMGHEAD, prjHead
	COMMON /PIFHEAD/   IMGHEAD, prjHead
C
	RECORD /IMAGE/ IMAGE(MAX_IMAGES)
C
	INTEGER*4 NCOL, NROW, NCOL1, NROW1
	real*4    img_bkg, IMG_ADDR(1)
	INTEGER*4 IMAGE_NUM, LUN, IDIM1, IDIM2, ICO_IDIM, IREC
	INTEGER*4 I,  LAST, IRAD, MINR, MAXR, NUM, ARRAY_SIZE
	REAL*4    THETA, PHI, OMEGA, FFT(2*ICO_IDIM,ICO_IDIM)
	REAL*4    FMIN, RMIN, RMAX, TRANSFORM, ORIGX, ORIGY
	REAL*4    AT(1), BT(1), FCUT(1), TRIGGER_DEL
Cwz
	REAL*4    PFT_CC, PRJ_CC, CMP_CC, MAGFAC
        INTEGER*4 PIFMODE, BINSWITCH , IMG_NUM, LUN1
        INTEGER*4 nimg,htype,endianNess, thisNSEC, imgoffset
        REAL*4    floatScaleFactor, recipFloatScaleFactor,scale1,SCALE2
        REAL*4   PERCENT, DIV 
        BYTE      versionStr(35)
        BYTE      readWrite(4)
        CHARACTER FNAME*64, ico_title*80
cwz	CHARACTER*(*)	FILE_NAME
	LOGICAL   SYS$INTERACTIVE
	INTEGER*4 EM_WRT
	REAL*4    FFT_ORIGX, FFT_ORIGY, FFT_FZERO
	integer*4 filter
	real*4    filt_fac(10)

Cwz?	SAVE      NCOL, NROW
Cwei add ctf stuff 
	INTEGER*4 UNITS, CTFMODE
	REAL*4    PIXSIZS, VOLTS, DELF_MAJS, DELF_MINS
	REAL*4    ANG_MAJS, AMPFACS, CS_COEFFS 
	REAL*4    TEMPFAC, WIENER, WAVELENGTH, WAVEL
	REAL*4    Cc, BETA, dE, fft_origx,fft_origy
	integer   malloc
	logical   fft_full
	pointer   (img_addr_p,img_addr)
C  ----------------------------------------------------------------------------
C
	CALL PIRADDEG (PI, RADIAN, DEGREE)
C
c	IF(SYS$INTERACTIVE()) THEN
c	  WRITE(6,'('' Input of Image # '',X,I3)') IMAGE_NUM
c	ENDIF
cwz	IF(IMAGE_NUM.GT.1 .AND. BYTEDATA) GO TO 200
C  *************************
C  *    OPEN IMAGE FILE    *
C  *************************
cwz  100	LUN          = 1
cwz	EM_WRT       = 0
cwz	IMG_FILENAME = ' '
cwz	CALL IMG_OPEN (LUN, NCOL, NROW)
cwz  200	FILE_NAME = IMG_FILENAME
	IDIM1     = ICO_IDIM
	IDIM2     = ICO_IDIM
cwz	TRANSFORM = 1.0*IDIM1
C  ******************************************************
C  *    GET PARTICLE NUMBER, ORIENTATION, AND ORIGIN    *
C  ******************************************************
cwei	IF(SYS$INTERACTIVE()) THEN
cwei	  PRINT *, '*********************************************'
cwei	  PRINT *, '* ENTER (I,6F FORMAT):                      *'
cwei	  PRINT *, '* NUM,THETA,PHI,OMEGA,ORIGX,ORIGY,T_DEL     *'
cwei	  PRINT *, '* If T_DEL = -1.0, particle is NOT refined. *'
cwei	  PRINT *, '*********************************************'
cwei	  WRITE(6,'(''$NUM,THE,PHI,OME,ORIGX,ORIGY,T_DEL: '')')
cwei	ENDIF
c wei add read pft_cc prj_cc and cmp_cc
	READ (LUN1,'(I,9F)') NUM, THETA, PHI, OMEGA, FFT_ORIGX,
	1                 FFT_ORIGY, MAGFAC, PFT_CC,
	2		  PRJ_CC, CMP_CC


cwz	IF(NUM.EQ.-999) GO TO 100
cwz	IF(BYTEDATA) THEN
cwz	   IMAGE(IMAGE_NUM).ID = -NUM
cwz	 ELSE
cwz	   IMAGE(IMAGE_NUM).ID =  NUM
cwz	ENDIF
cwei	IF(TRIGGER_DEL.LE.0.0 .AND. TRIGGER_DEL.NE.-1.0) THEN
cwei	  TRIGGER_DEL = 9999.
cwei	ENDIF
	ORIGX = FFT_ORIGX
	ORIGY = FFT_ORIGY
C
cwz	IF(BYTEDATA) THEN
cwz	   CALL IMG_PACK_FIND (LUN, NUM, NCOL, NROW, IREC)
cwz	   ARRAY_SIZE = NCOL*NROW
cwz	   CALL GET_VM (2*ARRAY_SIZE, IMG_ADDR, 'IMG_ADDR')
cwz	   CALL IMG_FILL (LUN, %VAL(IMG_ADDR), NCOL, NROW, IREC)
cwz	 ELSE
cwz	   ARRAY_SIZE = NCOL*NROW
cwz	   CALL GET_VM (2*ARRAY_SIZE, IMG_ADDR, 'IMG_ADDR')
cwz	   CALL IMG_FILL (LUN, %VAL(IMG_ADDR), NCOL, NROW, 0)
cwz	ENDIF
Ca        CALL GET_VM (2*NCOL*NROW, IMG_ADDR,  'IMG_ADDR')
        img_addr_p = malloc (4*NCOL*NROW)

Ca        call pif_read_image_header_ (LUN, NUM,
Ca	1       recipfloatscalefactor, img_bkg,
Ca	2       IMG_MIN, IMG_MAX, IMG_AVG, IMG_STD,
Ca	3       NCOL1, NROW1, thisNSEC, imgOffset, pifMode, htype, 
Ca	4	ico_title)

	imgHead.luNum = lun
	imgHead.imgNum = num
        call pif_read_dh(imgHead)
        
            binSwitch = 0   ! Don't BIN the image  
            
Ca            CALL pif_read_byteShort_image_(LUN, %VAL(IMG_ADDR), 
Ca	1               imgOffset, NCOL, NROW, thisNSEC, binSwitch)
	    call pif_read_boxi4(imgHead,img_addr)

C  *********************************************************************
C  *    COMPUTE FFT, CONVERT TO POLAR, AND BRING DOWN REQUIRED AREA    *
C  *********************************************************************
	    fft_full = .true.
	CALL r4_IMG_FFT_FILL (IMG_ADDR, NCOL, NROW, FFT, IDIM1, IDIM2,
	1 IMG_BKG, FFT_ORIGX, FFT_ORIGY, FFT_FZERO, FFT_FULL, EM_WRT)
	CALL FFT_2D (FFT, IDIM1, IDIM2)
	IF (CTFMODE.NE.0) THEN
	    WAVELENGTH = WAVEL(VOLTS)
            Cc   = 0.0  ! These are dummy values for CTF_DIVIDE
            BETA = 0.0
            dE   = 0.0
	    TEMPFAC = 0.0
	    WIENER = 0.2
	    FFT_FULL=.TRUE.
Ca	    CALL CTF_DIVIDE (CTFMODE, FFT, IDIM1, IDIM2, UNITS, 
Ca	1  PIXSIZS, PI, RADIAN, WAVELENGTH, DELF_MAJS, 
Ca	2  DELF_MINS, ANG_MAJS, AMPFACS, 
Ca	3  CS_COEFFS, WIENER, TEMPFAC, FFT_FULL, Cc, BETA, dE, 
Ca	4  VOLTS)
	    filter = 1
	    filt_fac(1) = 0.2
	    filt_fac(2) = 0.1
	    CALL CTF_DIVIDE (CTFMODE, filter, FFT, IDIM1, IDIM2, UNITS, 
	1  PIXSIZS, PI, RADIAN, WAVELENGTH, DELF_MAJS, 
	2  DELF_MINS, ANG_MAJS, AMPFACS, 
	3  CS_COEFFS, filt_fac, TEMPFAC, FFT_FULL, Cc, BETA, dE, 
	4  VOLTS)
	ENDIF

	CALL FFT_TO_ATBT (FFT, IDIM1, IDIM2, AT, BT, IRAD,
	1 FFT_ORIGX, FFT_ORIGY, FFT_FULL)
Ca	CALL FREE_VM (2*NCOL*NROW, IMG_ADDR, 'IMG_ADDR')
	call free(img_addr_p)
C  **************************************************
C  *    ZERO LOW VALUE PARTS OF IMAGE USING FMIN    *
C  **************************************************
	MINR = NINT(RMIN)
	MAXR = NINT(RMAX)
	CALL ZMINC1 (AT, BT, IRAD, MINR, MAXR, FMIN, FCUT)
C
	THETA = THETA*RADIAN
	PHI   = PHI*RADIAN
	OMEGA = OMEGA*RADIAN
C	
	RETURN
	END

! GRAD_OUTPUT
c
c	Prints the orientations of all images in a format suitable for 
c 		input to the refinement program
c
C		mrc conversion sdf - 17-jan-87
C		last revision sdf - 31-jan-87
c		last revision sdf - 11-jan-88
C    LAST MODIFIED 16-NOV-90 BY T. BAKER
C----------------------------------------------------------------------------
c
	SUBROUTINE GRAD_OUTPUT (IMAGE, LUN, N_FIX_IMAGES, N_IMAGES)
C
	IMPLICIT NONE
	INCLUDE '../libEMF/INCfiles/EMICOGRAD.INC/NOLIST'
	RECORD /IMAGE/ IMAGE(MAX_IMAGES)
	INTEGER*4 LUN,	N_IMAGES, I, N_FIX_IMAGES
C......................................................................
C
cwei	WRITE(6,'('' Image orientations in proper format for
cwei	1 another run'')')
cwei	WRITE(6,'('' ---------------------------------------
cwei	1------------'')')
cwei	OPEN (UNIT=3, NAME='EMICO.DAT', STATUS='NEW',
cwei1 ACCESS='SEQUENTIAL', FORM='FORMATTED', CARRIAGECONTROL='LIST')
C
	DO I = N_FIX_IMAGES+1, N_IMAGES
cwei	  IF(I.EQ.1) THEN
cwei	    WRITE(lun,'(A)')    IMAGE(I).FILE_NAME
cwei	    WRITE(6,'(1X,A)') IMAGE(I).FILE_NAME
cwei	  ENDIF
cwei	  IF(I.GT.1 .AND. IMAGE(I).FILE_NAME.NE.IMAGE(I-1).FILE_NAME)
cwei	1  THEN
cwei	    IF(IMAGE(I).ID.LT.0) THEN
cwei	      WRITE(lun,'(I5)') -999
cwei	      WRITE(6,'(I5)') -999
cwei	    ENDIF
cwei	    WRITE(lun,'(A)')    IMAGE(I).FILE_NAME
cwei	    WRITE(6,'(1X,A)') IMAGE(I).FILE_NAME
cwei	  ENDIF
	  WRITE(lun,1020)  IABS(IMAGE(I).ID), 
	2  MOD(IMAGE(I).THETA*DEGREE,360.),
	3  MOD(IMAGE(I).PHI*DEGREE,360.),
	4  MOD(IMAGE(I).OMEGA*DEGREE,360.),
	1  IMAGE(I).ORIGX, IMAGE(I).ORIGY, IMAGE(I).MAGFAC,
	2  IMAGE(I).restop, IMAGE(I).resbot, IMAGE(I).resavg
	  WRITE(6,1020)  IABS(IMAGE(I).ID), 
	2  MOD(IMAGE(I).THETA*DEGREE,360.),
	3  MOD(IMAGE(I).PHI*DEGREE,360.),
	4  MOD(IMAGE(I).OMEGA*DEGREE,360.),
	1  IMAGE(I).ORIGX, IMAGE(I).ORIGY, IMAGE(I).MAGFAC,
	2  IMAGE(I).restop, IMAGE(I).resbot, IMAGE(I).resavg
	ENDDO
C
c	CLOSE (UNIT=3, DISP='KEEP')
	RETURN
 1020   FORMAT (1X,I6,',',4(F8.3,','),F7.3,',',F6.3,',',
	1	2(F6.2,','),F6.2)
C
	END
! Calc_final_residual_n_images
c	calculates the differences between all images in their 
c		orientations
C
C		mrc conversion sdf - 17-jan-87
C		Altered to allow origx, origy refinement
C		    sdf 30-jan-1989 
C
C		Altered to give the top and bottom orientation 
c		  residual rather than the best and inconsistant one
c			26-june-89
c wei: calculate first n images
C----------------------------------------------------------------------------
c
	subroutine calc_final_residual_n_images(IMAGE, RADERR, NRADERR,
	1	ALPHA1, ALPHA2, NLINES, ALINE, BLINE, FMOD, RSC1, RSC2,
	2	DELRSC, RMIN, RMAX, DELR, IRAD, 
	3	RSCMAX, RINCR, RSCALE, FMOD1, FMIN,
	4	NBAND, N_SUMMED, NSAMPL, NK, N_IMAGES, TRANSFORM, NN,
	5	PHASELIM, FLAG)

c.............................................................................

	implicit none

cwz	include 'sys$emlib:EMICOGRAD.INC/nolist'
	include '../libEMF/INCfiles/EMICOGRAD.INC/nolist'
	record /IMAGE/ IMAGE(MAX_IMAGES)

	integer*4 NSAMPL, NK, IRAD
	integer*4 N_IMAGES, I_IMAGE, J_IMAGE, IR, nn

	real*4	  RADERR(IRAD+2,N_IMAGES,N_IMAGES)
	integer*4 NRADERR(IRAD+2,N_IMAGES,N_IMAGES)

	real*4    ALPHA1(NLINES), ALPHA2(NLINES)
	real*4	  ALINE(NLINES,IRAD+2), BLINE(NLINES,IRAD+2)
	real*4    FMOD(MBR), TRANSFORM
	real*4	  RSC1, RSC2, DELRSC, RMIN, RMAX, DELR
	real*4	  RSCMAX, RINCR, RSCALE, FMOD1, FMIN
	integer*4 NBAND, N_SUMMED

	integer i,j,k, II, FLAG
	real*4	  PHASELIM, TRIGGER

C........................................................................

	do I_IMAGE = 1, N_IMAGES
	    call Calc_diff_I_all( I_IMAGE, IMAGE, IRAD, N_IMAGES,
	1	ALPHA1, ALPHA2, NLINES, 
	1	ALINE, BLINE, NBAND, FMOD, RSCALE, FMOD1, NK,
	1	RSC1, DELRSC, DELR, RMIN, RMAX, NSAMPL, 
	1	0.0, N_SUMMED, RADERR(1,1,I_IMAGE),
	1	NRADERR(1,1,I_IMAGE), TRANSFORM )
	end do

	do I_IMAGE = 1, N_IMAGES
	    IMAGE(I_IMAGE).RESBOT = 0.0
	    IMAGE(I_IMAGE).RESTOP = 0.0
	    IMAGE(I_IMAGE).RESAVG = 0.0
cwei	    do II = 1, N_IMAGES
	    TRIGGER = -1.0
	    do II = 1, NN
		IMAGE(I_IMAGE).RESBOT = IMAGE(I_IMAGE).RESBOT 
	1		+ IMAGE(I_IMAGE).RESMIN1(II)
		IMAGE(I_IMAGE).RESTOP = IMAGE(I_IMAGE).RESTOP 
	1		+ IMAGE(I_IMAGE).RESMIN(II)
		IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).RESAVG + 
	1	  min(IMAGE(I_IMAGE).RESMIN(II), IMAGE(I_IMAGE).RESMIN1(II))
	        if ((FLAG.EQ.1).AND.(IMAGE(I_IMAGE).RESMIN(II)
	1	  .GT. PHASELIM)) then
		   TRIGGER = IMAGE(I_IMAGE).TRIGGER_DEL
		endif
	    end do
cwei use NN rather than N_IMAGES
	    IMAGE(I_IMAGE).RESTOP = IMAGE(I_IMAGE).RESTOP/float(NN)
	    IMAGE(I_IMAGE).RESBOT = IMAGE(I_IMAGE).RESBOT/float(NN)
	    IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).RESAVG/float(NN)
	    if ((FLAG.EQ.1).AND.(I_IMAGE.GT.NN)) then
		IMAGE(I_IMAGE).TRIGGER_DEL = TRIGGER
	    endif
	end do
	return
	end
! Print_error_matrix
c	Print the matrix of error values
c
C		mrc conversion sdf - 17-jan-87
c
c		fixed bug which altered the avg error for more than
c			18 images
c				12-jan-1989  sdf
c		calculate the residuals for top, bottom and best
c		  if inconsistant choice of hand
c			sdf 27-jun-1989
c wei: of first nn images
C----------------------------------------------------------------------------
	subroutine Print_error_matrix_N (IMAGE, N_IMAGES, NN)
c.............................................................................
c
C	implicit none
cwz	include 'sys$emlib:EMICOGRAD.INC/nolist'
	include '../libEMF/INCfiles/EMICOGRAD.INC/nolist'
	record /IMAGE/ IMAGE(MAX_IMAGES)
C
	integer*4 N_IMAGES, I_IMAGE, K_IMAGE1, K_IMAGE2, II
C	INTEGER*4 NN
C
C........................................................................
cwei this part is included in Calc_final_residues_n_images
cwei	do I_IMAGE = 1, N_IMAGES
cwei	    IMAGE(I_IMAGE).RESBOT = 0.0
cwei	    IMAGE(I_IMAGE).RESTOP = 0.0
cwei	    IMAGE(I_IMAGE).RESAVG = 0.0
cwei	    do II = 1, N_IMAGES
cwei		IMAGE(I_IMAGE).RESBOT = IMAGE(I_IMAGE).RESBOT 
cwei	1		+ IMAGE(I_IMAGE).RESMIN1(II)
cwei		IMAGE(I_IMAGE).RESTOP = IMAGE(I_IMAGE).RESTOP 
cwei	1		+ IMAGE(I_IMAGE).RESMIN(II)
cwei		IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).RESAVG + 
cwei	1	  min(IMAGE(I_IMAGE).RESMIN(II), IMAGE(I_IMAGE).RESMIN1(II))
cwei	    end do
cwei	    IMAGE(I_IMAGE).RESTOP = IMAGE(I_IMAGE).RESTOP/float(N_IMAGES)
cwei	    IMAGE(I_IMAGE).RESBOT = IMAGE(I_IMAGE).RESBOT/float(N_IMAGES)
cwei	    IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).RESAVG/float(N_IMAGES)
cwei	end do

cwei	do K_IMAGE1 = 1, N_IMAGES,20
	do K_IMAGE1 = 1, NN,20
	    K_IMAGE2 = min0(K_IMAGE1+19,N_IMAGES)
	    write(6,'(t5,20(i5,x))') (II, II=K_IMAGE1,K_IMAGE2)
cwei	    do I_IMAGE = 1, N_IMAGES
	    do I_IMAGE = 1, NN
	        write(6,'(t2,i3,20(f5.1,x))') 
	1	    I_IMAGE,(IMAGE(I_IMAGE).RESMIN(II), II=K_IMAGE1,K_IMAGE2)
	        write(6,'(t5,20(f5.1,x))') 
	1	    (IMAGE(I_IMAGE).RESMIN1(II), II=K_IMAGE1,K_IMAGE2)
	    end do
C	NEXT LINE COMMENTED OUT BECAUSE OF VACELLERATOR
CCC	    write(6,'(4x,<(K_IMAGE2+1-K_IMAGE1)*6>(h-) )')
	    write(6,'('' Up '',20(f5.1,x))')
	1	(IMAGE(II).RESTOP, II=K_IMAGE1,K_IMAGE2)
	    write(6,'('' Dwn'',20(f5.1,x))')
	1	(IMAGE(II).RESBOT, II=K_IMAGE1,K_IMAGE2)
	    write(6,'('' Bst'',20(f5.1,x))')
	1	(IMAGE(II).RESAVG, II=K_IMAGE1,K_IMAGE2)
	end do
	return
	end
! Gradient_refine
c	Does a single cycle of gradient refinement
c
c		mrc conversion sdf - 17-jan-87
C		Altered to allow origx, origy refinement
C		    sdf 30-jan-1989 
c		ALLOW_FLIP included and hand rationalized through
c		  inclusion of set_best_hand
c			sdf 27-jun-1989
c wei: refine particles by only the fixed number of particles
c----------------------------------------------------------------------------
c
	subroutine gradient_refine_n(IMAGE, J_CYCLE,
	1	N_SUB_CYCLES, N_IMAGES, IRAD, DELR,
	2	D_THETA, D_PHI, D_OMEGA, D_VECTOR,
	3	L_GRAD, GRAD, ERR_LIM, ALPHA1, ALPHA2,
	4	NLINES, NLINES1, ALINE, BLINE, NBAND, FMOD,
	5	N_MOVED, NSAMPL, NK, RMIN, RMAX,
	6	RSCALE, RSC1, DELRSC, FMOD1, NRADERR, RADERR, N_SUMMED,
	7	TRANSFORM, ALLOW_FLIP, ILIST, NN)
	
c.............................................................................
c
	implicit none
cwz	include 'sys$emlib:EMICOGRAD.INC/nolist'
	include '../libEMF/INCfiles/EMICOGRAD.INC/nolist'
	record	/IMAGE/	IMAGE(MAX_IMAGES)	

	integer*4 IRAD, N_IMAGES, ILIST

	real*4	  RADERR(IRAD+2,N_IMAGES,N_IMAGES)
	integer*4 NRADERR(IRAD+2,N_IMAGES,N_IMAGES)

	real*4	  D_THETA, D_PHI, D_OMEGA, ERR_LIM, D_VECTOR
	real*4	  GRAD(L_GRAD)
	real*4    ALPHA1(NLINES), ALPHA2(NLINES)
	real*4	  ALINE(NLINES,IRAD+2), BLINE(NLINES,IRAD+2)
	real*4    FMOD(MBR), TRANSFORM
	real*4	  DEL_GRAD/1.5/
	real*4	  RSC1, DELRSC, RMIN, RMAX, DELR
	real*4	  RSCALE, FMOD1
	integer*4 NBAND, N_SUMMED
	integer*4 I_IMAGE, NSAMPL, NK
	integer*4 J_CYCLE, J_SUB_CYCLE
	integer*4 N_MOVED(MAX_IMAGES)
	integer*4 N_SUB_CYCLES
	integer*4 II,JJ
	logical	  ALLOW_FLIP	!passed - governs set_best_hand sdf 27jun89
	logical	  L_MOVE 
cwei
	integer*4 NN, COUNT, KSTEP
	real*4    PERCENT, DIV 

c.............................................................................
C
	
d	PRINT *, 'GRADIENT_REFINE:',J_CYCLE,
d	1	N_SUB_CYCLES, N_IMAGES, IRAD, 
d	2	D_THETA, D_PHI, D_OMEGA, D_VECTOR,
d	3	L_GRAD, GRAD, ERR_LIM,
d	4	NLINES, NLINES1, NBAND,
d	5	N_MOVED

	    IF(ILIST.LT.2) GO TO 994
	    write(6,'('' Cycle '',i3,'' Deltas: Theta, Phi, Omega, Vector '',
	1	4(f,x))') J_CYCLE, D_THETA, D_PHI, D_OMEGA, D_VECTOR
  994	    J_SUB_CYCLE = 0
	    L_MOVE = .true.
	    if(ALLOW_FLIP) call set_best_hand(IMAGE, N_IMAGES)
c			--- pick best hand set before each cycle
c			---	sdf 26jun89	
	    do while (J_SUB_CYCLE.le.N_SUB_CYCLES .and. L_MOVE)
	      L_MOVE = .false.
cwei	      do I_IMAGE = 1, N_IMAGES
	      COUNT = 0
	      DIV = FLOAT(N_IMAGES-NN)
	      KSTEP = NINT(DIV/10.0)
	      IF(KSTEP.LE.0) KSTEP=1
	      do I_IMAGE = NN+1, N_IMAGES
d		print *,'image, j_cycle, N_moved(J_cycle)',
d	1		i_image, j_cycle, N_moved(J_cycle)
		if(N_MOVED(I_IMAGE) .lt. J_CYCLE .and. 
	1		D_VECTOR.le.IMAGE(I_IMAGE).TRIGGER_DEL) then
Cwei
	            call Calc_Grad_I_N(L_GRAD,GRAD,
	1	        D_THETA, D_PHI, D_OMEGA, ERR_LIM, 
	1	        I_IMAGE, IMAGE, IRAD, N_IMAGES,
	1	        ALPHA1, ALPHA2, NLINES, NLINES1,
	1	        ALINE, BLINE, NBAND, FMOD, RSCALE, FMOD1, NK,
	1	        RSC1, DELRSC, DELR, RMIN, RMAX, NSAMPL,DEL_GRAD,
	1		RADERR, NRADERR, TRANSFORM, NN)
		else
		    GRAD(L_GRAD) = 0.0
		end if

		if(GRAD(L_GRAD) .gt. 998.) then	
		    if(GRAD(1).gt.0.0) then
			IMAGE(I_IMAGE).THETA = IMAGE(I_IMAGE).THETA 
	1			+ D_THETA*DEL_GRAD/DEGREE
		        IMAGE(I_IMAGE).RESAVG = GRAD(1)
		    else if(GRAD(2).gt.0.0) then
			IMAGE(I_IMAGE).PHI = IMAGE(I_IMAGE).PHI 
	1			+ D_PHI*DEL_GRAD/DEGREE
		        IMAGE(I_IMAGE).RESAVG = GRAD(2)
		    else if(GRAD(3).gt.0.0) then
			IMAGE(I_IMAGE).OMEGA = IMAGE(I_IMAGE).OMEGA 
	1			+ D_OMEGA*DEL_GRAD/DEGREE
		        IMAGE(I_IMAGE).RESAVG = GRAD(3)
		    else if(GRAD(4).gt.0.0) then
			IMAGE(I_IMAGE).THETA = IMAGE(I_IMAGE).THETA 
	1			- D_THETA*DEL_GRAD/DEGREE
		        IMAGE(I_IMAGE).RESAVG = GRAD(4)
		    else if(GRAD(5).gt.0.0) then
			IMAGE(I_IMAGE).PHI = IMAGE(I_IMAGE).PHI 
	1			- D_PHI*DEL_GRAD/DEGREE
		        IMAGE(I_IMAGE).RESAVG = GRAD(5)
		    else if(GRAD(6).gt.0.0) then
			IMAGE(I_IMAGE).OMEGA = IMAGE(I_IMAGE).OMEGA
	1			- D_OMEGA*DEL_GRAD/DEGREE
		        IMAGE(I_IMAGE).RESAVG = GRAD(6)
		    end if
		    L_MOVE = .true.
		    call Return_to_unit_triangle(IMAGE(I_IMAGE).THETA,
	1		IMAGE(I_IMAGE).PHI, IMAGE(I_IMAGE).OMEGA,.false.)
	            IF(ILIST.LT.2) GO TO 995
		    write(6,'('' Orientation angles for '',i3,
	1			'': Theta, Phi, Omega''
	1		     3(f,x))') I_IMAGE,
	1		     IMAGE(I_IMAGE).THETA*DEGREE, 
	1		     IMAGE(I_IMAGE).PHI*DEGREE,
	1		     IMAGE(I_IMAGE).OMEGA*DEGREE
		    write(6,*)' Grid -- New RESAVG : '
	1			,IMAGE(I_IMAGE).RESAVG
  995	            CONTINUE
		else if(GRAD(L_GRAD) .gt. D_VECTOR*0.5) then	

		    IMAGE(I_IMAGE).THETA = IMAGE(I_IMAGE).THETA -
	1		    D_VECTOR*GRAD(1)/(DEGREE*GRAD(L_GRAD))	
		    IMAGE(I_IMAGE).PHI = IMAGE(I_IMAGE).PHI -
	1		     D_VECTOR*GRAD(2)/(DEGREE*GRAD(L_GRAD))	
		    IMAGE(I_IMAGE).OMEGA = IMAGE(I_IMAGE).OMEGA - 
	1		     D_VECTOR*GRAD(3)/(DEGREE*GRAD(L_GRAD))	
		    call Return_to_unit_triangle(IMAGE(I_IMAGE).THETA,
	1		IMAGE(I_IMAGE).PHI, IMAGE(I_IMAGE).OMEGA,.false.)
	            IF(ILIST.LT.2) GO TO 996
		    write(6,'('' Gradient : Particle '', i3,/,
	1		'' Grad (deg) '', 3(t20,3(1pg15.6,2x)/) )')
	1		I_IMAGE, (GRAD(II),II=1,L_GRAD)		    
  996	CONTINUE
d		    write(6,'('' Orientation angles: Theta, Phi, Omega''
d	1		     3(f,x))')
d	1		     IMAGE(I_IMAGE).THETA*DEGREE, 
d	1		     IMAGE(I_IMAGE).PHI*DEGREE,
d	1		     IMAGE(I_IMAGE).OMEGA*DEGREE

d	            print *,'Old.theta', image(i_image).old.theta
d		    print *,'Old.phi', image(i_image).old.phi
d		    print *,'Old.omega', image(i_image).old.omega
d		    print *,'Old.origx', image(i_image).old.origx
d		    print *,'Old.origy', image(i_image).old.origy

		    if(IMAGE(I_IMAGE).OLD.THETA .gt.0.0) then
		    	call Calc_diff_I_all( I_IMAGE, IMAGE, IRAD,
	1		N_IMAGES,
	1		ALPHA1, ALPHA2, NLINES, 
	1		ALINE, BLINE, NBAND, FMOD, RSCALE, FMOD1, NK,
	1		RSC1, DELRSC, DELR, RMIN, RMAX, NSAMPL, 
	1		ERR_LIM, N_SUMMED,
	1		RADERR(1,1,I_IMAGE),
	1		NRADERR(1,1,I_IMAGE), TRANSFORM )
		    end if

	            IF(ILIST.LT.2) GO TO 997
	            write(6,'(''  Gradient New.RESAVG'',f,
	1		    '' Number of comparisons:'',i)') 
	1		     IMAGE(I_IMAGE).RESAVG, N_SUMMED

  997		    if(IMAGE(I_IMAGE).RESAVG .gt. 
	1			0.99*IMAGE(I_IMAGE).OLD.RESAVG ) then

	                IF(ILIST.LT.2) GO TO 998
		        write(6,'('' No change --  Old.RESAVG '',f)') 
	1				IMAGE(I_IMAGE).OLD.RESAVG
  998		        IMAGE(I_IMAGE).THETA = IMAGE(I_IMAGE).OLD.THETA
			IMAGE(I_IMAGE).PHI = IMAGE(I_IMAGE).OLD.PHI
			IMAGE(I_IMAGE).OMEGA = IMAGE(I_IMAGE).OLD.OMEGA
			IMAGE(I_IMAGE).ORIGX = IMAGE(I_IMAGE).OLD.ORIGX
			IMAGE(I_IMAGE).ORIGY = IMAGE(I_IMAGE).OLD.ORIGY
			IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).OLD.RESAVG
		        N_MOVED(I_IMAGE) = J_CYCLE
		    else
			if (ALLOW_FLIP) call set_best_hand(IMAGE, N_IMAGES)
c				--- get best overall hand choice with this
c				---   new orientation
c				---	sdf 26-june-89		
	                IF(ILIST.LT.2) GO TO 999
		        write(6,'(
	1		  '' New Orientation angles for '',
	1			i3,'': Theta, Phi, Omega ''
	1		     3(f,x))') I_IMAGE,
	1		     IMAGE(I_IMAGE).THETA*DEGREE, 
	1		     IMAGE(I_IMAGE).PHI*DEGREE,
	1		     IMAGE(I_IMAGE).OMEGA*DEGREE
  999			L_MOVE = .true.
		    end if    
		else
		    N_MOVED(I_IMAGE) = J_CYCLE
		end if
C i put percent here, let see how does it go
		count = count + 1
		if(mod(count,kstep).eq.0) then
		  percent = 100.0*float(count)/div
cwei		  write(6,'(''+'',F5.1,''% complete'')') percent
		endif
	      end do
		J_SUB_CYCLE = J_SUB_CYCLE+1


	    end do
	return 
	end	
! Calc_grad_I_n
c
c	Calculates and normalizes the gradient for a D_ move in each 
c	    direction
c
c
C		sdf - 17-jan-87
C		Altered to allow origx, origy refinement
C		    sdf 30-jan-1989 
c		ALLOW_FLIP removed and hand rationalize
c			sdf 27-jun-1989
C wei refine only based on a number of images
C----------------------------------------------------------------------------
	subroutine Calc_Grad_I_N(L_GRAD, GRAD,
	1	    D_THETA, D_PHI, D_OMEGA, ERR_LIM, 
	1	    I_IMAGE, IMAGE, IRAD, N_IMAGES,
	1	    ALPHA1, ALPHA2, NLINES, NLINES1, 
	1	    ALINE, BLINE, NBAND, 
	1	    FMOD, RSCALE, FMOD1, NK,
	1	    RSC1, DELRSC, DELR, RMIN, RMAX, NSAMPL,DEL_GRAD,
	1	    RADERR, NRADERR, TRANSFORM, NN)
C..........................................................................
	implicit none

cwz	include 'sys$emlib:EMICOGRAD.INC/nolist'
	include '../libEMF/INCfiles/EMICOGRAD.INC/nolist'

	record	/save/ TEMP, ORIG
	record	/image/	IMAGE(MAX_IMAGES)

	integer*4 IRAD,N_IMAGES
	real*4 	  RADERR(IRAD+2,N_IMAGES,N_IMAGES)
	integer*4 NRADERR(IRAD+2,N_IMAGES,N_IMAGES)

	integer*4 I_LINES
	real*4    ALPHA1(NLINES), ALPHA2(NLINES)
	real*4	  ALINE(NLINES,IRAD+2), BLINE(NLINES,IRAD+2)
	real*4    FMOD(IRAD), RESMIN, RESMIN1
	real*4	  RSC1, DELRSC, RMIN, RMAX, DELR
	real*4	  RSCALE, FMOD1, TRANSFORM
	real*4	  DEL_GRAD
	real*4	  GRAD(L_GRAD), D_THETA, D_PHI, D_OMEGA, ERR_LIM
	integer*4 NBAND, NGRAD(10)
	integer*4 I_IMAGE, J_IMAGE, INCR, NSAMPL, NK
	integer*4 II,JJ,II1,JJ1,II2,JJ2, NN
	logical    SELF
	logical	  SKIP
C...........................................................................

	
	


	do JJ = 1, L_GRAD
	    GRAD(JJ) = 0.0
	    NGRAD(JJ) = 0
	end do


		ORIG = IMAGE(I_IMAGE).PRESENT
		IMAGE(I_IMAGE).OLD = ORIG


d	print *,'calc_grad_i_all:D_theta,D_phi,D_omega',D_theta,D_phi,D_omega



cwei	do J_IMAGE = 1, N_IMAGES
	do J_IMAGE = 1, NN
d	    write(6,'('' Comparing image '', i3,'' to image '',i3)')
d	1		I_IMAGE, J_IMAGE	
	    do JJ = 1,L_GRAD
		SKIP = .false.
		if(JJ .eq. 1) then
		    TEMP = ORIG
		    TEMP.THETA = TEMP.THETA + DEL_GRAD*D_THETA*RADIAN
		    call Return_to_unit_triangle(TEMP.THETA,TEMP.PHI, 
	1		TEMP.OMEGA,.false.)
		    IMAGE(I_IMAGE).THETA = TEMP.THETA
		    IMAGE(I_IMAGE).PHI = TEMP.PHI
		    IMAGE(I_IMAGE).OMEGA = TEMP.OMEGA
		    if(D_THETA.eq.0.0) then
			SKIP = .true.
		    end if
		else if (JJ .eq. 2) then
		    TEMP = ORIG
		    TEMP.PHI = TEMP.PHI + DEL_GRAD*D_PHI*RADIAN
		    call Return_to_unit_triangle(TEMP.THETA,TEMP.PHI, 
	1		TEMP.OMEGA,.false.)
		    IMAGE(I_IMAGE).THETA = TEMP.THETA
		    IMAGE(I_IMAGE).PHI = TEMP.PHI
		    IMAGE(I_IMAGE).OMEGA = TEMP.OMEGA
		    if(D_PHI.eq.0.0) then
			SKIP = .true.
		    end if

		else if (JJ .eq. 3) then
		    TEMP = ORIG
		    TEMP.OMEGA = TEMP.OMEGA + DEL_GRAD*D_OMEGA*RADIAN
		    call Return_to_unit_triangle(TEMP.THETA,TEMP.PHI, 
	1		TEMP.OMEGA,.false.)
		    IMAGE(I_IMAGE).THETA = TEMP.THETA
		    IMAGE(I_IMAGE).PHI = TEMP.PHI
		    IMAGE(I_IMAGE).OMEGA = TEMP.OMEGA
		    if(D_OMEGA.eq.0.0) then
			SKIP = .true.
		    end if

		else if (JJ .eq. 4) then
		    TEMP = ORIG
		    TEMP.THETA = TEMP.THETA - DEL_GRAD*D_THETA*RADIAN
		    call Return_to_unit_triangle(TEMP.THETA,TEMP.PHI, 
	1		TEMP.OMEGA,.false.)
		    IMAGE(I_IMAGE).THETA = TEMP.THETA
		    IMAGE(I_IMAGE).PHI = TEMP.PHI
		    IMAGE(I_IMAGE).OMEGA = TEMP.OMEGA
		    if(D_THETA.eq.0.0) then
			SKIP = .true.
		    end if

		else if(JJ .eq. 5) then
		    TEMP = ORIG
		    TEMP.PHI = TEMP.PHI - DEL_GRAD*D_PHI*RADIAN
		    call Return_to_unit_triangle(TEMP.THETA,TEMP.PHI, 
	1		TEMP.OMEGA,.false.)
		    IMAGE(I_IMAGE).THETA = TEMP.THETA
		    IMAGE(I_IMAGE).PHI = TEMP.PHI
		    IMAGE(I_IMAGE).OMEGA = TEMP.OMEGA
		    if(D_PHI.eq.0.0) then
			SKIP = .true.
		    end if

		else if(JJ .eq. 6) then
		    TEMP = ORIG
		    TEMP.OMEGA = TEMP.OMEGA - DEL_GRAD*D_OMEGA*RADIAN
		    call Return_to_unit_triangle(TEMP.THETA,TEMP.PHI, 
	1		TEMP.OMEGA,.false.)
		    IMAGE(I_IMAGE).THETA = TEMP.THETA
		    IMAGE(I_IMAGE).PHI = TEMP.PHI
		    IMAGE(I_IMAGE).OMEGA = TEMP.OMEGA
		    if(D_OMEGA.eq.0.0) then
			SKIP = .true.
		    end if

		else if(JJ .eq. 7) then
		    TEMP = ORIG
		    IMAGE(I_IMAGE).THETA = TEMP.THETA
		    IMAGE(I_IMAGE).PHI = TEMP.PHI
		    IMAGE(I_IMAGE).OMEGA = TEMP.OMEGA
		    SKIP = .false.
		end if			
c

d		print *,'jj,theta,phi,omega ', jj, temp.theta*degree, 
d	1		temp.phi*degree, temp.omega*degree

c		Find common lines of two transforms
c
d	print *,'calc_grad_i_all:D_theta,D_phi,D_omega',D_theta,D_phi,D_omega
d	print *,'calc_grad_i_all:jj,skip',jj,skip

		if(.not.SKIP) then

		    if(I_IMAGE.eq.J_IMAGE) then
			SELF = .true.
		    else
			SELF = .false.
		    end if

		    call Calc_com_lines(NLINES, ALPHA1, ALPHA2, 
	1		TEMP.THETA, 
	1		IMAGE(J_IMAGE).THETA, 
	1		TEMP.PHI, 
	1		IMAGE(J_IMAGE).PHI,
	1		TEMP.OMEGA,
	1		IMAGE(J_IMAGE).OMEGA, SELF)

		    do I_LINES = 1, NLINES
		        if(ALPHA1(I_LINES) .GE. 100.0) then
			    ALPHA2(I_LINES) = 1000.0
		        else if (ALPHA2(I_LINES) .GE. 100.0) then
			    ALPHA1(I_LINES) = 1000.0
		        end if
		    end do



		    call Fill_common_lines(IRAD, 
	1		IMAGE(I_IMAGE).IADDR_AT, 
	1		IMAGE(I_IMAGE).IADDR_BT,
	1		NLINES, ALPHA1, ALINE, BLINE, NBAND,
	1		FMOD, RMIN, RMAX, DELR, NSAMPL, FMOD1,
	1		(IMAGE(I_IMAGE).PRESENT.ORIGX-
	1		IMAGE(I_IMAGE).ORIGINAL.ORIGX)/TRANSFORM,
	1		(IMAGE(I_IMAGE).PRESENT.ORIGY-
	1		IMAGE(I_IMAGE).ORIGINAL.ORIGY)/TRANSFORM)


		    call Calc_Diff_Wgt(IRAD, 
	1		IMAGE(J_IMAGE).IADDR_AT, 
	1		IMAGE(J_IMAGE).IADDR_BT,
	1		NLINES, ALPHA2, ALINE, BLINE, 
	1		IMAGE(I_IMAGE).IADDR_FCUT, 
	1		IMAGE(J_IMAGE).OMEGA,
	1		IMAGE(J_IMAGE).IADDR_FCUT,
	1		NK, RSC1, DELRSC, 
	1		DELR, RMIN, FMOD, RSCALE, FMOD1, RMAX,
	1		RESMIN, RESMIN1,  SELF,
	1		RADERR(1,J_IMAGE,I_IMAGE),
	1		NRADERR(1,J_IMAGE,I_IMAGE),
	1		(IMAGE(J_IMAGE).PRESENT.ORIGX-
	1		IMAGE(J_IMAGE).ORIGINAL.ORIGX)/TRANSFORM,
	1		(IMAGE(J_IMAGE).PRESENT.ORIGY-
	1		IMAGE(J_IMAGE).ORIGINAL.ORIGY)/TRANSFORM)

d		    write(6,*) i_image, ' vs ', j_image
d		    print *,' jj, resmin, resmin1 ', jj, resmin, resmin1

C------------------- select the top residuals for the 
c--------------------	determination of movement but keep only if the
c--------------------    hand selected residual is lower
c--------------------      sdf 26june89
c--------------------
    	            if(RESMIN.le. ERR_LIM .or. 
	1		RESMIN  .le. 
	1		1.2*IMAGE(I_IMAGE).OLD.RESAVG ) then
		        GRAD(JJ) = GRAD(JJ) + RESMIN
		        NGRAD(JJ) = NGRAD(JJ) + 1
		    end if
		    if(JJ.eq. L_GRAD) then
		        IMAGE(I_IMAGE).RESMIN(J_IMAGE)= RESMIN    
		        IMAGE(I_IMAGE).RESMIN1(J_IMAGE)= RESMIN1
		    end if    
		else
		    GRAD(JJ) = 9.e30
		    NGRAD(JJ) = 1
	        end if
	    end do
	end do	  
	do JJ = 1,L_GRAD
	   if( NGRAD(JJ) .le. 0) then
		write(6,'('' Calc_grad_I_all: No values below ERR_LIM ='',
	1		f6.2)') ERR_LIM
		ERR_LIM = 1.1*ERR_LIM
	      	write(6,'('' Increasing ERR_LIM by 10% to '',f6.2)')ERR_LIM
		GRAD(L_GRAD) = 0.0
		return
	   end if
	end do
d	print *,'calc_grad_i_all:grad',grad
d	print *,'calc_grad_i_all:grad',ngrad
d	print *,'calc_grad_i_all:D_theta,D_phi,D_omega',D_theta,D_phi,D_omega
	call Norm_grad(L_GRAD, GRAD, NGRAD, DEL_GRAD, D_THETA, D_PHI, D_OMEGA)
	return
	end
! Calc_final_residual_all_to_n
c	calculates the differences between all images in their 
c		orientations
C
C		mrc conversion sdf - 17-jan-87
C		Altered to allow origx, origy refinement
C		    sdf 30-jan-1989 
C
C		Altered to give the top and bottom orientation 
c		  residual rather than the best and inconsistant one
c			26-june-89
c wei a matrix of n row by all collumns
C----------------------------------------------------------------------------
c
	subroutine calc_final_residual_all_to_n(IMAGE, RADERR, 
	1    	NRADERR,
	1	ALPHA1, ALPHA2, NLINES, ALINE, BLINE, FMOD, RSC1, RSC2,
	2	DELRSC, RMIN, RMAX, DELR, IRAD, 
	3	RSCMAX, RINCR, RSCALE, FMOD1, FMIN,
	4	NBAND, N_SUMMED, NSAMPL, NK, N_IMAGES, TRANSFORM,
	5	NN)

c.............................................................................

	implicit none

cwz	include 'sys$emlib:EMICOGRAD.INC/nolist'
	include '../libEMF/INCfiles/EMICOGRAD.INC/nolist'
	record /IMAGE/ IMAGE(MAX_IMAGES)

	integer*4 NSAMPL, NK, IRAD
	integer*4 N_IMAGES, I_IMAGE, J_IMAGE, IR

	real*4	  RADERR(IRAD+2,N_IMAGES,N_IMAGES)
	integer*4 NRADERR(IRAD+2,N_IMAGES,N_IMAGES)

	real*4    ALPHA1(NLINES), ALPHA2(NLINES)
	real*4	  ALINE(NLINES,IRAD+2), BLINE(NLINES,IRAD+2)
	real*4    FMOD(MBR), TRANSFORM
	real*4	  RSC1, RSC2, DELRSC, RMIN, RMAX, DELR
	real*4	  RSCMAX, RINCR, RSCALE, FMOD1, FMIN
	integer*4 NBAND, N_SUMMED, NN

	integer i,j,k

C........................................................................

	do I_IMAGE = 1, N_IMAGES
cwei	do I_IMAGE = 1, NN
	    call Calc_diff_I_all( I_IMAGE, IMAGE, IRAD, N_IMAGES,
	1	ALPHA1, ALPHA2, NLINES, 
	1	ALINE, BLINE, NBAND, FMOD, RSCALE, FMOD1, NK,
	1	RSC1, DELRSC, DELR, RMIN, RMAX, NSAMPL, 
	1	0.0, N_SUMMED, RADERR(1,1,I_IMAGE),
	1	NRADERR(1,1,I_IMAGE), TRANSFORM )
	end do

	do I_IMAGE = 1, N_IMAGES-1
	    do J_IMAGE = I_IMAGE+1, N_IMAGES
	        IMAGE(I_IMAGE).RESMIN(J_IMAGE) 
	1		= IMAGE(J_IMAGE).RESMIN(I_IMAGE)
		IMAGE(I_IMAGE).RESMIN1(J_IMAGE) 
	1		= IMAGE(J_IMAGE).RESMIN1(I_IMAGE)
		do IR = nint(RMIN), nint(RMAX)
	    	    RADERR(IR,J_IMAGE,I_IMAGE) = 
	1			RADERR(IR,I_IMAGE,J_IMAGE)
	    	    NRADERR(IR,J_IMAGE,I_IMAGE) = 
	1			NRADERR(IR,I_IMAGE,J_IMAGE)
		end do
	    end do
	end do
	do I_IMAGE = 1, N_IMAGES
	    IMAGE(I_IMAGE).RESTOP = 0.0
	    IMAGE(I_IMAGE).RESBOT = 0.0
	    N_SUMMED = 0
cwei	    do J_IMAGE = 1, N_IMAGES
	    do J_IMAGE = 1, NN
		IMAGE(I_IMAGE).RESTOP = IMAGE(I_IMAGE).RESMIN(J_IMAGE)
	1		+ IMAGE(I_IMAGE).RESTOP
		IMAGE(I_IMAGE).RESBOT = IMAGE(I_IMAGE).RESMIN1(J_IMAGE)
	1		+ IMAGE(I_IMAGE).RESBOT
Cwei add resavg
		IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).RESAVG + 
	1	  min(IMAGE(I_IMAGE).RESMIN(J_IMAGE), 
	1	      IMAGE(I_IMAGE).RESMIN1(J_IMAGE))
		    N_SUMMED = 1 + N_SUMMED
	    end do
	    if(N_SUMMED.gt.0) then
		IMAGE(I_IMAGE).RESTOP= IMAGE(I_IMAGE).RESTOP/N_SUMMED
		IMAGE(I_IMAGE).RESBOT= IMAGE(I_IMAGE).RESBOT/N_SUMMED
Cwei add resavg
	        IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).RESAVG/N_IMAGES
	    else 
		IMAGE(I_IMAGE).RESTOP = 0.0
		IMAGE(I_IMAGE).RESBOT = 0.0
	    end if
	end do
	return
	end
! Print_error_matrix_all_to_n
c	Print the matrix of error values
c
C		mrc conversion sdf - 17-jan-87
c
c		fixed bug which altered the avg error for more than
c			18 images
c				12-jan-1989  sdf
c		calculate the residuals for top, bottom and best
c		  if inconsistant choice of hand
c			sdf 27-jun-1989
C----------------------------------------------------------------------------
	subroutine Print_error_matrix_all_to_n (IMAGE, N_IMAGES,nn)
c.............................................................................
c
C	implicit none
cwz	include 'sys$emlib:EMICOGRAD.INC/nolist'
	include '../libEMF/INCfiles/EMICOGRAD.INC/nolist'
	record /IMAGE/ IMAGE(MAX_IMAGES)
C
	integer*4 N_IMAGES, I_IMAGE, K_IMAGE1, K_IMAGE2, II, nn
C
C........................................................................

	do I_IMAGE = 1, N_IMAGES
	    IMAGE(I_IMAGE).RESBOT = 0.0
	    IMAGE(I_IMAGE).RESTOP = 0.0
	    IMAGE(I_IMAGE).RESAVG = 0.0
	    do II = 1, N_IMAGES
		IMAGE(I_IMAGE).RESBOT = IMAGE(I_IMAGE).RESBOT 
	1		+ IMAGE(I_IMAGE).RESMIN1(II)
		IMAGE(I_IMAGE).RESTOP = IMAGE(I_IMAGE).RESTOP 
	1		+ IMAGE(I_IMAGE).RESMIN(II)
		IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).RESAVG + 
	1	  min(IMAGE(I_IMAGE).RESMIN(II), IMAGE(I_IMAGE).RESMIN1(II))
	    end do
	    IMAGE(I_IMAGE).RESTOP = IMAGE(I_IMAGE).RESTOP/float(N_IMAGES)
	    IMAGE(I_IMAGE).RESBOT = IMAGE(I_IMAGE).RESBOT/float(N_IMAGES)
	    IMAGE(I_IMAGE).RESAVG = IMAGE(I_IMAGE).RESAVG/float(N_IMAGES)
	end do

	do K_IMAGE1 = 1, N_IMAGES,20
	    K_IMAGE2 = min0(K_IMAGE1+19,N_IMAGES)
	    write(6,'(t5,20(i5,x))') (II, II=K_IMAGE1,K_IMAGE2)
	    do I_IMAGE = 1, N_IMAGES
	        write(6,'(t2,i3,20(f5.1,x))') 
	1	    I_IMAGE,(IMAGE(I_IMAGE).RESMIN(II), II=K_IMAGE1,K_IMAGE2)
	        write(6,'(t5,20(f5.1,x))') 
	1	    (IMAGE(I_IMAGE).RESMIN1(II), II=K_IMAGE1,K_IMAGE2)
	    end do
C	NEXT LINE COMMENTED OUT BECAUSE OF VACELLERATOR
CCC	    write(6,'(4x,<(K_IMAGE2+1-K_IMAGE1)*6>(h-) )')
	    write(6,'('' Up '',20(f5.1,x))')
	1	(IMAGE(II).RESTOP, II=K_IMAGE1,K_IMAGE2)
	    write(6,'('' Dwn'',20(f5.1,x))')
	1	(IMAGE(II).RESBOT, II=K_IMAGE1,K_IMAGE2)
	    write(6,'('' Bst'',20(f5.1,x))')
	1	(IMAGE(II).RESAVG, II=K_IMAGE1,K_IMAGE2)
	end do
	return
	end
c###############################################################################
c
c
c	zminC
C	    Cartesian version of zmin 
c		if FMIN >0 - does a least squares fit of ln(F av)
c		 vs resln and then zeros the transform in resolution 
c		 rings taking the average value at each resolution from 
c		 the plot
c		if FMIN<0 - calculates the average F over the entire
c		 resolution range and zeros the transform point 
c		 if F < /FMIN/*average F
C		Unless the logical variable ZERO is set, the routine only
c		 determines the resolution dependent cutoff but does not
c		 zero the transform
c
c
c				LAST MODIFIED S.Fuller 18-juli-85
c		
c.............................................................................
c
	subroutine zminc1(AT,BT,IRAD,MINR,MAXR,FMIN,FCUT)
cwei turn of print linfit
c
	implicit none
	integer*4 NSAMPL,MINR,MAXR,IRAD
	integer*2 IPRINT1, IPRINT2
	COMMON /COMPR/ IPRINT1, IPRINT2
	real*4 AT((2*IRAD+1)*(IRAD+2)),BT((2*IRAD+1)*(IRAD+2))
	real*4 FAV(300),RESLN(300)
	real*4 FMIN,FCUT(300),RAD
	real*4 A,B,SIGA,SIGB,R,FZERO,FZEROA(300),FSUM
	integer*4 NTOT,INDEX,INDEXM
	integer*4 NZERO,NZEROA(300),I,J, IR, IX, IY, N(300)
	logical ZERO/.FALSE./
c
c............................................................................
c
	FSUM = 0.0
	NTOT = 0
C
	do IR=1,2*MAXR
	  FZEROA(IR)=0.0
	  N(IR)=0
	  FAV(IR)=0.0
	  RESLN(IR)=0.0
	end do
c
	do IX=0,MAXR
	  do IY=0,MAXR
	    RAD=sqrt(float(IX*IX+IY*IY))
	    IR=nint(RAD)
	    if( IR .ge. MINR .and. IR .le. MAXR) then
	      INDEX=IY*(2*IRAD+1)+(IRAD+1+IX)
	      INDEXM=INDEX-2*IX
	      A=sqrt(AT(INDEX)*AT(INDEX)+BT(INDEX)*BT(INDEX))
	      B=sqrt(AT(INDEXM)*AT(INDEXM)+BT(INDEXM)*BT(INDEXM))
	      FAV(IR)=FAV(IR)+A+B
	      N(IR)=N(IR)+2
	      RESLN(IR)=RESLN(IR)+2.0*RAD	
	    ENDIF
	  end do
	end do
c
	do IR=MINR,MAXR
	  if(N(IR).gt.0 .and. FAV(IR).gt.0.0) then
	    FSUM=FSUM+FAV(IR)
	    NTOT=NTOT+N(IR)
	    RESLN(IR)=RESLN(IR)/float(N(IR))
	    FAV(IR)=alog(FAV(IR)/float(N(IR)))
	  else 
	    FAV(IR) =0.0
	  ENDIF
	end do
c
	if(FMIN.gt.0.0) then
	  NSAMPL=MAXR-MINR+1
	  call linfit(RESLN(MINR),FAV(MINR),RESLN,NSAMPL,0,A,SIGA,B,SIGB,R)
cwei	  write(6,'('' linfit: A,SIGA,B,SIGB,R '',
cwei	1	5(2x,g12.6))') A,SIGA,B,SIGB,R

        ENDIF
c
	FSUM=FSUM/float(NTOT)
	NZERO=0
C
	do IR=MINR,MAXR
	  NZEROA(IR)=0	  
	  if(FMIN .gt. 0.0) then
	    FCUT(IR)=exp(RESLN(IR)*B+A)*FMIN
	  else if(FMIN .lt. 0.0) then
	    FCUT(IR)=FSUM*(-1.0*FMIN)
	  else 
	    FCUT(IR)=FSUM		
	  ENDIF
	end do
C
        if(IPRINT1.NE.1) return  ! Don't complete fraction zeroed calc if
				 !  IPRINT1 < 1
c
	do IX=0,MAXR
	  do IY=0,MAXR
	    RAD=sqrt(float(IX*IX+IY*IY))
	    IR=nint(RAD)
	    if( IR .ge. MINR .and. IR .le. MAXR) then
	      INDEX=IY*(2*IRAD+1)+(IRAD+1+IX)
	      INDEXM=INDEX-2*IX
	      A=sqrt(AT(INDEX)*AT(INDEX)+BT(INDEX)*BT(INDEX))
	      B=sqrt(AT(INDEXM)*AT(INDEXM)+BT(INDEXM)*BT(INDEXM))
	      if(A.lt.FCUT(IR))then
		if(ZERO) then
		  AT(INDEX)=0.0
		  BT(INDEX)=0.0
		ENDIF
		NZEROA(IR)=NZEROA(IR)+1
		NZERO=NZERO+1
	      ENDIF
	      if(B.lt.FCUT(IR))then
		if(ZERO) then
		  AT(INDEXM)=0.0
		  BT(INDEXM)=0.0
		ENDIF
		NZEROA(IR)=NZEROA(IR)+1
		NZERO=NZERO+1
	      ENDIF
	    ENDIF
	  end do
	end do
c
	do IR=MINR,MAXR
	  if(N(IR).gt.0) then
	    FZEROA(IR)=float(NZEROA(IR))/float(N(IR))
	    FAV(IR)=exp(FAV(IR))
	  else
	    FZEROA(IR)=0.0
	    RESLN(IR)=0.0
	    FAV(IR)=0.0
	  ENDIF
	  WRITE(6,'('' RADIUS #'',I3,
	1	'' RESLN '', F7.2,
	1	'' F AVG '',G9.4,
	1	'' F CUTOFF '',G9.4,
	1	'' # '',I5,
	1	'' # ZEROED '',I5
	1	'' % ZEROED '',F5.1)')
	1 IR,RESLN(IR),FAV(IR),FCUT(IR),N(IR),NZEROA(IR),FZEROA(IR)*100.0
	ENDDO
c
	FZERO=float(NZERO)/float(NTOT)
	write(6,'('' Total number of points '',i7,
	1	'' Total number zeroed '',i7,
	1	'' Total fraction zeroed '', g10.4)')NTOT,NZERO,FZERO	
c
	return
	end
