C***************************************************************************
C     Library functions:
C
C     Integer*4 Function len_str(string,maxlen) - returns 'string' length
C     without trailing blanks, maxlen is maximal length of the 'string'
C
C     subroutine get_str(StringIn,StringOut,length,maxlen) - returns StringOut 
C     and its 'length', maximal length is maxlen. StringIn is the screen prompt
C
C***************************************************************************

      Integer*4 Function len_str(string,maxlen)
      Character string*(*)
      Integer*4 i,maxlen

       i = 1
       len_str = 0
       do while((string(i:i).ne.' ') .and. i.le.maxlen)
          len_str = i
          i = i + 1
       end do
c     i = maxlen
c     len_str = maxlen
c     do while((string(i:i).eq.' ') .and. i.ge.1)
c        i = i - 1
c        len_str = i
c     end do
      return
      end

C***************************************************************************

      subroutine get_str(StringIn,StringOut,length,maxlen)
c      character*1  StringIn(maxlen),StringOut(maxlen)
      character*80  StringIn,StringOut
      integer*4 length,maxlen,icount

      len_sin = len_str(StringIn, maxlen) + 1
C1000 format(q,a)   !G77 does not support q format!
 1000 format(a)     !G77 does not support q format!
 1010 format(a,$)
      length = 0
      icount = 0
      do while(length.eq.0)
         write(*,1010) StringIn(1:len_sin)
C      read(*,1000)length,StringOut(1:length)   !G77 does not support q format!
         read(*,1000)StringOut
         length = len_str(StringOut, maxlen) + 1
         if(length.eq.0) then
            write(*,*)'empty input, try again'
            if(icount.gt.3) then
               write(*,*)'Still could not get input'
               stop
            end if
            icount = icount + 1
         end if
      end do
      return
      end
C***************************************************************************
