      SUBROUTINE HRLCF2(IERR)
C
C PARAMETERS
C
C       IERR (O)   ERROR FLAG  =0 NO ERROR
C                              =1 ERROR IN BEGINNING OF HEADER RECORD
C                              =2 ERROR IN CELL DIMENSIONS RECORDS
C                              =3 ERROR IN LABELS RECORDS
C                              =4 ERROR IN TITLE RECORDS
C                              =5 ERROR IN END OF HEADER RECORD
C
C SPECIFICATION STATEMENTS
C ------------------------
C
      CHARACTER*1 CH(2)
      LOGICAL RD
      CHARACTER*1 ARRAYN(1000)
      COMMON /LCF2/IDDN,MAXDN,CELLN(6),LRECLN,LTITN,LABELN
      COMMON /LCF2AR/ARRAYN
      COMMON /LCF2WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      SAVE /LCF2/,/LCF2AR/,/LCF2WK/
C
C INITIALISATIONS
C
      NUMBS=-32768
      NUMBC=-32767
      NUMBL=-32766
      NUMBT=-32765
      NUMBE=-32764
      IERR=0
      DO 10 I=1,8
      KDATA(I)=0
10    CONTINUE
C
C READ BEGINNING OF HEADER RECORD
C -------------------------------
C
      JERR=1
      CALL RLCF2(KDATA,*810,*810)
      IF(KDATA(1).NE.NUMBS)GO TO 810
      MM=MIN(NCIN-2,6)
      LRECLN=-KDATA(MM+1)
C
C READ CELL PARAMETERS
C --------------------
C
100   JERR=2
      NVAL=(NCIN-MM)/2
      NREC=5/NVAL+1
      K=0
      DO 120 N=1,NREC
      CALL RLCF2(KDATA,*810,*810)
      M=MM-1
      DO 110 I=1,NVAL
      M=M+2
      K=K+1
      IF(K.LE.6)CALL CELCF2(KDATA,M,CELLN(K),1)
110   CONTINUE
120   CONTINUE
C
C READ LABELS INFORMATION
C -----------------------
C
200   JERR=3
      ISEQ=0
      MINC=MM+1
      LL=0
210   CALL RLCF2(KDATA,*810,*810)
      ISEQ=ISEQ+1
      IF(ISEQ.EQ.1.AND.KDATA(1).NE.NUMBL)GO TO 800
      IF(KDATA(1).NE.NUMBL)GO TO 250
      IF(KDATA(MM).NE.ISEQ)GO TO 800
      CALL CHLCF2(KDATA,MINC,NCIN,ARRAYN,1000,LL,1,*210)
      GO TO 210
250   DO 260 L=1,LL
      K=LL-L+1
      IF(ARRAYN(K).NE.' ')GO TO 270
260   CONTINUE
270   LABELN=K
C
C READ TITLE INFORMATION
C ----------------------
C
300   JERR=4
      ISEQ=0
      LL=K
      GO TO 315
310   CALL RLCF2(KDATA,*810,*810)
315   ISEQ=ISEQ+1
      IF(ISEQ.EQ.1.AND.KDATA(1).NE.NUMBT)GO TO 800
      IF(KDATA(1).NE.NUMBT)GO TO 350
      IF(KDATA(MM).NE.ISEQ)GO TO 800
      CALL CHLCF2(KDATA,MINC,NCIN,ARRAYN,1000,LL,1,*310)
      GO TO 310
350   DO 360 L=LABELN+1,LL
      K=LL-L+1
      IF(ARRAYN(K).NE.' ')GO TO 370
360   CONTINUE
370   LTITN=K
C
C CHECK END OF HEADER RECORD
C --------------------------
C
400   JERR=5
      IF(KDATA(1).NE.NUMBE)GO TO 800
      RETURN
C
C ERROR CONDITIONS
C ----------------
C
800   WRITE(IOUT,2001)
810   IERR=JERR
      RETURN
C
C FORMAT STATEMENTS
C -----------------
C
2001  FORMAT(/,' **LCF ERROR**',/,' **HEADER RECORDS OUT OF SEQUENCE**')
      END
