      SUBROUTINE HWLCF2
C
C PARAMETERS NONE
C
C SPECIFICATION STATEMENTS
C ------------------------
C
      CHARACTER*1 CH(2)
      LOGICAL RD
      CHARACTER*1 ARRAYN(1000)
      COMMON /LCF2/IDDN,MAXDN,CELLN(6),LRECLN,LTITN,LABELN
      COMMON /LCF2AR/ARRAYN
      COMMON /LCF2WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      SAVE /LCF2/,/LCF2AR/,/LCF2WK/
      CALL BADLCF
C
C INITIALISATIONS
C
      NUMBS=-32768
      NUMBC=-32767
      NUMBL=-32766
      NUMBT=-32765
      NUMBE=-32764
      MM=MIN(NCOUT-2,6)
      LRECLN=2*NCOUT
C
C WRITE BEGINNING OF HEADER RECORD
C --------------------------------
C
100   DO 110 N=1,NCOUT
      KDATA(N)=NUMBS
110   CONTINUE
      KDATA(MM+1)=-LRECLN
      KDATA(MM+2)=LABELN+LTITN
      CALL WLCF2(KDATA)
C
C OUTPUT CELL DIMENSIONS RECORDS
C ------------------------------
C
      NVAL=(NCOUT-MM)/2
      NREC=5/NVAL+1
      DO 210 N=1,NCOUT
      KDATA(N)=NUMBC
210   CONTINUE
      K=0
      ISEQ=0
      DO 230 N=1,NREC
      M=MM-1
      DO 220 I=1,NVAL
      M=M+2
      K=K+1
      IF(K.LE.6)CALL CELCF2(KDATA,M,CELLN(K),2)
220   CONTINUE
      ISEQ=ISEQ+1
      KDATA(MM)=ISEQ
      CALL WLCF2(KDATA)
230   CONTINUE
C
C OUTPUT LABELS RECORDS
C ---------------------
C
300   DO 310 M=1,MM-1
      KDATA(M)=NUMBL
310   CONTINUE
      L=0
      ISEQ=0
320   ISEQ=ISEQ+1
      KDATA(MM)=ISEQ
      CALL CHLCF2(KDATA,MM+1,NCOUT,ARRAYN,LABELN,L,2,*400)
      CALL WLCF2(KDATA)
      GO TO 320
C
C OUTPUT TITLE RECORDS
C --------------------
C
400   DO 410 M=1,MM-1
      KDATA(M)=NUMBT
410   CONTINUE
      L=LABELN
      ISEQ=0
420   ISEQ=ISEQ+1
      KDATA(MM)=ISEQ
      CALL CHLCF2(KDATA,MM+1,NCOUT,ARRAYN,LABELN+LTITN,L,2,*500)
      CALL WLCF2(KDATA)
      GO TO 420
C
C OUTPUT END OF HEADER RECORD
C ---------------------------
C
500   DO 510 N=1,NCOUT
      KDATA(N)=NUMBE
510   CONTINUE
      CALL WLCF2(KDATA)
      RETURN
      END
