      SUBROUTINE LCFINC(N,IARRAY,NMAX,*,*,*)
C     ======================================
C
C This subroutine is used to increment a character position count and
C to determine whether the next character is a space or whether it is
C passed the end of the input character string
C
C
C---- Parameters
C
C           N (I/O) CHARACTER POSITION NUMBER IN THE CHARACTER
C                   STRING
C      IARRAY (I)   ARRAY CONTAINING CHARACTER STRING
C        NMAX (I)   MAXIMUM NUMBER OF CHARACTERS IN CHARACTER
C                   STRING HELD IN 'IARRAY'
C      RETURN 1     CHARACTER IS NOT A SPACE
C      RETURN 2     CHARACTER IS A SPACE
C      RETURN 3     END OF CHARACTER STRING PASSED (OVERRIDES RETURNS
C                   1 AND 2 IF THIS CONDITION IS FOUND)
C
C
C
C---- Specification statements and code
C
      CHARACTER*1 IARRAY(*)
      N=N+1
      IF(N.GT.NMAX)RETURN 3
      IF(IARRAY(N).EQ.' ')RETURN 2
      RETURN 1
      END
