      SUBROUTINE LRHDRL(ILUN,LINE)
C     ============================
C
C---- MTZLIB internal subroutine to read one header record from an MTZ
C     file open for read on unit ILUN, and place the result in the
C     character string LINE.
C
C---- Arguments :
C
C     ILINE	(I)	INTEGER		LUN on which the MTZ file is opened
C
C     LINE	(O)	CHARACTER*(*)	80 Character header line
C
C
C     .. Scalar Arguments ..
      INTEGER ILUN
      CHARACTER LINE* (*)
C     ..
C     .. Local Scalars ..
      INTEGER IER
      CHARACTER ELINE*80
C     ..
C     .. External Subroutines ..
      EXTERNAL LERROR,QREADC
C     ..
C          ************************
      CALL QREADC(ILUN,LINE,IER)
C          ************************
      IF (IER.GT.0) THEN
        WRITE (ELINE,FMT='(A,I2)')
     +       'From LRHDRL : Error reading header record from MTZ file, '
     +       // 'want 80 bytes, got ',IER
C            *************************
        CALL LERROR(ISTAT,-1,ELINE)
C            ************************
      END IF
      END
