      SUBROUTINE RDLCF2(IDATA,*,*)
C
C PARAMETERS
C
C       IDATA (O)   ARRAY RETURNING THE REQUESTED ITEMS FROM THE
C                   REFLECTION RECORD. THE ORDER AND NUMBER OF ITEMS
C                   DEPEND ON THE CONTENTS OF THE ARRAY 'LOOK' PASSED
C                   TO 'SRLCF2' OR 'RHLCF2' AND 'IDATA' MUST BE
C                   DIMENSIONED ACCORDINGLY.
C
C   RETURN 1   RETURN  IF FILE READING ERROR
C   RETURN 2   RETURN IF END OF FILE ENCOUNTERED
C
C SPECIFICATION STATEMENTS
C
      LOGICAL RD
      DIMENSION IDATA(*),JDATA(100)
      COMMON /LCF2WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      SAVE /LCF2WK/
C
C READ REFLECTION RECORD AND USE LOOK UP TABLE TO RETURN
C REQUESTED ITEMS
C
      IF(.NOT.RD)GO TO 800
      CALL RLCF2(JDATA,*100,*110)
      DO 50 N=1,NLOOK
      IP=IPOINT(N)
      IF(IP.LE.0)GO TO 50
      IDATA(N)=JDATA(IP)
50    CONTINUE
      RETURN
100   RETURN 1
110   RETURN 2
C
C ERROR CONDITION
C
800   WRITE(IOUT,2001)
      WRITE(IOUT,2002)
      WRITE(IOUT,2010)
          call ccperr(1,' stop in lcflib.for 3000')
C
C FORMAT STATEMENTS
C
2001  FORMAT(/,' **LCF ERROR**')
2002  FORMAT(' **RDLCF2 CALLED WITHOUT SETTING LOOKUP TABLE**')
2010  FORMAT(/,' **PROGRAM TERMINATED**')
      END
