      SUBROUTINE SKPOR1(IDATA)
C     ========================
C
C Skip orientation data from lcf file (ie read until first reflection
C record found (idata(1).gt.-32000)
C
C
C---- Parameters
C
C       IDATA(I/0)   REFLECTION RECORD DATA BUFFER
C
C---- Specification statements
C
      DIMENSION IDATA(*)
      LOGICAL RD
      COMMON /LCF1WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      SAVE /LCF1WK/
C
C---- Skip records
C
10    IF(IDATA(1).GT.-32000)RETURN
      CALL RLCF1(IDATA,*800,*810)
      GO TO 10
C
C---- Error conditions
C
800   WRITE(IOUT,2001)
      WRITE(IOUT,2002)
      WRITE(IOUT,2010)
          call ccperr(1,' stop in lcflib.for 90010')
810   WRITE(IOUT,2001)
      WRITE(IOUT,2003)
      WRITE(IOUT,2010)
          call ccperr(1,' stop in lcflib.for 90020')
C
C---- Format statements
C
2001  FORMAT(/,' **LCF ERROR**')
2002  FORMAT(/,' **ERROR IN READING WHEN SKIPPING ORIENTATION DATA**')
2003  FORMAT(/,' **END OF FILE FOUND WHEN SKIPPING ORIENTATION DATA**')
2010  FORMAT(/,' **PROGRAM TERMINATED**')
      END
