      SUBROUTINE WTLCF1(IX,TITLE)
C     ===========================
C
C Subroutine to write batch title to output lcf file
C
C
C---- Parameters
C
C          IX (I)   BATCH NUMBER
C       TITLE (I)   CHARACTER ARRAY (72 CHARACTERS) HOLDING BATCH
C                   TITLE
C
C
C---- Specification statements
C
      CHARACTER*1 TITLE(72)
      LOGICAL RD
      COMMON /LCF1/IDDN,MAXDN,CELLN(6),LRECLN,LTITN,LABELN
      COMMON /LCF1WK/RD,IN,IOUT,LBUF,IUNIN,NCIN,IUNOUT,NCOUT,
     *               IPOINT(100),NLOOK,KDATA(100)
      SAVE /LCF1/,/LCF1WK/
      CALL BADLCF
C
C---- Write batch header records
C
      DO 5 I=1,4
      KDATA(I)=-32750
5     CONTINUE
      KDATA(5)=IX
      KDATA(7)=72
      IF(NCOUT.LT.8)GO TO 800
      N1=8
      LL=0
      ISEQ=0
10    ISEQ=ISEQ+1
      KDATA(6)=ISEQ
      CALL CHLCF1(KDATA,N1,NCOUT,TITLE,72,LL,2,*50)
      CALL WLCF1(KDATA)
      N1=7
      GO TO 10
50    RETURN
C
C---- Error conditions
C
800   WRITE(IOUT,2001)
          call ccperr(1,' stop in lcflib.for 8000')
C
C---- Format statements
C
2001  FORMAT(/,' **LCF ERROR**',
     *//,' **FILE MUST HAVE AT LEAST 8 COLS FOR BATCH TITLE**',
     *//,' **PROGRAM TERMINATED**')
      END
