C ***********************************************************************
C *									*
C *	VM functions:  LIB$GET_VM and LIB$FREE_VM to replace VMS 	*
C *		       system routines using MALLOC() and free() 	*
C *									*
C *									*
C ***********************************************************************
	LOGICAL FUNCTION LIB$GET_VM(SIZE, P)
	IMPLICIT NONE

	INTEGER*4 SIZE
	INTEGER*2 SHORTDATA			! An array of SIZE values
	POINTER (P,SHORTDATA)			! A pointer to the array
Ca	INTEGER*8 MALLOC
	INTEGER MALLOC
Ca	EXTERNAL MALLOC
Ca	INTRINSIC MALLOC

	P = MALLOC(SIZE)

	IF (P.gt.0) then
		LIB$GET_VM = .true.
	ELSE
		LIB$GET_VM = .false.
	ENDIF

	RETURN
	END

C-----------------------------------------------------------------------

	LOGICAL FUNCTION LIB$FREE_VM(SIZE, P)
	IMPLICIT NONE

	INTEGER*4 SIZE
	INTEGER*2 SHORTDATA(SIZE/2)		! An array of SIZE values
	POINTER (P,SHORTDATA)			! Pointer to the array

	CALL FREE(P)

	LIB$FREE_VM = .true.

	RETURN
	END

C-------------------------------------------------------------------------
C-----------------------------------------------------------------------

	LOGICAL FUNCTION SYS$INTERACTIVE()

	SYS$INTERACTIVE = .FALSE.

	RETURN
	END

C-------------------------------------------------------------------------









