C--------------------------------------------------------------------
C Replace the UNIX malloc() rtn with something useable for VMS
C--------------------------------------------------------------------

      function malloc(size)

      integer*4 size
      integer*8 dummy(1)
      pointer   (allocPoint, dummy)
      integer   status

Ca    + 80 because we reserve 10 longwords for the size.  This way
Ca    if we inadvertantly step out of the bounds of the buffer allocated
Ca    it's harder to trash the size - it's needed by free()
      status = lib$get_vm((size+80), allocPoint)
Ca    Place size at fifth position to protect it both ways
      dummy(5) = (size+80)
Ca	print *, 'Allocated size = ' ,size
      malloc = (allocPoint + 80)
      return
      end


C--------------------------------------------------------------------
C Replace the UNIX free() rtn with something useable for VMS
C--------------------------------------------------------------------
      function free(allocPoint)

      integer*8 size
      integer*8 dummy(1)
      pointer   (allocPoint, dummy)
      integer   status

Ca    + 80 because we reserve 10 longwords for the size.  This way
Ca    if we inadvertantly step out of the bounds of the buffer allocated
Ca    it's harder to trash the size - it's needed by free()
Ca    Place size at fifth position to protect it both ways (-4) here...
      size = dummy(-5)
Ca      print *, 'Size in free(5) - ', size
      status = lib$free_vm((size), (allocPoint - 80))
	
      if(status .ne. 1) then
	print *, 'Unable to free() -> ', (size-80)
      endif

      free = status
      return
      end
