
#include "stdio.h"
#include "stdlib.h"
#include "string.h"

#define TRUE  1
#define FALSE 0

main(int argc, char **argv)
{/* MAIN */
  int i,j,k,tot,fileSize,timeSwitch,totMisMatch;
  unsigned char inChar1,inChar2;
  char sysCall[256], thisSize[256];
  FILE *fIn1,*fIn2,*fSize;
  
  banner("diffit");

  if(argc < 3)
    { printf("USAGE diffit file1 file2 -time\n\n"); exit(0); }

  timeSwitch = FALSE;
  if((argc==4) && 
     ((strstr(argv[3],"tim")==0)||(strstr(argv[3],"TIM")==0)))
    {/* Show them the time left output */
#ifdef VMS
      sprintf(sysCall,"dir/siz %s /out=temp.tmp",argv[1]);
      system(sysCall);
      fSize = fopen("temp.tmp", "r");
      fgets(sysCall,111,fSize);
      fgets(sysCall,111,fSize);
      fgets(sysCall,111,fSize);
      fgets(sysCall,111,fSize);
      sscanf(&sysCall[20],"%s\n",thisSize);
      fileSize = (int)strtod(thisSize,'\0');
      fileSize *= 512;  /* blocks */
      fclose(fSize);
      sprintf(sysCall,"delete temp.tmp;*");
      system(sysCall);
#else
      sprintf(sysCall,"ls -l %s > temp.tmp",argv[1]);
      system(sysCall);
      fSize = fopen("temp.tmp", "r");
      fgets(sysCall,111,fSize);
      sscanf(&sysCall[22],"%s",thisSize);
      fileSize = (int)strtod(thisSize,'\0');
      fclose(fSize);
      sprintf(sysCall,"rm temp.tmp");
      system(sysCall);
#endif
      timeSwitch= TRUE;
    }/* Show them the time left output */
    
  fIn1 = fopen(argv[1],"r");
  fIn2 = fopen(argv[2],"r");
  if(fIn1==0)
    {/* Can't open */
      printf("Can't open file [%s]\n",argv[1]);
      exit(0);
    }/* Can't open */
  if(fIn2==0)
    {/* Can't open */
      printf("Can't open file [%s]\n",argv[2]);
      exit(0);
    }/* Can't open */
  
  totMisMatch= tot = 0;
  while(!feof(fIn1))
    {/* Do all */
      
      inChar1 =fgetc(fIn1);
      inChar2 =fgetc(fIn2);


#define ORIG_WAY 1
#ifdef ORIG_WAY
      if(inChar1 != inChar2) 
#else
      if(
	 (inChar1 != inChar2)   &&
	 (inChar1 != 0)   &&
	 (inChar1 < (inChar2 - 40))
	 )
#endif
        { 
	  totMisMatch++; 
	  printf("Mismatch [%d][%d][%d]\n",tot,inChar1,inChar2);
	}

      if(timeSwitch && ((tot % 1000)==0))
	{
	  printf("[%5.2f%%][%5d]\r",
		 (float)(((float)(fileSize-tot)/(float)fileSize) * 100.0),
		 tot
		 ); 
	}
      
      if(totMisMatch > 1000)
	{/* too many */
	  printf("Too many differences [%d]\n",totMisMatch);
	  exit(0);
	}/* too many */

      tot++;

    }/* Do all */

  printf("\n\n[%d] Mismatched chars found\n\n",totMisMatch);

}/* MAIN */
