
Ca ********************************************************************
Ca ********************************************************************
Ca ********************************************************************
Ca ********************************************************************
Ca ********************************************************************

      subroutine yji_ctf2dfit(poly_paras_call, npix_col,npix_row,
     +    num_img,fftSizeCall, pixelSizeCall, voltCall, res_hiCall, 
     +    defMajorCall, defMinorCall, angleCall, ampContrastCall, 
     +    CsCall, packImgCall, chisqCall, auto2DdrawBuf, 
     +    auto2DdataBuf, fftasumCall, hkl_maxCall, 
     +    order_bCall, order_dCall, calcIt, saveFftasum, saveFftasumsq)
C **********************************************************************
C *   1. read images from one image file and do 2D FFT                 *
C *   2. average these 2D FFTs                                         *
C *   3. calculate some stats and writeout                             *
C *                                                                    *
C **********************************************************************
      implicit none
C
      INCLUDE 'allprogs.inc'
      include 'mem_time.inc'
C
      Character*8   subname
      DATA PROGNAME / 'fftavgr' /
      DATA subNAME / '    ' /
C
C Local variables, used only in the main routine
C
Ca      real  pixels(1), rffta_omega(1)
      real  rffta_omega(1)
      complex fft2d(1)
      double precision fftasum(1), fftasumsq(1), da2d(1)
      double precision amp, MAP_MIN, MAP_MAX, MAP_AVG, MAP_STD
C
      pointer (pnt_rffta_omega,      rffta_omega )
      pointer (pnt_fftasum    ,      fftasum     )
      pointer (pnt_fftasumsq  ,      fftasumsq)
      pointer (pnt_fft2d      ,      fft2d       )
      pointer (pnt_da2d      ,       da2d       )
Ca      pointer (pnt_pixels     ,      pixels      )
C
      double precision poly_paras(1), ca1d_avg(1), ca1d_std(1)
      pointer (pnt_poly_paras,      poly_paras)
      pointer (pnt_ca1d_avg,        ca1d_avg  )
      pointer (pnt_ca1d_std,        ca1d_std  )
C
      integer cmalloc
      external cfree
    
      character*(filename_len) infile, outfile
     
      integer npix_col, npix_row, num_img, nrffta_row,nrffta_col,
     +   nrffta_omega, nfc_2d_row, nfc_2d_col, hkl_min, hkl_max,
     +   i, j , mem_size, array_size
      integer astart, aend, i_omega, k, k1, k2, kk, count
      integer itemp, itemp2, poly_orderb, poly_orderd, poly_order
      integer fftSizeCall,m,n
      integer hkl_maxCall, order_bCall, order_dCall
      real    pixelSizeCall, voltCall, res_hiCall
      real    pixels(npix_col,npix_row)
      real    auto2DdrawBuf(512,256)
      real    auto2DdataBuf(512,256)
      double precision    poly_paras_call(1024)
      double precision    fftasumCall(1024*2048)
      real    defMajorCall, defMinorCall, angleCall
      real    ampContrastCall, CsCall, chisqCall
      real    packImgCall(npix_col, npix_row, num_img)
      double precision pixel_size, voltage, res_hi, wavelength,
     +                 a, cs, chisq, defmajor, defminor, angle
      real    img_avg, img_std, rtemp, rtemp1, rtemp2
      real    omega, annual, astep
      double precision minvalue, sumvalue, newangle, a1, a2, 
     +        a1sum, a2sum, a1sqsum, a2sqsum, a1a2sum
      double precision sumtest
      integer jj, annhigh2
	real defmax, fw, fw2, annlow, annlow2, ann
	real angdraw, xx, yy, rx, ry, cosph, sinph, theta1
	real tmp5, tmp6, def, arg1, arg2, ctf, ctf2, B, D
        integer  ii, orderb, orderd, irx, iry
	real xbit, ybit, s
        integer calcIt
        real  saveFftasum(1), saveFftasumsq(1)
      

C *********************************************************************
C *                      Initialization                               *
C *********************************************************************
      test_time   = .true.
      test_memory = .true.
      PI = 3.14159265358979323

Ca      call usage
C
Ca      t1 = wtime()
C
C --------------------------------------------------------------------
C     read input image file name and out put file name
Ca  100 print *, 'Enter Input image FILENAME: '
Ca      READ (*,'(A)',ERR=100) infile
Ca      print *, 'Input image FILENAME: ', infile
C
Ca      IMGHEAD.LUNUM = pix_file_unit
Ca      CALL PIF_OPEN (infile, IMGHEAD.LUNUM, 'r')
Ca      CALL PIF_READ_GH (IMGHEAD)
Ca      npix_col  = IMGHEAD.NUMCOLS
Ca      npix_row  = IMGHEAD.NUMROWS
Ca      num_img   = IMGHEAD.nimg
      print *, 'col,row,nimg = ', npix_col,npix_row,num_img

C
Ca  101 print *, 'Enter Output fited FILENAME: '
Ca      READ (*,'(A)',ERR=101) outfile
Ca      print *, 'Output fited FILENAME: ', outfile

C --------------------------------------------------------------------
C     read and determine the fft size
Ca  300 print *, 'Enter FFT size:'
Ca      READ (*,*,ERR=300) itemp
Ca      if (itemp .LT. npix_col) goto 300
      itemp = fftSizeCall
      call TRANS_LENGTH_ESSL( itemp, nrffta_row )
      print *, ' FFT size =',nrffta_row
C 
      nfc_2d_row   = nrffta_row/2
      nfc_2d_col   = nfc_2d_row
      hkl_min      = - nfc_2d_row
      hkl_max      = nfc_2d_row
      hkl_maxCall  = hkl_max
      nrffta_col   = nrffta_row
      nrffta_omega = nrffta_col + 15
C --------------------------------------------------------------------
C     read pixel size 
Ca  301 print *, 'Enter pixel_size (A):'
Ca      READ (*,*,ERR=301) rtemp
Ca      if (rtemp .LE. 0.0) goto 301
      rtemp = pixelSizeCall
      pixel_size = rtemp
      print *, ' pixel_size =', pixel_size
C --------------------------------------------------------------------
C     read voltage 
Ca  302 print *, 'Enter voltage (V):'
Ca      READ (*,*,ERR=302) rtemp
Ca      if (rtemp .LE. 0.0) goto 302
      rtemp = voltCall
      voltage = rtemp
      print *, ' voltage =', voltage
C --------------------------------------------------------------------
C     read guess defocus value
Ca  303 print *, 'Enter guessed defocus values and angle (um, um, deg)'
Ca      READ (*,*,ERR=303) rtemp, rtemp1, rtemp2
Ca      if (rtemp .LE. 0.0 .or. rtemp1 .le. 0.0) goto 303
      rtemp = defMajorCall
      rtemp1 = defMinorCall
      rtemp2 = angleCall
      defmajor = rtemp
      defminor = rtemp1
      angle    = rtemp2
      defmajor = rtemp * 10000.0
      defminor = rtemp1 * 10000.0
      print *,'guessed defocus value =',defmajor, defminor, angle
C --------------------------------------------------------------------
C     read highest resolution you want to fit
Ca  304 print *, 'Enter highest resolution you want to fit (A):'
Ca      READ (*,*,ERR=304) rtemp
Ca      if (rtemp .LT. 2.0*pixel_size) goto 304
      rtemp = res_hiCall
      res_hi = rtemp
      print *, ' highest resolution =', res_hi
C --------------------------------------------------------------------
C     Percentage of Amplitude Contrast & Spherical aberration constant
      A = 0.05
      Cs = 20000000.0
Ca  314 print *,'Enter Amplitude Contrast & Spherical aberration constant'
Ca      print *,'  (e.g. 0.05, 2.0)'
Ca      READ (*,*,ERR=314) rtemp, rtemp1
Ca      if (rtemp .le. 0. .or. rtemp1 .le. 0 ) goto 314
      rtemp = ampContrastCall
      rtemp1 = CsCall
      A   = rtemp
      Cs  = rtemp1
      Cs = Cs * 10000000.0

      print *, 'Percentage Amp Contrast =', A, '  Cs =', Cs
C --------------------------------------------------------------------
C     read The order of polynomial to fit the background B, 
Cji   and The order of polynomial to fit signal strengh decay D
Ca  305 print *,'Enter orders of polynomial to fit Background & Decay:'
Ca      READ (*,*,ERR=305) itemp, itemp2
Ca      if (itemp .LE. 0 .or. itemp2 .le. 0) goto 305
      itemp = 5
      itemp2 = 5
      poly_orderb = itemp
      poly_orderd = itemp2
      order_bCall = poly_orderb
      order_dCall = poly_orderd
      print *, ' Order of Background =', poly_orderb 
      print *, ' Order of signal strengh decay =', poly_orderd 
C --------------------------------------------------------------------
C     read The Initial Parameters for polynomial functions of B & D, 
Cji   we formulate the B and D in the order of x, 2nd order is y, 
Cji   such as order 2:  a0 + a1*y + a2*y*y + a3*x + a4*x*y + a5*x*x  
Cji   such as order 3:  a0 + a1*y + a2*y*y + a3*y*y*y + a4*x + a5*x*y + a6*x*y*y + a7*x*x +a8*x*x*y + a9*x*x*x 
C
      poly_orderb  = (poly_orderb + 1) * (poly_orderb + 2) / 2
      poly_orderd  = (poly_orderd + 1) * (poly_orderd + 2) / 2
      poly_order   = poly_orderb + poly_orderd + 3
      pnt_poly_paras= cmalloc( 8 * poly_order)
Cwei  306 print *,'Enter Initial Parameters B&D for polynomial functions:'
Cwei      READ (*,*,ERR=306) (poly_paras(j),j=1,poly_order-3)
Cwei      print *, 'Initial Parameters B&D for polynomial functions:',
Cwei     +        (poly_paras(j),j=1,poly_order-3)
Cwei  initiate values for poly_paras
      do j = 1, poly_order-3
          poly_paras(j) = 0.0
      enddo
      poly_paras(1) = 1.0
      poly_paras(poly_orderb+1) = 1.0
Cwei      print *, 'Initial Parameters B&D for polynomial functions:',
Cwei     +        (poly_paras(j),j=1,poly_order-3)
Cji   according to the subroutine, the last of parameter is used for defocus value
      poly_paras(poly_order-2) = defmajor
      poly_paras(poly_order-1) = defminor
      poly_paras(poly_order  ) = angle
C --------------------------------------------------------------------
Cji   alloc memory
      pnt_rffta_omega = cmalloc( 4 * nrffta_omega )
Ca      if(pnt_rffta_omega .eq. 0) call error(progname, subname,
Ca     +    'Error in allocating memory for nrffta_omega')
      if(pnt_rffta_omega .eq. 0) then
         print *, 'Error in allocating memory for nrffta_omega'
      endif
C
      mem_size   = npix_col * npix_row 
Ca      pnt_pixels = cmalloc( 4 * mem_size)
C
Ca      if (pnt_pixels .eq. 0 ) call error_stop (
Ca     +      progname, subname, 'image memory allocation failed')

      mem_pixels_array = 4*mem_size
      mem_total = mem_total + mem_pixels_array
      mem_peak  = max(mem_peak, mem_total)
C      
      mem_size     = (nfc_2d_row +1) * (nfc_2d_col * 2 +1)
      array_size   = mem_size
      pnt_fftasum  = cmalloc( 8 * mem_size)
      pnt_fftasumsq= cmalloc( 8 * mem_size)
      pnt_fft2d    = cmalloc( 8 * mem_size)
      pnt_da2d     = cmalloc( 8 * mem_size)
Ca      if (pnt_fft2d .eq. 0 .or. pnt_fftasumsq .eq. 0 
Ca     +  .or. pnt_fftasumsq.eq.0 .or. pnt_da2d.eq.0) call error_stop(
Ca     +    progname, subname, 'fft space memory allocation failed')
      if (pnt_fft2d .eq. 0 .or. pnt_fftasumsq .eq. 0 
     +  .or. pnt_fftasumsq.eq.0 .or. pnt_da2d.eq.0) then
         print *, 'fft space memory allocation failed'
      endif
      mem_cmpt  = 8*mem_size
      mem_total = mem_total + 4*mem_cmpt
      mem_peak  = max(mem_peak, mem_total)
C --------------------------------------------------------------------
      do i = 1, mem_size
         fftasum(i)   = 0.
         fftasumsq(i) = 0.
      enddo
C
Ca      t2 = wtime()
      t_init = t2 - t1
C
C *********************************************************************
C *read each image do 2D DFT to fft2d(complex) calculate fftasum and fftasumsq(real)*
C *********************************************************************
C
      call vrffti( nrffta_col, rffta_omega )
      itemp  = npix_row*npix_col

Ca  RWa Nov 2005 Try and optimize this - if we've calculated
Ca  this before then just use that - don't recalc every time 
      if(calcIt .eq. 1) then
         do i = 1, num_img
C
Cji   read one image
Ca        IMGHEAD.IMGNUM = i
Ca        CALL PIF_READ_DH(IMGHEAD)
Ca        call rpifimag_f (itemp, pixels)

            do m=1,npix_row
               do n=1,npix_col
                  pixels(n,m) = packImgCall(n,m,i) 
               enddo
            enddo
Ca         print *, '********************************'
Ca         print *, 'pixels -', pixels(1,1)
Ca         print *, 'pixels -', pixels(1,2)
Ca         print *, 'pixels -', pixels(2,1)
Ca         print *, 'pixels -', pixels(2,2)

C
Cji   do 2D DFT
            call fft_2dfft(pixels, npix_row, npix_col, 
     +    nrffta_omega, rffta_omega, nrffta_row, nrffta_col,
     +    hkl_max, hkl_max, fft2d)
C
Cji   average them   
            do j = 1, array_size
               amp       = sqrt( real(fft2d(j))**2 + aimag(fft2d(j))**2)
               fftasum(j) = fftasum(j) + amp
               fftasumsq(j) = fftasumsq(j) + amp**2
               saveFftasum(j) = fftasum(j)
               saveFftasumsq(j) = fftasumsq(j)
            enddo
C
         enddo
      else
         do j = 1, array_size
            fftasum(j) = saveFftasum(j) 
            fftasumsq(j) = saveFftasumsq(j) 
         enddo
      endif   ! if(calcIt .eq. 1) 

C *********************************************************************
Ca      call pif_close (pix_file_unit)
      call cfree(pnt_rffta_omega)
      call cfree(pnt_fft2d)
Ca      call cfree(pnt_pixels)
      mem_total = mem_total - mem_pixels_array - mem_cmpt
C *********************************************************************
Cji   caluate some stats, we use fftasum to store avg, fftasumsq store std
C *********************************************************************
C
      MAP_MIN = fftasum(1)/num_img
      MAP_MAX = fftasum(1)/num_img
      MAP_AVG = 0. 
      MAP_STD = 0.
      do i = 1, array_size
         fftasum(i) = fftasum(i) / num_img
         amp = fftasumsq(i)/num_img - fftasum(i)**2
         if ( amp .gt.0 ) then 
            fftasumsq(i) = sqrt(amp)
         else
            fftasumsq(i) = 0
         endif
         MAP_MIN = MIN(MAP_MIN, fftasum(i))
         MAP_MAX = MAX(MAP_MAX, fftasum(i))
         MAP_AVG = MAP_AVG + fftasum(i)
         MAP_STD = MAP_STD + fftasum(i)**2
      enddo
C
      MAP_AVG = MAP_AVG / array_size
      amp     = MAP_STD / array_size - MAP_AVG**2
      if (amp.gt.0 ) MAP_STD = sqrt(amp)
C
      do i = 1, array_size
        fftasum(i) = fftasum(i) / MAP_AVG
        fftasumsq(i) = fftasumsq(i) / MAP_AVG
        fftasumCall(i) = fftasum(i)
      enddo
Cji      call doutimg(fftasum,hkl_min,hkl_max,"ampfile2")
C
       PRINT *, ' '
       WRITE(*,1000)
       WRITE(*,1001)
       WRITE(*,1003)
 1000  FORMAT('                  STATICS: averaged FFT')
 1001  FORMAT('FFTSIZE   MINIMUM     MAXIMUM        AVERAGE        STD')
 1003  FORMAT('-------------------------------------------------------')
       WRITE(*,1002)hkl_max, MAP_MIN, MAP_MAX, MAP_AVG, MAP_STD
 1002 FORMAT (I5,2(2x, F10.3),5x, F10.3, 1x, F10.3)
C
C *********************************************************************
Cji   calculate ctf values
Cji   note some different with ctf_para.f, because of the unit
      wavelength = 12.264264967 / 
     +             sqrt (voltage + 0.9784663543E-6 * voltage**2 )
C
C *********************************************************************
Cwei findout the inner-most first zero  based on the maximum def value 
C
C
      mem_total = mem_total - mem_cmpt
      call cfree(pnt_da2d)
C
      call cmpt_fit(fftasum, fftasumsq, hkl_max, res_hi,
     +              poly_paras, poly_order, poly_orderb, poly_orderd,
     +              wavelength, A, Cs, pixel_size, chisq,auto2DdrawBuf,
     +              auto2DdataBuf)
C
C --------------------------------------------------------------------
Cji   print out the result and write files
Ca      OPEN (UNIT=13, FILE=outfile, ERR=960)
Ca      goto 961
C
Ca  960 print *,  'Error in opening output file'
C
Cji   open output file ok, print out the head for orientation file.
C
  961 defmajor = poly_paras(poly_order-2) /10000.
      defminor = poly_paras(poly_order-1) /10000.
      angle    = poly_paras(poly_order)

      call robStuffPolyParas(poly_paras_call, poly_paras, poly_order)

      angle    = angle * 180.0 / 3.14159265358979323
      if (defmajor.lt.defminor) then
         rtemp = defmajor
         defmajor = defminor
         defminor = rtemp
         if (angle.gt.0.0) then 
            angle = angle - 90.0
         else
            angle = angle + 90.0
         endif
      endif
	if (angle.lt.0.0) then
            angle = angle +360.
        endif
Ca ********************************************************
Ca  Stuff the display buffer for robEM
Ca ********************************************************
Ca        call stuffRobemBuf(auto2DdrawBuf, poly_paras, poly_order,
Ca     +              wavelength, pixel_size, Cs, A, 
Ca     +              poly_orderb, poly_orderd)


Ca      WRITE(13,1009) infile
Ca 1009 FORMAT(64a)
Ca      WRITE(13,1010) pixel_size, 1, voltage, A,
Ca     +            defmajor, defminor, angle, Cs/10000000
Ca 1010 FORMAT (1X,F8.4,',',I2,',',F10.1,',',4(F10.4,','),F8.2)
Ca      close(UNIT=13)
C
C --------------------------------------------------------------------
      call cfree(pnt_fftasum)
      call cfree(pnt_fftasumsq)
      call cfree(pnt_poly_paras)
      mem_total = mem_total - 2*mem_cmpt
      t1 = wtime()
      t_interp = t1 - t2
C
C *********************************************************************
C
       if (mem_total .ne. 0) print *,'mem_total=',mem_total,
     +  'At the end, mem_total should be 0!!!'
C
       time = t_init + t_interp
C
       if (test_time)
     +    print 40, 0, t_init,
     +                   t_interp,
     +                   time
  40      format (/ 'Node ', i3,
     +          ' Time used in initialization                      =',
     +        f15.4, ' ' / 8x,
     +          ' Time used in read image & 2DFFT & factors        =',
     +        f15.4, ' ' / 8x,
     +          ' Total time used                                  =',
     +        f15.4)
C
C     Print memory allocating message.
C
       if (test_memory) print 60, 0, mem_peak,
     +       mem_pixels_array, mem_cmpt ,mem_cmpt_intrps
   60    format(/ 'Node ', i3, ' Memory allocation in BYTES:', /
     +                  8x, ' Peak memory allocated   =', f18.1 /
     +                  8x, ' Memory for 3D Map       =', f18.1 /
     +                  8x, ' Memory for 3D FFT       =', f18.1 /
     +                  8x, ' Memory used in CMPCC    =', f18.1 )
C
      print *, '**********finished nicely**********'
Ca      stop
      defMajorCall = defmajor
      defMinorCall = defminor
      angleCall = angle
      chisqCall = chisq

      return
      end


Ca *********************************************************
Ca
Ca          FFT_2DFFT()
Ca
Ca *********************************************************
      subroutine fft_2dfft(pixels, npix_row, npix_col,
     +             nrfft_omega, rfft_omega, nrfft_row, 
     +             nrfft_col, nfc_2d_row, 
     +             nfc_2d_col, fc_2d )
C
      implicit none
      include 'allprogs.inc'
C
C Arguments
      integer*4 npix_row, npix_col, nrfft_row, nrfft_col, nrfft_omega,
     +        nfc_2d_row, nfc_2d_col
      complex fc_2d( 0:nfc_2d_row, -nfc_2d_col:nfc_2d_col )
      real*4  pixels(npix_row, npix_col), rfft_omega(nrfft_omega)
C
C Local
      integer*4 icol, irow, icol_a, icol_a_1, irow_a_1, irow_b_1_rfft,
     +        icol_c, icol_c_1_rfft, irow_c_1_rfft, irow_d_1,
     +        icol_rfft, h, k, num_cols_a, num_rows_a, num_rows_b,
     +        num_cols_c, num_rows_c, num_rows_d, nfc_2d_end,
     +        nrfft_d2,
     +        nrfft_trns_row, nrfft_trns_col

      real*4 rfft(nrfft_row,nrfft_col),rfft_trns(nrfft_col,nrfft_row)
      real*4    cc, ss, sc, cs 
      character*9 subname
      data        subname / 'FFTANALY' /
C
      external vrffti, vrfftf
C**********************************************************************
C
      nrfft_trns_row = nrfft_col    
      nrfft_trns_col = nrfft_row
C
C     The PIXELS array is square.
C
C     The array, PIXELS( 1:NPIX_ROW 1:NPIX_COL) is     --------- cols
C     partitioned into 4 arrays A, B, C, D:            | C | B |
C         A has nonnegative u and v coordinates        ----------- v
C         B has negative u, nonnegative v              | D | A |    
C         C has negative u and v                       ----|----   
C         D has nonnegative u and negative v           |   |   |
C                                                      |   | 
C                                                    rows  u 
C 
C     Transfer and rearrange PIXELS to the larger work array RFFT
C     and fill the rest of RFFT with zeros.
C
C     After rearrangement, the pixel values are      --------------- v
C     stored in RFFT as indicated to the right:      | A | 0 | D |
C                                                    -------------
C                                                    | 0 | 0 | 0 |
C                                                    -------------
C                                                    | B | 0 | C |
C                                                    -------------
C                                                    |
C                                                    u
C
      irow_a_1   = ifix((npix_row -1)/2. ) + 1
      icol_a_1   = ifix((npix_col -1)/2. ) + 1
      num_rows_a = npix_row + 1 - irow_a_1
      num_cols_a = npix_col + 1 - icol_a_1
C 
C     The first row number of A in PIXELS is the same as the first row
C     number of D in PIXELS.
C
      irow_d_1   = irow_a_1
C 
C     The first column number of A in PIXELS is the same as the first
C     column number of B in PIXELS
C     The number of rows of D is the same as the number of rows of A
C
      num_rows_d = num_rows_a
C
C     The number of columns of B and A are the same.
C     Find the number of rows and columns of C --- these are each
C     one less than the first row and column number of A in PIXELS
C
      num_rows_c    = irow_a_1 - 1
      num_cols_c    = icol_a_1 - 1
C
C     Find the first row and column numbers of C in array RFFT.
C
      irow_c_1_rfft = nrfft_row + 1 - num_rows_c
      icol_c_1_rfft = nrfft_col + 1 - num_cols_c
C
C     The first column number of C in RFFT is the same as the first
C     column number of D in RFFT.
C     The number of the first row of C in RFFT is the same as the
C     number of the first row of B in RFFT
C 
C     The number of rows of B is the same as the number of rows of C
C
      num_rows_b    = num_rows_c
C
C     The first row of B in RFFT is the same as the first row of C
C
      irow_b_1_rfft = irow_c_1_rfft
C 
C     Zero RFFT
C
      do 1010 icol = 1, nrfft_col
        do 1000 irow = 1, nrfft_row
          rfft( irow, icol ) = 0.
 1000   continue
 1010 continue
      
C
C     Use the BLAS routine SCOPY to copy real vectors from one location
C     to another.
C     Syntax:
C       SCOPY(vector_length,input_vector,stride,output_vector,stride)
C
      icol_rfft = 0
      do 1020 icol_a = icol_a_1, npix_col
        icol_rfft = icol_rfft + 1
C
C       Copy a column of A in PIXELS to a column of A in RFFT.
C
        call scopy( num_rows_a, pixels(irow_a_1,icol_a), 1,
     +                          rfft(1,icol_rfft),  1 )
C
C       Copy a column of B in PIXELS to a column of B in RFFT.
C
        call scopy( num_rows_b, pixels(1,icol_a), 1,
     +                          rfft(irow_b_1_rfft,icol_rfft), 1 )
 1020 continue
C
      icol_rfft = icol_c_1_rfft - 1
      do 1030 icol_c = 1, num_cols_c
        icol_rfft = icol_rfft + 1
C
C       Copy a column of C in PIXELS to a column of C in RFFT.
C
        call scopy( num_rows_c, pixels(1,icol_c), 1,
     +                          rfft(irow_c_1_rfft,icol_rfft), 1 )
C
C       Copy a column of D in PIXELS to a column of D in RFFT.
C
        call scopy( num_rows_d, pixels(irow_d_1,icol_c), 1,
     +                          rfft(1,icol_rfft), 1 )
 1030 continue
C 
C     Carry out real FFT analysis (foward transformation) of each row
C     of  RFFT.
C
C     Transformation parameters, RFFT_OMEGA, were computed the first
C     time this routine (FFTANALY) is called.  The values in RFFT_OMEGA
C     must not change between successive calls of VRFFTF unless the
C     size of RFFT changes.  The input is the array RFFT of rearranged
C     pixel values and a work array RFFT_TRNS.  The transformation is
C     with respect to the column index, V, which becomes the index K of
C     the Fourier coefficients.  The Fourier coefficents are returned in
C     RFFT whose column coordinate is now K and whose row coordinate
C     remains U.
C 
      if( npix_row .lt. nrfft_row ) then
C
C       Array RFFT has more rows than PIXELS; array RFFT contains
C       rows of zeros --- do not transform the rows of zeros.
C                                                            CALL VRFFTF
C                                                            ***********
C       Find Fourier coefficients of rows containing A and D.
C
        call vrfftf(num_rows_a, nrfft_col,
     +              rfft(1,1), rfft_trns(1,1),
     +              nrfft_col, rfft_omega)
C
C       Find Fourier coefficients of rows containing B and C.
C
        call vrfftf(num_rows_c, nrfft_col,
     +              rfft(irow_c_1_rfft,1), rfft_trns(irow_c_1_rfft,1),
     +              nrfft_col, rfft_omega)
      else
C
C       Array RFFT has same number of rows as PIXELS.  Find Fourier
C       coefficients of each row of RFFT
C
        call vrfftf(nrfft_row, nrfft_col,
     +              rfft(1,1), rfft_trns(1,1),
     +              nrfft_col, rfft_omega)
      endif
C 
C     See NOTE #2 at end of this subroutine.
C 
C     Transpose RFFT and store the transpose in RFFT_TRNS.  The column
C     index of RFFT_TRNS is U and its row index is K.
C
      do 1050 irow = 1, nrfft_row
        do 1040 icol = 1, nrfft_col
          rfft_trns(icol,irow) = rfft(irow,icol)
 1040   continue
 1050 continue
C 
C     Carry out a real FFT analysis (foward transformation) of each row
C     of RFFT_TRNS, i.e., with respect to U and the index of the Fourier
C     coefficients is H.  The Fourier coefficients are returned in
C     RFFT_TRNS whose column coordinate is now H and row index is K.
C
C                                                            CALL VRFFTF
C                                                            ***********
      call vrfftf(nrfft_trns_row, nrfft_trns_col,
     +            rfft_trns(1,1), rfft(1,1),
     +            nrfft_col, rfft_omega)
C 
C     Zero the complex output array                  ---------- k
C     FC_2D( 0:NFC_2d_ROW, -NFC_2D_COL:NFC_2D_COL )  |   |   |
C                                                    ----|----
C                                                        |
C                                                        h
C 
      do 1070 icol = -nfc_2d_col, nfc_2d_col
        do 1060 irow = 0, nfc_2d_row
          fc_2d( irow, icol ) = ( 0., 0. )
 1060   continue
 1070 continue

C 
C     The complex array FC_2D( 0:NFC_2D_ROW, -NFC_2D_COL:NFC_2D_COL )
C     will contain the complex valued Fourier coefficients of the
C     real values which were originally stored in RFFT (obtained
C     by rearranging the pixel values and zero fill).  The current
C     real values in the array RFFT_TRNS(1:NRFFT_COL, 1:NRFFT_ROW)
C     have to be combined to get the complex valued Fourier
C     coefficients.  The Fourier coefficients are periodic with periods
C     COL_PERIOD = 2*NFC_2D_COL and ROW_PERIOD = 2*NFC_2D_ROW
C
C     See NOTE #3 at end of this subroutine.
C
C     Set the value of the complex Fourier coefficient at the origin.
C
      fc_2d( 0, 0 ) = cmplx( rfft_trns( 1, 1), 0.)
C
      nrfft_d2 = nrfft_trns_col / 2
C
CXXXXXif( 2*nrfft_d2 .eq. nrfft_trns_col ) then
CXXXXXIn this version, only even NRFFT_TRNS_COL is allowed.
C       There is an even number of rows and colums in RFFT.
C       NFC_2D_END is equal to NRFFT_D2
C
        nfc_2d_end = nrfft_d2
C
C       Set complex value at end of H-axis.
C
        fc_2d(nrfft_d2, 0) = cmplx( rfft_trns(1,nrfft_trns_col), 0.)
C 
C       Set complex values at four corners; use periodicity.
C
        fc_2d(0, nrfft_d2) = cmplx(rfft_trns(nrfft_trns_row,1), 0.)
        fc_2d(0,-nrfft_d2) = fc_2d(0, nrfft_d2)
        fc_2d(nrfft_d2, nrfft_d2)
     +    = cmplx(rfft_trns(nrfft_trns_row,nrfft_trns_col), 0.)
        fc_2d(nrfft_d2,-nrfft_d2) = fc_2d(nrfft_d2, nrfft_d2)

C       Set rest of values along along H = 0 and H = NRFFT_D2
C
        do 1080 k = 1, nrfft_d2 - 1
          cc                    = rfft_trns( 2*k,   1 )
          sc                    = rfft_trns( 2*k+1, 1 )
          fc_2d( 0,  k )        = cmplx( cc, sc )
C
C         FFT of real function is conjugate symmetric.
C
          fc_2d( 0, -k )        = cmplx( cc,-sc )

          cc                    = rfft_trns( 2*k,   nrfft_row )
          sc                    = rfft_trns( 2*k+1, nrfft_row )
          fc_2d( nrfft_d2, k ) = cmplx( cc, sc )
C
C         FFT of real function is conjugate symmetric.
C
          fc_2d( nrfft_d2,-k ) = cmplx( cc,-sc )
 1080   continue

C       Set rest of values along along K = 0 and K =   NRFFT_D2
C       and use periodicity to set values along  K = - NRFFT_D2
C
        do 1090 h = 1, (nrfft_d2 - 1)
          cc                    = rfft_trns( 1, 2*h   )
          cs                    = rfft_trns( 1, 2*h+1 )
          fc_2d( h, 0 )         = cmplx( cc, cs )
          cc                    = rfft_trns( nrfft_col, 2*h   )
          cs                    = rfft_trns( nrfft_col, 2*h+1 )
          fc_2d( h, nrfft_d2 ) = cmplx( cc, cs )
C
C         Impose periodic conditions.
C
          fc_2d( h,-nrfft_d2 ) = cmplx( cc, cs )
 1090   continue

C       Fill FC_2D for  H =  1, 2, ... ,  NRFFT_D2 - 1
C                       K =  1, 2, ... ,  NRFFT_D2 - 1
C                       K = -1,-2, ... , -NRFFT_D2 + 1
 
        do 1110 k = 1, (nrfft_d2 - 1)
          do 1100 h = 1, (nrfft_d2 - 1)
            cc            = rfft_trns( 2*k,   2*h   )
            ss            = rfft_trns( 2*k+1, 2*h+1 )
            sc            = rfft_trns( 2*k+1, 2*h   )
            cs            = rfft_trns( 2*k,   2*h+1 )
            fc_2d( h, k ) = cmplx( cc - ss,  sc + cs )
            fc_2d( h,-k ) = cmplx( cc + ss, -sc + cs )
 1100     continue
 1110   continue

      return
      end


Ca***********************************************************************
Ca Try stuffing the array 
Ca***********************************************************************
      subroutine robStuffPolyParas(poly_paras_call, 
     +    poly_paras, poly_order)
      integer i,poly_order
      double precision poly_paras(poly_order),poly_paras_call(1024)

      do i = 1, poly_order
         poly_paras_call(i) = poly_paras(i)
      enddo

      return
      end


Ca***********************************************************************
Ca Calc s,b,d,etc. arrays based on draw angle.
Ca***********************************************************************
      subroutine robangle_curves(angdrawCall, angle, poly_paras_call,
     +    defmajorCall,defminorCall,hkl_maxCall,order_bCall,
     +    order_dCall, fftasumCall, voltCall, ampContrastCall, 
     +    csCall, pixelCall,
     +    sCall, sminusbCall, ctfsqCall, dCall, bCall
     +    
     +                             )

      real theta1, PI,cosph,sinph,defmajorCall,defminorCall
      real xx,yy,tmp6,rx,ry,tmp5,arg1,arg2,B,D,fw,fw2
      real ctf,ctf2, ampContrastCall, csCall
      integer  ii, orderb, orderd, irx, iry
      integer  order_bCall, order_dCall
      real xbit, ybit, s
      real angdrawCall, voltCall, pixelCall
      real sCall(1024),sminusbCall(1024),ctfsqCall(1024)
      real dCall(1024),bCall(1024)
      integer hkl_maxCall,hkl_max,kk,i,j
      double precision    fftasumCall(1024*2048)
      double precision poly_paras_call(1024)
      double precision pixel_size, voltage, res_hi, wavelength,
     +                 a, cs, chisq, defmajor, defminor, angle
     +                 angdraw


      PI = 3.14159265358979323
      pixel_size = pixelCall
      A = ampContrastCall
      Cs = csCall
      hkl_max = hkl_maxCall
      orderb = order_bCall
      orderd = order_dCall
      defmajor = defmajorCall
      defminor = defminorCall
      voltage = voltCall
      wavelength = 12.264264967 / 
     +             sqrt (voltage + 0.9784663543E-6 * voltage**2 )

      angdraw = angdrawCall
      theta1= angdraw-angle
      theta1=theta1*PI/180.0
      cosph = cos(theta1)
      sinph = sin(theta1)
      def   = defmajor*10000.*cosph*cosph + defminor*10000.*sinph*sinph
      angdraw = angdraw*PI/180.0
      xx = cos(angdraw)
      yy = sin(angdraw)
      if (xx.lt.0.0) then
         xx = -1.0*xx
         yy = -1.0*yy
      endif
      do i=1,hkl_max
         rx = xx*i
         ry = yy*i
         tmp6 = 0.0
         kk=1
         arg1 = 1
         do j=1, orderb+1
            arg2 =  1
            do k =1, orderb-j+2
               tmp5= arg1 * arg2
               tmp6 =tmp6+poly_paras_call(kk)*tmp5
               arg2= arg2*ry
               kk = kk+1
            enddo
            arg1=arg1*rx
         enddo
         B = tmp6
         tmp6=0.0
         arg1 = 1
         do j=1, orderd+1
            arg2 =  1
            do k =1, orderd-j+2
               tmp5= arg1 * arg2
               tmp6 =tmp6+poly_paras_call(kk)*tmp5
               arg2= arg2*ry
               kk = kk+1
            enddo
            arg1=arg1*rx
         enddo
         D = tmp6
c     print *,'   b=',b,'  d=',d
         
         fw =wavelength*i/(hkl_max*2.0* pixel_size )
         fw2= fw*fw
         tmp5 = wavelength
         theta1 = PI*2.0*(Cs*fw2*fw2/4.0-def*fw2/2.0)/tmp5
         tmp5 = A*A
         ctf = sqrt(1.0-tmp5)*sin(theta1)-A*cos(theta1)
         ctf2 = ctf*ctf
         irx =rx
         iry =ry
         xbit = abs(rx - irx)
         ybit = abs(ry - iry)
         s = 0.0
         if(ry.ge.0.0) then
            ii = (iry+hkl_max)*(hkl_max+1)+irx+1
            s =s+ fftasumCall(ii)*(1.0-xbit)*(1.0-ybit)
            ii = (iry+1+hkl_max)*(hkl_max+1)+irx+1
            s =s+ fftasumCall(ii)*(1.0-xbit)*ybit
            ii = (iry+hkl_max)*(hkl_max+1)+irx+1+1
            s =s+ fftasumCall(ii)*xbit*(1.0-ybit)
            ii = (iry+1+hkl_max)*(hkl_max+1)+irx+1+1
            s =s+ fftasumCall(ii)*xbit*ybit
c     print *, 'irx=',irx+1,' iry=', iry+1,' ii=',ii
c     print *, 'ii=', ii, '  fftasumCall=', fftasumCall(ii), '  s=',s
         else
            ii = (iry+hkl_max)*(hkl_max+1)+irx+1
            s =s+ fftasumCall(ii)*(1.0-xbit)*(1.0-ybit)
            ii = (iry-1+hkl_max)*(hkl_max+1)+irx+1
            s =s+ fftasumCall(ii)*(1.0-xbit)*ybit
            ii = (iry+hkl_max)*(hkl_max+1)+irx+1+1
            s =s+ fftasumCall(ii)*xbit*(1.0-ybit)
            ii = (iry-1+hkl_max)*(hkl_max+1)+irx+1+1
            s =s+ fftasumCall(ii)*xbit*ybit
         endif
         sCall(i) = s
         sminusbCall(i) = s - B
         ctfsqCall(i) = ctf2
         dCall(i) = D
         bCall(i) = B
      enddo
      
      return 
      end
