#ifndef _FIT_UTILS_H_
#define _FIT_UTILS_H_

void cmpt_fit(double ca2d_avg[], double ca2d_std[], int * hkl_max, double * res_hi,
               double poly_paras[], int * poly_order, int * poly_orderb, int * poly_orderd,
               double * wavelength, double * A, double * Cs,
               double * pixel_size, double * chisq);

void cmpt_fit_(double ca2d_avg[], double ca2d_std[], int * hkl_max, double * res_hi,
               double poly_paras[], int * poly_order, int * poly_orderb, int * poly_orderd,
               double * wavelength, double * A, double * Cs,
               double * pixel_size, double * chisq);

void mrqmin(int x[], double y[], double sig[], double a[], int ia[],
        int ma, double **covar, double **alpha, double *chisq,
        void (*funcs)(int, int, double [], double *, double [], int, int, int, double,
        int, double, double, double),
        double *alamda, int num_gauss_bkg, int num_gauss_ctf, double wavelength,
        int idim_half, double res_hi, double A, double Cs, double pixel_size);

void fpoly_ctf(int idx, int idy, double a[], double *ymode, double dyda[], int na, int order_poly1,
        int order_poly2, double  wavelength, int idim_half, double A, double Cs,
        double pixel_size );

void covsrt(double **covar, int ma, int ia[], int mfit);
void gaussj(double **a, int n, double **b, int m);
void mrqcof(int x[], double y[], double sig[], double a[],
        int ia[], int ma, double **alpha, double beta[], double *chisq,
        void(*funcs)(int, int, double [], double *, double [], int, int, int, double,
        int, double, double, double),
        int num_gauss_bkg, int num_gauss_ctf, double wavelength, int idim_half, double res_hi,
        double A, double Cs, double pixel_size);

#endif
