
#define SWAP1(a,b) {swap=(a);(a)=(b);(b)=swap;}

void covsrt(double **covar, int ma, int ia[], int mfit)
/* Expand in storage the covariance matrix covar, so as to
   take into account parameters that are being held fixed. 
program: Numerical Recipe in C, p39
modified by Wei Zhang, change float into double*/

{
  int i, j, k;
  double swap;
  
  for (i=mfit;i<ma;i++)
    for (j=0;j<=i;j++) covar[i][j]=covar[j][i]=0.0;
  k=mfit;
  for (j=ma-1;j>=0;j--) {
    if (ia[j]) {
      k--;
      for (i=0;i<ma;i++) SWAP1(covar[i][k], covar[i][j])
      for (i=0;i<ma;i++) SWAP1(covar[k][i], covar[j][i])
    }
  }
}
      
  
