      subroutine realtocomplx(hkl_min, hkl_max, 
     +             first_iq, last_iq, interpolants, f_hkl )
C                                                   SOLVE_BY_INTERP_SLAB
C
C **********************************************************************
C *                                                                    *
C * Subroutine: realtocomplex                                          *
C * Author: Yongchang Ji (yji@cs.ucf.edu)                              *
C * Modification history:                                              *
C *   - Yongchang Ji, Final Version, Aug.2000 -- Jan. 2002             *
C *                                                                    *
C **********************************************************************
      implicit none
C
      integer  hkl_min, hkl_max, first_iq, last_iq
      double precision  interpolants(3, 
     +             hkl_min:hkl_max, hkl_min:hkl_max,first_iq:last_iq)
      complex  f_hkl(hkl_min:hkl_max, hkl_min:hkl_max, 
     +               first_iq:last_iq)
C -----------------------------------------------------------------
C
C Local
C
      integer  il, ik, ih
C -----------------------------------------------------------------
C
      do il = first_iq, last_iq
	do ik = hkl_min, hkl_max
	  do ih = hkl_min, hkl_max
	      f_hkl(ih,ik,il) = cmplx(interpolants(2,ih,ik,il),
     +                             interpolants(3,ih,ik,il))
	  enddo
	enddo
      enddo
C
      return
      end
