      subroutine maptempfac(fft_klh,hkl_max,TEMPFAC,PIXSIZE,units)
C
      implicit none

      include 'mpif.h'
      include '../include/allprogs.inc'
 
C Arguments
C
      integer hkl_max, units
      real    TEMPFAC, PIXSIZE
      complex fft_klh( -hkl_max:hkl_max, -hkl_max:hkl_max,
     +               frst_lst_iq(1,iam):frst_lst_iq(2,iam) )
C
C  Local                          
C
        INTEGER*4 IX, IY, IZ
        REAL*4    D_STAR, T, X, Y, Z, TMP
C
        IF(UNITS.EQ.2) THEN
          TMP = 1.0/((hkl_max*2+1)*PIXSIZE)                    ! ALREADY IN NM UNITS
        ELSE
          TMP = 10.0/((hkl_max*2+1)*PIXSIZE)                   ! CONVERT TO NM UNITS
        ENDIF
C
        DO IZ = frst_lst_iq(1,iam), frst_lst_iq(2,iam)
          Z = FLOAT(IZ)
          DO IY = 0, hkl_max
            Y = FLOAT(IY)
            DO IX = 0, hkl_max
              X = FLOAT(IX)
              D_STAR = SQRT(Y**2 + X**2 + Z**2) * TMP
              T = EXP ((TEMPFAC/400.0) * D_STAR**2)

              fft_klh(IX,IY,IZ) = fft_klh(IX,IY,IZ) * T
            if ( IX .ne. 0. .and. IY .ne.0 ) then
              fft_klh(-IX,IY,IZ) = fft_klh(-IX,IY,IZ) * T 
              fft_klh(IX,-IY,IZ) = fft_klh(IX,-IY,IZ) * T 
              fft_klh(-IX,-IY,IZ) = fft_klh(-IX,-IY,IZ) * T 
            elseif ( IX .eq. 0. .and. IY .ne.0 ) then
              fft_klh(IX,-IY,IZ) = fft_klh(IX,-IY,IZ) * T 
            elseif ( IX .ne. 0. .and. IY .eq.0 ) then
              fft_klh(-IX,IY,IZ) = fft_klh(-IX,IY,IZ) * T 
            endif
            Enddo
          Enddo
        Enddo
C          
        RETURN
        END
