      subroutine check_map(Fname, NCOL, NROW)
C **********************************************************************
C *                                                               *
C * Subroutine: read_map                                          *
C *                                                               *
C *****************************************************************
C
      implicit none
      include '../include/allprogs.inc'
      INCLUDE '../include/pifhead.inc'
      RECORD /PIFHEAD_T/ MAPHEAD, IMGHEAD
Cji      type (PIFHEAD_T) MAPHEAD, IMGHEAD
      COMMON /PIFHEAD/   MAPHEAD, IMGHEAD

      integer  NCOL, NROW, col,row
      character*(*)  FNAME
C
      if (iam .eq. 0) then
C
        MAPHEAD.LUNUM  = 1
        CALL PIF_OPEN (FName, MAPHEAD.LUNUM, 'r')
        CALL PIF_READ_GH (MAPHEAD)
        IF(MAPHEAD.MODE.NE.20 .and. MAPHEAD.MODE.NE.40)  
     +    call error_stop(progname,'Check_map',
     +       'Error in 3D density map mode, it should be 20')
        MAPHEAD.IMGNUM = 1
        CALL PIF_READ_DH (MAPHEAD)
        COL= MAPHEAD.NUMCOLS
        ROW= MAPHEAD.NUMROWS
        if (NCOL.eq.0  .and. NROW.eq.0) then
           NCOL= COL
           NROW= ROW
        elseif ( NCOL.ne.COL .or. NROW.ne.ROW) then
           call error_stop(progname,'Check_map',
     +       'Two 3D density map have different size!')
        endif
           
        CALL PIF_CLOSE (1)
      endif
      return
      end
