       subroutine disef_para(disef, IDIM1, IDIM2, funcweight,
     +     PIXSIZE, UNITS)
C
C *   - Yongchang Ji, Final Version, Aug.2000 -- Jan. 2002             *

        IMPLICIT NONE
C
Cji parameters
        INTEGER*4 IDIM1, IDIM2, UNITS
        REAL*4    disef(0:IDIM1, -IDIM2:IDIM2), PIXSIZE
        Real      funcweight


Cji local
        INTEGER*4 IX, IY
        REAL*4    D_STAR, T, X, Y, TMP

C ----------------------
Cji  funcweight <= 10, we have assign disef = radius ** funcweight 
Cji                    which means enlarge the distance by radius**funcweight
Cji  funcweight >> 10, we have assign disef = exp(funcweight/400 * D_STAR**2)
Cji                                which means exponent enlarge

        IF (funcweight.LE.10.0 )  then 
          DO IY = 0, IDIM1
            Y = FLOAT(IY)
            DO IX = 0, IDIM2
              X = FLOAT(IX)
              T = SQRT(Y**2 + X**2)
              disef(IY,IX)   =  (T**funcweight) / (IDIM1+1)
              disef(IY,-IX)  =  disef(IY,IX)
            Enddo
          Enddo
C
        else
C
          IF(UNITS.EQ.2) THEN
             TMP = 1.0/((IDIM1*2+1)*PIXSIZE)                    ! ALREADY IN NM UNITS
           ELSE
             TMP = 10.0/((IDIM1*2+1)*PIXSIZE)                   ! CONVERT TO NM UNITS
          ENDIF
C
          DO IY = 0, IDIM1
            Y = FLOAT(IY)
            DO IX = 0, IDIM2
              X = FLOAT(IX)
              D_STAR = SQRT(Y**2 + X**2) * TMP
              T = EXP ((funcweight/400.0) * D_STAR**2)
              disef(IY,IX)   =  T
              disef(IY,-IX)  =  T
            Enddo
          Enddo

        Endif
C          
        RETURN
        END
