      subroutine gather3d(fft_klh, hkl_max, fft3d)
C
      implicit none

      include 'mpif.h'
      include '../include/allprogs.inc'
 
C Arguments
C
      integer hkl_max
C 
      complex fft_klh( -hkl_max:hkl_max, -hkl_max:hkl_max,
     +               frst_lst_iq(1,iam):frst_lst_iq(2,iam) )
      complex fft3d( -hkl_max:hkl_max, -hkl_max:hkl_max, 0:hkl_max)
C
C  Local                          
C
      integer     num_hkl,i,
     +            disp(0:num_nodes), sendcount(0:num_nodes)
      character*10 subname
      data         subname / 'Gather3d' /
C
      num_hkl = 2 * hkl_max + 1
      do i = 0, num_nodes-1
        sendcount(i)=(frst_lst_iq(2,i)-frst_lst_iq(1,i)+1)
     +                 * num_hkl * num_hkl
        if (i.eq.0) then
          disp(0) = 0
        else
          disp(i) = disp(i-1) + sendcount(i-1)
        endif
      enddo
C
      call mpi_allgatherv(fft_klh,sendcount(iam),mpi_complex,fft3d,
     +        sendcount,disp,mpi_complex,mpi_comm_world,mpi_err)
      if( mpi_err .ne. 0 ) call error_stop(progname,subname,
     +     'Error in calling MPI_allgatherv fft3d')
C 
      return
      end
