        Subroutine slide_angles(dist, Nang, min_angles)

        implicit none
        include '../include/vax_minmax.inc'
        integer    Nang, min_angles(1:3)
        real       dist(-Nang:Nang,-Nang:Nang,-Nang:Nang)
        integer    theta, phi, omega

          if (min_angles(1).GT.0) then
            do theta = -Nang, Nang
              do phi   = -Nang, Nang
                do omega = -Nang, Nang
                  if (theta.le. Nang-min_angles(1)) then
             dist(theta,phi,omega)=dist(theta+min_angles(1),phi,omega)
                  else
                    dist(theta,phi,omega)=R4_MAX
                  endif
                enddo
              enddo
            enddo
          endif
          if (min_angles(1).LT.0) then
            do theta = Nang, -Nang, -1
              do phi   = -Nang, Nang
                do omega = -Nang, Nang
                  if (theta.ge. -Nang-min_angles(1)) then
             dist(theta,phi,omega)=dist(theta+min_angles(1),phi,omega)
                  else
                    dist(theta,phi,omega)=R4_MAX
                  endif
                enddo
              enddo
            enddo
          endif
          if (min_angles(2).GT.0) then
            do theta = -Nang, Nang
              do phi   = -Nang, Nang
                do omega = -Nang, Nang
                  if (phi.le. Nang-min_angles(2)) then
             dist(theta,phi,omega)=dist(theta,phi+min_angles(2),omega)
                  else
                    dist(theta,phi,omega)=R4_MAX
                  endif
                enddo
              enddo
            enddo
          endif
          if (min_angles(2).LT.0) then
            do theta = -Nang, Nang
              do phi   = Nang, -Nang, -1
                do omega = -Nang, Nang
                  if (phi.ge. -Nang-min_angles(2)) then
             dist(theta,phi,omega)=dist(theta,phi+min_angles(2),omega)
                  else
                    dist(theta,phi,omega)=R4_MAX
                  endif
                enddo
              enddo
            enddo
          endif
          if (min_angles(3).GT.0) then
            do theta = -Nang, Nang
              do phi   = -Nang, Nang
                do omega = -Nang, Nang
                  if (omega.le. Nang-min_angles(3)) then
             dist(theta,phi,omega)=dist(theta,phi,omega+min_angles(3))
                  else
                    dist(theta,phi,omega)=R4_MAX
                  endif
                enddo
              enddo
            enddo
          endif
          if (min_angles(3).LT.0) then
            do theta = -Nang, Nang
              do phi   = -Nang, Nang
                do omega = Nang, -Nang, -1
                  if (omega.ge. -Nang-min_angles(3)) then
             dist(theta,phi,omega)=dist(theta,phi,omega+min_angles(3))
                  else
                    dist(theta,phi,omega)=R4_MAX
                  endif
                enddo
              enddo
            enddo
          endif
        return
        end
